# 0.I

## Highlights:
Zombies can lie in wait for you, their armor can be shattered, and they'll decay into bones over time.
Trees are fully trees - they have tops and you can climb them!
Items can now have fixable faults, on the road to replacing generic damage.
Overmap locations have different vision levels.  Some things are easy to see from afar, some things are more difficult.
You can now take over and loot camps, pending nobody is there to stop you.
Enjoy a beautiful sunrise or sunset.  What a time to be alive.
Hub 01 expansion, including but not limited to missions, bespoke armor, and exoskeleton repairs.
Yrax shenanigans.  They may be hard to find, but they're there...
Boomers can give you eye infections!
Duh-nuh-nuh-nuh-nuh-nuh-nuh-nuh, bat mutants.
More Exodii guns (also new normal firearms).
Several new eldritch abominations to kill you!
Revamped many maps, including hospitals and military outposts.
Long list of updates to mods like Aftershock, Xedra Evolved, Mind Over Matter, Sky Island, and many more.
Massive oil platform in the ocean.
Allow pushing/pulling furniture directly onto and off of vehicles that can load them.  Get that fridge home!
The player can swap between defined outfits with the 'set of clothes' item.
River generation overhaul - rivers are more rivery!
Mutations, and your chances of getting bad ones, are based on how many mutation trees you've mutated into, and how many mutations you have.
ASCII art for hundreds of items.
Cities can have damage from the Cataclysm riots.

## Statistics:
7642 files changed, 1035565 insertions(+), 501329 deletions(-)
13,412  commits
486 authors
242 new authors

New game entities (core): 
Items: 
     156 articles of clothing and armor, 31 books, 123 comestibles, 254 tools,
     50 guns and gun related items, 14 ammunition variants
Mapgen: 
     1119 item spawn groups, -48 monster spawn groups,
     6 city buildings, 1 vehicle spawn group, 7 overmap locations, 91 overmap terrains
Player Traits: 
     12 proficiencies, 13 practice actions, 15 professions, 47 effect types, 70 mutations
     2 start locations, 6 starting scenarios, 10 fighting techniques
     5 activity types, 7 morale types, 14 vitamins, 4 dreams, 4 bionics, 2 mutation types,
     2 character stat modifiers, 1 proficiency category, 1 mutation category
UI and Sidebar: 
     40 nested categories, 173 ascii art, 346 widgets, 37 construction groups,
     2 item categories
Crafting: 
     4 construction activities, 48 crafting requirements, 137 uncraft recipes
NPCs and Interactions: 
     376 conversation topics, 12 npc definitions, 3 npc classes, 3 missions, 1 faction
Achievements: 
     12 achievements, 1 event metadata entry
Map Traits: 
     62 furnitures, 119 terrains, 72 field types, 35 traps, 1 weather type
Monsters: 
     159 monster definitions, 32 harvest entries, 9 monster attacks, 93 monster barks
     4 weakpoint sets, 36 monster factions, 2 monster species
Item Traits: 
     13 ammunition types, 8 ammunition effects, 17 materials, 4 tool qualities, 36 gun faults
Vehicles: 
     2 vehicle definitions, 58 vehicle parts
Magic: 
     52 spells, 17 enchantments
Misc: 
     231 effect on condition entries, 93 text snippets, 74 json flags, 14 loot zones

New game entities (mods): 
Player Traits: 
     897 mutations, 537 effect types, 46 bionics, 143 professions, 41 proficiencies.
     11 start locations, 35 body parts, 9 mutation categories, 8 mutation types.
     1 practice actions, 25 starting scenarios, 11 morale types,
     5 skills, 0 addiction types, 1 scent type

Items: 
     483 tools, 245 articles of clothing and armor,
     90 guns and gun related items, 183 comestibles, 181 books, 76 ammunition variants

Mapgen: 
     227 mapgen entries, 851 item spawn groups,
     37 map extra definitions, 53 city buildings, 6 overmap locations,
     55 overmap special definitions

Magic: 
     746 spells, 69 enchantments

Crafting: 
     443 crafting recipes, 59 disassembly recipes,
     141 crafting requirements, 9 constrution activities

Monsters: 
     727 monster definitons, 80 monster barks, 19 species, 30 monster factions.
     81 harvest entries, 16 monster attacks, 10 weakpoint sets

NPCs and Interactions: 
     462 conversation topics, 122 missions, 47 npc definitions, 64 npc classes

Map Traits: 
     197 terrain types, 194 furniture types, 31 field types, 8 weather types

UI and Sidebar: 
     9 construction groups, 9 nested categories, 57 sidebar widgets, 178 trait groups.
     6 proficiency categories, 3 recipe categories, 1 overlay order specifications

Item Traits: 
     27 ammunition types, 31 materials, 3 tool qualities, 3 relic definitions, 19 ammo effects

Vehicles: 
     16 vehicles

Achievements: 
     49 achievements

Misc: 
     2423 effect on condition entries, 38 json flags, 56 text snippets

## Features:
Toggle to highlight areas revealed by using map items
[Mods] Non NE region mods have different day/night times dependant on their setting
add a profession condition for EOCs
Introduces dormant zombies and associated mechanics
Adds treetops and makes trees climbable
Allow bird wings to glide
Allow whitelisting and blacklisting hobbies in scenarios, professions, and globally
Player can eat from camp larder(always). Workers receive spent food from it when being assigned to work (requires NPC needs enabled)
Allow the Chimera thershold trait as a wildcard for most post-threshold traits
You can shatter zombies' torso armour by hitting them real hard
Make power grids easier to disconnect, reconnect, and merge parts to
Adds a new trait, Tiny Stomach
Make butchering a resumable activity
The player can swap between defined outfits with the 'set of clothes' item
Corpses can decay into bones etc (defined as a harvest group)
Allow ammo effects to cast spells
Automatic turrets will not fire guns if they are going to overheat
Deconstructing now prompts you with the list of potential resulting items
NPC @ menu: Show morale, medical; Change name, gender, armor sprite
Factions can take over and loot camps they don't own (Currently player only)
Food can inherit the allergens of materials it was cooked from
Add TEMPORARY_SHAPESHIFT flag, use it to recalculate size before standard size flags
Mood effect from sunset/sunrise appreciation
Add ITEM_WATERPROOFING flag, add to Magiclysm/XE content
Make salvaged combat exoskeletons repairable
Add option to make the bleeding of a pet stop
Add different levels of vision to the overmap
Allow some small parts to be installed on helicopters
Smartphones can reveal some of the map around where it was picked-up
Show preview of selected construction in the construction menu and when placing construction
EoC function to allow checking/setting trait purifiability during gametime
Add drugs and mutagens to your faction camp stores.
Allow military night vision goggles to attach to combat exoskeleton head armors
Butchering now require proficiency to do it fast and effectively
Functioning toasters
Zombies make zombie sounds
Allow multiple possible loading screens, including from mods
Grazing animals actually eat grass, and it regrows every season
New characters get random natural hair color during character generation
Binoculars now also increase 'detailed' vision range, not only max vision range
Character randomization sometimes produces 'crossdressing' characters
Dialogue: JSON fields for displaying hidden responses
Added check for stealing prior to inserting items into container
Added check for stealing prior to wearing
Added check for stealing prior to obtaining book to read
Added check for stealing prior to reloading items
Added check for stealing prior to activating items
Adds throwing practice tools
EOCs modifying calories track spent calories
Mutations can have a custom activation message
Modify random NPC starting equipment based on time passed
Throwing items while piloting mechs (with the mech's assist)
Faction relationships can be modified through dialogue
Deconstruct simple furniture in the dark
Mission deadlines supports dialogue variables
Add a new widget to display weight as "##.#/##.#[unit]"
NPC factions get mad if you mess with their property by smashing or deconstructing it etc
Query the player on whether they really want to cut up other people's stuff
Allow PCs/NPCs to move diagonally during overmap pathfinding
No lit cigs in inventory anymore, only in hands or in mouth
Safe crackers guess combinations more accurately
Fleeing NPCs will now attack player that got too close
Increase helicopter autotravel speed
Some items can be put up on walls 
Ability to hide/unhide revealed wall wiring by examining it
Special vision enchantment for Antennae mutation
Add keybind to throw your wielded item
Audio now works on curses mode, not just tiles mode
Add unloading hotkey to AIM menu
Improve blood placement on Riot Damage
Make pulping a resumable activity
Makes sound effects play in slow motion while the player has slowed down time
Underground Temperature now depends on Region Settings
Mods can blacklist mods they are incompatible with
Items can now have faults
Make aggro_character respect anger_relations
River generation overhaul
Faction camp food supply can expire over time
Roads cross streams at culverts
Add Weight Modifying Enchantment
Query to quick-reveal all nearby wires when revealing wall wires
Generic tie-down/haul system for furniture on vehicles
Allow pushing/pulling furniture directly onto and off of vehicles that can load them
Add vehicle enchantments and effects
Toolmods are removable again, and any tool with screw driving quality can remove them
NPCs can handle liquids from crafting
Bashed furniture and terrain produce dust fields
Static NPC factions have their own camps and food stores
Neutral NPCs may now be shoved
Framework to support mortar-like long range attacks
Add activity to continually bash something until it's destroyed
Items in transparent pockets on the map illuminate surroundings


## Content:
Add conjunctivitis from boomer bile
Add a dentist office map
Add a new appliance, the glassblower's crucible
Adds whispering fungi to fungi zombie mongroup.
Add persistent boomer bile effect that causes a stench and skin irritation
Add new hairstyles from the Mod Mawranth's Hair Salon
Implement saline infusion kits to help combat hypovolemic shock
Hub now offers armor set printing after HWP is unlocked
Lockets can store photographs
Add diet soda, because screw your free calories!
Addition of many new books, from religious texts to magazines, mainly for fluff purposes
Modularize Desert Eagle, add .50 AE
Addition of three new, big-sized treefrog mutants. Minor tweaks to existing frog mutants
Add streams to map generation
Added ASCII art for most containers
Adds new jewelry such as cowrie necklaces and various types of hair beads.
Mainlined the innawoods meadow mapgen
Add 7 new frog zombie varities and audit existing frog zombies
Cinnamon for Deluxe Oatmeal
Soldiers' rifles have more/various weapon mods
Reimplement heavy ballistic vest
Adds Chiropteran (bat) mutation line
Adds a subaquatic navigation system CBM
Allow Monster Corpse teeth to be used to make traps and weapons
Adds social/asocial mutations
Add option for natural hair growth over time.
Add earthworms to the game, as a food source
Add cougar kittens and fix cougar taming in mods
Boomers now leave fleshy gibs on detonation
Pictures for House fluff
Added Hub 01 mission signposting LIXA
Crafting Musical Instruments
Additional Achievements
Honk your clown nose!
Add a new LMOE mapgen layout
Eeeeven MOOORE mission context dialogue for Liam (Friends to the End scenario)
Adds a significant amount of extra dialogue and conditionals to Isherwood
Add a new high danger Yrax construct
Add poultry meat
Adds ASCII Art to 619 items
More variety for worm-like monsters spawning in the wild
Adds a lot of mission-specific and chat/small-talk dialogue to Liam (Friends to the End scenario)
Adds still more mission-specific dialogue for Liam (Friends to the End)
Exoskeletons are now modular and have multiple types
Add XL and XS versions for french maid clothes/aprons/hats
Add a variety of new fridges and freezers, and update the stats of the old ones
New portal monsters: unviable life forms
Challenge start - hunted forever. Starts with the nemesis, but it comes back stronger everytime it dies
Adds a new  globally unique special to spawn in the ocean: an oil platform!
Overhaul and flesh out Barry Isherwood's rescue mission
Prepper Militia Community
Add Snow Cones and Snow Machines
Add Alcoholic Snow Cones
New jewelry added
Night vision helmet attachments
Add murky water, make regular water safer
10/22 Pistol
Adds a variety of marine plants.
Adds bench vise
Full auto 10/22s
Random crater explosions have been removed from the game
Adds a new item and recipe to produce fish emulsion from fish, sugars, and water aerobically
Add Serum 48x-"Locutus" (Regeneration serum)
Add Vitamin Cost to mutations
Small lighthouse
Red Phosphorus Using Matchbox Strikers and Potassium Chloride Using Match-heads
Add brick construction to camp expansions
Update the basic gas mask, related filter, filter ammunition, and gas mask bag to modern CDDA standards, add possible inserts and outserts, disassembly recipe, and item group goodness.
Adds new endings which are impacted by the strength of other factions
Add white phosphorus and related recipes
Added multiple new guns
Adds a Doctor and Pharmacist profession. It also generalizes the "MD" trait description to include more medical professionals.
Three new skeletal zombie evolutions
Bakery contains flour now, plus overhaul and improvements
Expands the regenerating zombie into it's own line
Adds a new set of twisted geometry artifacts
Adds a home canning hobby/background to character creation
Added apiary overmap tile to farm generation
Add Variable Snippets for Home Pictures
More detailed sunset/sunrise morale based on actual weather and traits
Sand and gravel pit location
Superglue Overhaul
Added a way to fix cyborgs at the Exodii base
Added mashed potatoes
Allow cephalopods to gain the ability to eat, sleep underwater
Alpha Social trait
A few new reptiles to populate the world
A bunch of new mutant arthropods underground
Make dermatik pregnancy and birth suck significantly more
Add painkiller eyedrops
Professions & hobbies know gross anatomy & new butchering profs
Slightly Expands Hub-01 and Yrax factions
Adds a new stationary fungal variant
Adds a new fungus infested mapgen
Adds new end screen for mutation tresholds, and a unique one
Fungal brute and hulk, more fungalized stages for other zombies
Massive expansion of dialogues and messages for various categories
Add a random recruitable NPC class that knows how to pilot helicopters, they may be switched to if player doesn't know how to fly
Adds in new .357, .44, and .22 LR lever-action rifles
More carpet colors
Beds are draggable
Large clay pots can now be crafted without a lid and used in the slow sand water filter
Fence posts and bollards are more similar
Remove secret science and military stuff from bank/industry/mall vaults
Added a welding store
Add Vitamin C Supplements
Simple cloth quiver for holding various ammo
Walls now have a chance of having graffiti on them
The walls of most buildings vary more
New scenario: Moonlit Night
Added chokeberries and spicebush
Add tupelo and nannyberry,  hobblebush and autumn olive trees
New exodii rifle
Remade the 3x3 hospital
Some houses are under construction
Adds car crashes into existing buildings
Basic beach decorations
Add an new plasma gun for sale by the Exodii
Added a small kindergarten
Add Hazelnut Milk, Walnut Milk, and add them to various recipes
Add the menorah and small candles to put in it
Adds more new lore log snippets for the player to find in smartphones or laptops
Add an electric rechargeable lighter
Adds marshmallow fluff and fluffernutters
Add radishes and seeds
Riot damage in cities
Another new Exodii Gun: the Khuunäöfaai ordnance cannon, a long range incendiary and chemical weapon.
Adds new rails vehicles
Add in pride/pronoun pins
Add in the guns S&W 617, Ruger PCC, and Marlin Model 60
Adds large wicker baskets
Missile silos are decommissioned
26 and 153 round magazines for the PA md. 68
Added more flooded basements
Added a new 2x1 house
More types of monster spawn in basements
Most toilets now have toilet supplies
Add 2 new social practice recipes
Larger, more varied FEMA camps
Added a new fast food restaurant with drive-through
Improves/adds missions, rewards and interactions with the New England Community Church
Military outposts have been revamped
Adds a new nether monster: Eldritch Huntsman
Add Arab and Islamic clothes for women
Adds a few other scavengeable options for anvils
Add buildable sturdy wooden shutters for your windows
Add a sunken helicopter location
Nuclear power plant location now has an extensive basement
Add 3 new guns (308 Model 700, .22 Savage Rascal, .32 LWS)


## Interface:
High characters now see fancy smiley faces and exclamations in their message log.
Can't accidentally select full deconstruction if simple deconstruction is available
Set priority for containers that have auto whitelisting.
Tile cover is now named concealment, because that's all it actually does.
When opening spellcasting menu, go to favorite spells tab if player has favorited spells
AIM: when cannot wear, try to wield
Separate keybinding to select default ammo for RELOAD_AND_SHOOT/RELOAD_ONE weapon
Show NEW! in List Items menu
Adding spell name to the in-progress casting widget
Mission UI migrated to imGUI
Provide a visual UI for changing vehicle part shapes
Display bow reload time in aim UI
Warn on setting an auto feature when auto features are off
Show actual real-world distance to mission objective
Add selection menu for cosmetic traits in character creation
Adds message for NPCs completing crafting so it doesn't reference the player incorrectly.
Add the 12-bit rainbow as color palette option
NPC follower rules can now be viewed and modified in a dedicated, mouse-supported window
Prevent automatically assigning keys to passive bionics
Prevent automatically assigning keys to passive mutations
Zone Manager: "Show All / Hide Distant" highlights selection
Add sorting by amount and value/volume in advanced inventory search
Addiction withdrawals are a toggleable distraction
Select CC-Sounds as default soundpack if it's present on first run
Migrate uilist implementation to use ImGui
Allow ebooks in read command
Toggle to only draw overmap during autotravel
Mouse input in uilists does not block keyboard navigation
Iteminfo window migrated to ImGui
Updated default keybindings for changing start dates in character creation menu
Rewrite the loading screen to use ImGui
Custom loading screen the game deserves
Wrap the descriptions in the zone menu so that it doesn’t have a ridiculous width
Map UI: hint custom keybind for `CHOOSE_DESTINATION`
Only list non-zero damage types on melee weapons
Misc. improvements to NPC goto-location options
Repeat survey missions without leaving the interface
Add a daily health sidebar widget
Add labels to structured sidebar tiny bodygraphs
Use Freetype to render fonts for ImGui, and use multiple fonts in the ImGui interface
Missions track when they were completed/failed
Option to set all of a companion's job priorities at once
Added information to crafting menu about crafting speed modifier gained by mutations
Camp crafting uses the normal crafting GUI
Display the power draw of battery chargers
Sidebar widget to show faction territory
Allow fine user customization of ImGui colors
Migrate scores window to imgui
Add filter for body part coverage to the crafting GUI
Add filter for clothing layer to the crafting GUI, AIM, inventory etc.
Crafting GUI: Filter recipes by what can fit into the result (longest_side, volume, mass)
Migrate popups in pocket settings menu to ImGui
Migrate martial arts details window to imgui
Add sorting by price to weight ratio
Filter items by can_contain `L:`, `V:`, `M:` (longest_side, volume, mass); affects AIM, inventory…
Migrate compare item menu to imgui
Better skill requirement UI for martial arts
Add recast last spell (Repeat last supernatural ability)
Specify which parts you can connect to in extension cord prompt
Make font-hinting user-configurable
Set minimum sizes for missions menu UI
Add history to Construction Search
Load all of the user’s chosen font files as fallbacks for ImGui to use
Extended description window (x->e) shows potential deconstruction and bash yields
Focus the default selection in query popups
Zone manager will expand to match a wider sidebar.
Add options to sort item list by item name
Dont show liquids from held or worn container
Move camp-specific recipes to their own category
Add option to disable mouse
Add "in use" info to item's name if the item has been reserved by an NPC for camp work
Add NPC faction and NPC omt location to mission entries
Describe stat level in new character window


## Mods:
[Aftershock] Merge aftershock and aftershock exoplanet.
[Aftershock] Heat Crashed Ship
[Aftershock] Add three new locations
[Aftershock] Add the Port Augustmoon Station
[Aftershock] Add two crashed shuttle maps
[Aftershock] New combat bionics
[Aftershock] Add a space station clothes store
[Aftershock] Add poison based bullets, grenades and 'toxic flamethrower'
[Aftershock] Basic Hacking EOCs
[Aftershock] Adds another variant of Habitat Block to Aftershock. Also adds a new item group and monster group.
[Aftershock] Add the Esper scenario
[Aftershock] Adds one variant of Habitat Block to the Aftershock Exoplanet. Also adds hackable display cases and doors.
[Aftershock] Add urban farms as town buildings
[Aftershock] Add the Esper scenario
[Aftershock] Esper additions
[Aftershock] Adds one the Solar Array Overmap special to Aftershock.
[Aftershock] Add Spark to Esper scenario
[Aftershock] Add two versions of the Exosuit Garage,  travel to Port Augustmoon, 6 variants of Enclosed Parks to the Exoplanet, and Enforcer station for Aftershock
[Aftershock] New craftable plasma gun.
[Aftershock] Add Habitat Block 3 Mapgen to Aftershock Exoplanet
[Aftershock] Add a tool and gadget trader to Port Augustmoon.
[Aftershock] Add suit batteries for the winter suits.
[Aftershock] Add personal shield generators
[Aftershock] Replace exosuit forcefield with backpack generator
[Aftershock] Shield bionics deploy Riemman shields
[Aftershock] Add Zenit security drones, a miniboss for industrial ruins.
[Aftershock] Create an alternate EMP mechanic that disables items only temporarily.
[Aftershock] Adds craftable appliances for setting up improvised shelters and bases on the Exo-Planet
[Aftershock] Add the Geist (telekinetic) esper profession and powers
[Aftershock] Add a new mutation system for aftershock based on gene templates controllably granting traits.
[Aftershock] Add human++ genemods
[Aftershock] Add UICA Shuttlebases to the Exo-Planet
[Aftershock] Add Gene Clinics Mapgen
[Aftershock] Allow direct trade of cash cards
[Aftershock] Add military infolink and high voltage battery charger bionics
[Aftershock] Add an Encampment around the Port Augustmoon landing pad
[Aftershock] Add a Vehicle Merchant to the Salvor Camp Garage.
[Aftershock] You need a combat License to buy a combat suit from the outfitter
[Aftershock] Add ETC firmware gunmods to Caseless military weapons
[Aftershock] Make UICA chit ATM-compatible
[Aftershock] Add manhole terrain to exoplanet
[Aftershock] Add the Salvor Fabricator to the Shuttlepad Camp
[Aftershock] Update and Expand Hacking System
[Aftershock] Add some more Cyberpunk style gear
[Aftershock]  Add the Wraitheon Vahagn 10XR, a smart Rifle
[Aftershock] Re-balance Laser Weapons
[Aftershock] Rebalance Ballistic Weapons
[Aftershock] Re-balance Plasma and voltaic Weapons
[Aftershock] Expand Frontier Outposts
[Aftershock] Autotravel works on Salus IV now
[Aftershock] More mundane tools are available on Salus IV
[Aftershock] Create a loading screen for Aftershock
[Aftershock] Create cryosuit UI elements and power warnings
[Xedra Evolved] Paraclesian Map extras
[Xedra Evolved] Add Great Tree elemental eruption map special
[Xedra Evolved] Adjust Magnetic Holster Values
[Xedra Evolved] Trait to avoid learning dream magick
[Xedra Evolved] Trait to avoid learning dream magick
[Xedra Evolved] Even more paraclesian powers
[Xedra Evolved] Give Liam XE specifics opinions
[Xedra Evolved] Add new homullus mutations that increase equipment durability
[Xedra Evolved] Make Paraclesian fae's magic easier in appropriate terrain
[Xedra Evolved] Make Paraclesian fae's magic harder in some circumstances
[Xedra Evolved] Vampires can just drink blood.  They can just drink it
[Xedra Evolved] Allow vampires to reach the fourth tier and add vampiric mentors
[Xedra Evolved] Tier 4 Vampire implementation
[Xedra Evolved] Paraclesian fae cannot wear/wield steel or iron without problems (except Homullus)
[Xedra Evolved] Lots of Vampire stuff, new powers and power research
[Xedra Evolved] Add check for Salamander being near fire, not just in it
[Xedra Evolved] Add Iron Intolerance starting trait
[Xedra Evolved] Add Skinchanger profession + hedge magic spell
[Xedra Evolved] Add more quests to Boann and the possibility to leave the world
[Xedra Evolved] Tier 5 of vampirism + more vampire-related tweaks
[Xedra Evolved] Stalking Warper and Cryptid Video snippet
[Xedra Evolved] Add Purifying the Air sylph spell
[Xedra Evolved] Dreamwounds: Locations for spell item drops
[Xedra Evolved] Add werewolf start scenario
[Xedra Evolved] Add Homullus must wake up near humans fae ban + eating restrictions
[Xedra Evolved] More Paraclesian restrictions
[Xedra Evolved] Add the "XEDRA Operative, Department of Extra-Normal Capabilities, SATOR Division" profession
[Xedra Evolved] Inventor: (Re)Add Dimensional Research
[Xedra Evolved] Extend hedge magic research system
[Xedra Evolved] Playable Gracken 
[Xedra Evolved] Add playable changelings
[Xedra Evolved] Werewolves only regenerate when they need to
[Xedra Evolved] Inventor equipment can fit a PC of any size
[Xedra Evolved] Add more Selkie powers
[Xedra Evolved] Gracken Big Game Hunter profession
[Xedra Evolved] Prevent Paraclesians from being born with a drivers license
[Xedra Evolved] Dreamsmithing procgen expansion (enchants)
[Xedra Evolved] Add Ruach counter to sidebars
[Xedra Evolved] Require Traverse the Wilds to target a tree as the endpoint
[Xedra Evolved] More Lilin powers
[Xedra Evolved] Add cryptid hunting and a few cryptids
[Xedra Evolved] Moon's tears weapons
[Xedra Evolved] Add playable Lilin with appropriate scenario
[Xedra Evolved] Only humans can learn dream magick
[Xedra Evolved] Add (very small) chance of being attacked by a lilit in your sleep
[Xedra Evolved] More Ierde powers
[Xedra Evolved] Add more Lilin traits and features
[Xedra Evolved] Allow Lilin to drain ruach while under the effects of NO_SPELLCASTING
[Xedra Evolved] Add Lilit ruach gauge using custom variable functionality
[Xedra Evolved] Add new time related powers for each default dream class
[Xedra Evolved] Add more wilderness spooky messages
[Xedra Evolved] Add Exhalation of Ashes spell to salamanders
[Xedra Evolved] Gracken Stomach Traits
[Xedra Evolved] Add Time Related Monsters
[Xedra Evolved] Add time magic class / scenario
[Xedra Evolved] Salamander Eruption
[Xedra Evolved] Paraclesians passively gain traits (if they spend time in their native environment)
[Xedra Evolved] If you ritually murder the Fair Folk they all hate you
[Xedra Evolved] Arvore with enough power have neutrality from the triffids
[Xedra Evolved] Boann island updates
[Xedra Evolved] Add more goblin fruits to XE
[Xedra Evolved] Boann will use her magic against those who attack her
[Xedra Evolved] Dreamsmith will learn casings if they are a shooter
[Xedra Evolved] Add seasonal magic for changelings
[Xedra Evolved] More seasonal magic
[Xedra Evolved] Chronomancer Spell XP redesign
[Xedra Evolved] Chronomancy Unique XP style
[Xedra Evolved] Add Offworld Acquisitions Materials Processing
[Xedra Evolved] Add monochrome boomer
[Xedra Evolved] Add alchemical hobby basements
[Xedra Evolved] Add Dreamsparks as fuel for seasonal glamours
[Xedra Evolved] Adds a special boss encounter for tier 5 vampires.
[Xedra Evolved] Modify Gracken and Paraclesian butcher / dissection empathy by jsonizing species empathy
[Xedra Evolved] Add playable dhampirs
[Xedra Evolved] Add feral vampires, put them in house nests + caves
[Xedra Evolved] Wolves Can't Talk
[Xedra Evolved] Remove vampires' free bite, vampires take more mutagen
[Xedra Evolved/Sky Island] Elemental fae are at home on the island
[Xedra Evolved/Innawood] Remove modern items from XE spawns Innawood, allow starting with XE-specific scenarios
[Xedra Evolved/Dinomod] You can drain dinosaur's ruach
[MoM] Power learning revamp: Biokinesis
[MoM] Change success formula for psionic powers
[MoM] Power learning revamp: Teleportation, Electrokinesis, Clairsentience and Telekineseis
[MoM] Update Galvanic Aura to Concentration power and fix other errors
[MoM] Too much pain shuts down your powers
[MoM] Edit spell UI word choice when using psionics
[MoM] High levels of weariness turn off your powers
[MoM] Edit portal storm conditions to support moddability, use that for Telepathic Shield in MoM
[MoM] Oubliette works on NPCs now
[MoM] Utilise test_eoc functionality to reduce duplicate conditions
[MoM] Power maintenance message change
[MoM] Rework Far Hand into the "Move items" power and Force Shove into the "move creatures" power
[MoM] Add the Megakinesis telekinetic power
[MoM] Add actual fear effect to Primal Terror telepathic power
[MoM] Add pseudo tool to nether crystal outcroppings, add that tool as a possibility to contemplation recipes
[MoM] Add zombie breaker, change MoM zombies to copy-from mon_zombie_base
[MoM] Fix Force Shove to account for target weight
[MoM] Add Astral Projection Clairsentient power
[MoM] Add `city_sizes` parameter to city buildings
[MoM] Using psionics in or near the Nether is more powerful, but also more risky
[MoM] Add triffid psions
[MoM] Psionic powers say "Power level" instead of "Spell level" in the UI
[MoM] Torrential channeling research no longer has required proficiencies
[MoM] Add gremlin, a Nether-touched fox, plus small monster tweaks
[MoM] Randomize monster power cooldowns
[MoM] You can't contemplate powers if you're too weary
[MoM] Add Sensor Jamming Photokinetic power
[MoM] Add MUSCLE_VEH_BOOST flag to appropriate powers
[MoM] Make Oxygen Absorption effect visible
[MoM] Update morphic reinforcement serum with MUT_INSTABILITY_MOD, switch it and noetic resilience treatment over to `consume_drug` use action
[MoM] Nether Attunement affects psionic calorie usage
[MoM] Add a new psychic animal, the Direhound.
[MoM] Add Teleportation Ephemeral Walk Power
[MoM] Add Reality Tear Teleporter Power
[MoM] Add QD944-P 'Mindsight' glasses
[MoM] Add Illuminate Photokinetic power
[MoM] Add Headblind trait and Latent Psion trait
[MoM] The liquid from the black Nether pools is now collectible and drinkable
[MoM] Add Alien Meadow mutable map special
[MoM] Add the unstoppable force (final rank feral telekinetic)
[MoM] Give the human whirlwind (and feral security captain, Ψ Division) the Hurricane Blows power
[MoM] Allow Intuitive Artisan to craft in complete darkness (because you close your eyes and let the visions take over)
[MoM] Add remaining matrix elixirs, add more drops
[MoM] Blazing Aura is an actual aura effect and harms anyone nearby
[MoM] Add Mental Engineering Telepath 'Ritual' recipe
[MoM] Remove monster inherent speed boosts, replace with actual powers that have to be used
[MoM] Torrential Channeling power maintenance also raises Nether Attunement
[MoM] Add power to cancel specific concentration effects
[MoM] Add the PATIENT MOSAIC research room to skyscraper lab
[MoM] Add the Gamma Sterilization photokinetic power
[MoM] Update creature mindsight to be variable, apply to Eater
[MoM] Danger Sense senses danger
[MoM] Psi passives turn off if you can't use psionics
[MoM] Ephemeral riftwalkers can use Breach
[MoM] Add a couple Teleporter Powers
[MoM] Melded Teleporter Force
[MoM] Sitting at high Nether Attunement costs additional calories/additional weariness when maintaining powers 
[MoM] Add Water-Walking Telekinetic power
[MoM] Add null grenades
[MoM] Add some more nether attunement consequences
[MoM] Differentiate XEDRA lab-made and makeshift inferno grenades, add `pyrokinetic matrix crystal bomb`
[MoM] Add Apportation teleportation power
[MoM] Item Gateway Power
[MoM] Add two psionic amalgamations
[MoM] Sensory Disintegration absolutely tanks your concentration ability
[MoM] Add Heightened Senses Clairsentient starter ability, move Night Eyes later in the tree
[MoM] Add some biokinesis utility powers
[MoM] Add warped strikes teleporter power
[MoM] Give feral teleporters Warped Strikes
[MoM] Project TURQUOISE KEYSTONE
[MoM] Add volume limits to Blink and Farstep
[MoM] Add Noetic resonance detector
[MoM] Hostile NPC dialogue updates
[MoM] Add psychic knacks
[MoM] Add possible `Mathematican A57` boss fight to Research Facility
[MoM] Add Achievements
[MoM] NPCs can awaken in portal storms
[MoM/XE] Add profession: Mobile Task Force: Psi 7 "Sleepwalkers" 
[MoM/XE] Ierde and powerful vampires are immune to telepathy
[MoM/CrazyCata ] Rename Metaphysics to "woo woo"
[MoM/Magiclysm ] Synchronize anti-Stare powers, Thought Shield spell protects from telepathy
[Magiclysm] Rebalance enchanted combat loot
[Magiclysm] Reduce mana cost of some of the spells
[Magiclysm] Ogre revamp
[Magiclysm] Greatly increase the number of (weak) spellbooks in people's homes
[Magiclysm] Add wizard version of LMOE
[Magiclysm] Add fantasy skin colors
[Magiclysm] Even more spells
[Magiclysm] Add "of elvenkind" items
[Magiclysm] Goblin encampment / orc village revamp + additions
[Magiclysm] Add spells that allow you to gain the various +mana traits
[Magiclysm] Last Mage on Earth start
[Magiclysm] Add spellcasting proficiencies
[Magiclysm] Tune conveyance spells with scaling modifier
[Magiclysm] Technomancer pain ignoring spell
[Magiclysm] Being grabbed makes SOMATIC spells harder to cast
[Magiclysm] Add Hy-Brasilean ambassadorial honor guard profession
[Magiclysm] Add Shifter druid profession + wildshifts
[Magiclysm] Add Iron Intolerance starting trait
[Magiclysm] Diviner can send you to druid tower
[Magiclysm] Add mana trait NPC trait groups
[Magiclysm] Artificer attunement passively recharges batteries in inventory
[Magiclysm] Add Slow Magus spell
[Magiclysm] Vulcanists are immune to smoke and blistering
[Magiclysm] Make the Artificer and Storm Elemental attunement innately immune to EMPs
[Magiclysm] Add WATERWALKING and ITEM_WATERPROOFING to Body of Spirit spell
[Magiclysm] Move bulk of spellcasting proficiency processing to dedicated EoCs and out of spell JSON 
[Magiclysm] Add spell school deficiency traits
[Magiclysm] Add feral magus/high magus
[Magiclysm] Fantasy species zombies
[Magiclysm] Add feral stormshapers
[Magiclysm] Rapid Regeneration's effect only triggers if you need healing
[Magiclysm] Goblins and dwarves can craft in the dark
[Magiclysm] Feral dabblers: add a small chance for ferals to know a single spell
[Magiclysm] Add a trait that prevents magical spellcasting
[Magiclysm] Fix soul afterburner granting infinite moves
[Magiclysm] Add the mana-shackled challenge trait
[Magiclysm] The Forge of Wonders puts no value on food or drink, minimal value on guns and ammo (except the pirates)
[Magiclysm] Rock trolls actually turn to stone
[Magiclysm] Progressive Difficulty reduction the more spells of that school you know
[Magiclysm] Add feral technomancers
[Magiclysm] Spells cost 1/5 of their normal cost on spell failure
[Magiclysm] The Great Damage Randomization and Normalization
[Magiclysm] Add technomantic augmentation clinic
[Magiclysm] Add the aenor, a giant heron riding mount
[Magiclysm] Add zombie dwarves to mines
[Magiclysm] Obsolete shambling mound, give shaman the Keeper of the Glades summon
[Magiclysm] Forge of Wonders Redesigned
[Magiclysm] Add Witchsight Animist spell and Witchfinder Eye CBM
[Magiclysm] Add a couple more CBMs
[Magiclysm] Demon spider rework
[Magiclysm] Goblins and wargs are best friends
[Magiclysm] Use EoCs to allow Magiclysm fantasy species to gain mutation paths/purify themselves
[Magiclysm] Forge values denarii but no one else does
[Magiclysm] Biomancy is disturbing
[Magiclysm] Add mana zombies of various kinds
[Magiclysm] Add `Morphogenic Mastery` Biomancer spell
[Magiclysm] Spellcasting always grants proficiency XP
[Magiclysm] Implement Enchanted Druid Items
[Magiclysm/Innawood] Revamp goblin/orc drops to separate itemgroups, make them fit Innawood
[Magiclysm/Innawood] Allow troll caves to spawn innawood
[Magiclysm/Innawood] Blacklist iron and plastic golems Innawood
[Sky Island] Warp Pulse UI
[Sky Island] Take NPCs on/back from raids
[Sky Island] Add east bunker room upgrades to possible missions 
[Sky Island] Add buildable north chamber missions and mapgen
[Sky Island] Add west bunker room upgrades to possible mission
[Sky Island] Upgrade central skylight missions and mapgen
[Sky Island] Add bunker climate control upgrade
[Sky Island] Add statue dialogue to let you repeat construction stages
[Sky Island] Add Warped Pond craft
[Sky Island] Make Beta security containers and better ones obtainable.
[Sky Island] Add possibility of autodocs or CBMs to Exodii crash pods
[Sky Island] Progressive autodoc improvement
[Sky Island/MoM/XE interactions] Allow starting with XE/MoM scenario-limited professions in Sky Island
[DinoMod] Plesiosaurus
[DinoMod] Iguanodon
[DinoMod] Falcarius
[DinoMod] Astrodon 
[DinoMod] Longer tail attacks
[DinoMod] Sauropods out of the water
[DinoMod] DinoZoo update
[DinoMod] Tougher day 3 predators
[DinoMod] Eggs process directly into hatchlings
[DinoMod] Eolambia
[DinoMod] Lokiceratops
[DinoMod] Shonisaurus
[DinoMod] Moabosaurus
[Bombastic Perks] Add more perks
[Bombastic Perks] Yet more perks
[Bombastic Perks] Add Stormwrought line of playstyle perks
[Bombastic Perks] Add blood-themed perks
[Bombastic Perks] Sword and sorcery-esque perks
[Bombastic Perks] Add a bunch of new perks to Bombastic Perks
[Bombastic Perks] Below the Belt perk
[Bombastic Perks] Make perks unpurifiable
[Bombastic Perks/MoM] Add MoM-specific perks
[Bombastic Perks/Magiclysm] Limit metamagic perks to Magiclysm
[Isolation Protocol] Autodoc safe room variant
[Isolation protocol] Increase danger timer and remove sealed hallways from the mapgen pool.
[Isolation protocol] New lab shapes.
[Isolation protocol] Add roguelike style health regen and pain reduction
[Isolation Protocol] Add Bionic Vampire class
[Isolation protocol] Office Levels
[Isolation Protocol] Add the Last Scion class
[Martial Mastery] Create the Martial Mastery mod, which allows you to develop your own martial art using a level up system 
[Martial Mastery] Add three new defensive perks.
[Martial Mastery] Many New Perks.
[Innawood] Removes man-made trash from stream loot spawns
[Innawood] Add Makeshift hand-crank charger and magnetite ore
[Innawood] Lowers electronic skill requirement of clay car batteries from 3 to 2
[The Backrooms] Expand the Backrooms to multiple Z-levels, add stairs
[Crazy Cataclysm] Add the immortal snail as second nemesis
[Extra Mutation Scenarios] Add start only mutation glands that gradually permanently mutate you towards a selected category
[Tamable Wildlife] add Cougars to list of tameables
[TropiCata] Audit and balance pass on termites and termite accessories
[No Hope] Adds a difficulty setting prompt to determine item spawn rates
More specific messages for being unable to use supernatural powers
Being mute prevents casting VERBAL spells
Create an external option for disabling zombify_into. Apply it to both [Aftershock] and DDotD
Mods can add categories to the help menu


## Balance:
Gunstore Overhaul
Houses sometimes have alarms
Allow Motorbike Battery Appliances
Allow using a heavy training dummy where a light one would suffice
Make field stone a bit more common, which can now also be turned into rocks. Plus general small forest trash updates.
Military locations can spawn EOD suits
Electric zombies no longer have a long range AoE attack
Clean water in open containers reverts to water after a while
Add Vitamin Cost to mutations
Rebalance the chance for armor to be damaged by attacks.
Relaxing with Alonso is now fun
Some herbivore threshold mutants can now eat usually unpalatable raw fruit and vegetables
Beast mutants can mutate quills
Visitors Passes and Freight Badges no longer reveal roads
Hub14 no longer gives infinite pricey schematics
Removed FANCY and SUPER_FANCY from a bunch of items
Pianos can be fast-deconstructed and thus be moved as an item
Obsolete trickle charger CBMs
Bring ice axe in line with reality
Audit remaining magazines (.223, 9mm, .308)
Update books.json to rebalance religious book spawning
Retuned frag grenades to be less effective against ballistic armor and lose power over distance faster
Remove rapid strike from knives
Instability no longer accumulates or decreases; it depends on how many mutations you have, and how many are outside of your current tree
Rebalance pain to be more penalising
Shoggoths cannot eat artifacts
City buildings are restricted to spawn in (more) appropriately sized cities
Unattended crops that are ready to harvest will die if not harvested before their next growth period
Make Quadcopter Drones Produce Sound
Make most plastic and glass containers transparent
Added limb blocking to bionic styles
The average skill level of NPCs will rise over time
Random NPCs have the same starting skills and proficiencies as the average new character
Adjust Alpha to make breach harder while supporting future mutations
Lower the warmth values of some undergarments and thin clothes
Switched Reload Speeds for Plasma Rifle and PPA
Bring volume calculations for player body more in line with realistic examples
Give pebble ammo type recovery chance
Display ordered NPC path on map, NPCs refuse to go to dangerous locations
Reduce Anthill Spawns
Science item group no longer littered with personal prescriptions
update Hub 01 armor repair fees and timeframes
Add Wound Care proficiency for Park Rangers
Opiate shakes caused by cravings go away after taking opiates. Other shakes are unaffected.
Remove guaranteed residential solar, add random residential solar
Mortar is now a recipe on cement bags
Let hospitalized humans revive as zed crawlers
Cramped space doesn't prevent sleep
Rebalance beverage quench based on oral hydration index
Greatly reduce weak point proficiency learning times
Adjust martial arts to have crit techs that do not require stun
Remove CLAWS from Judo, Aikido, Eskrima and Biojutsu
Wielded items behave the same as ranged weapons when driving
Obsolete and migrate legacy wire in favor of mild steel wire
Remove itch from conjunctivitis and make it even shorter when irrigated
Electronic devices spawn rate rework
Crashed planes have no ferals
Replace land mines with bear traps in the bandit cabin
Ballista is no longer pure magic
Make lab access shafts normally visible once spotted
Remove calcium from Rare Drugs itemgroup
Ranged weapon selection for random NPCs
NPCs can funk out to music, too.
Buff heavy-duty flashlight and adjust heavy-duty headlamp to match heavy-duty flashlight
Nerf atlatls, a lot.
Martial arts manuals spawn in libraries and houses
Lower Stream Item Spawns
Mining solid rock now results in a lot more rock and very rarely, you can find a bit of limestone while digging in soil
Food price scales with freshness
Dry stone walls now need to be climbed over
Change spear techniques from impaling strike to penetrating strike
Changed Survivor Hood Materials and Added Filtration to Cowls
Rework faction camp mission travel calculations
Long sticks can now be found in the forest trash group, too
Stone walls (the non-dry variants using mortar) now require more than 3l of rocks to build
Washing kits are now craftable in the dark
wp_skill makes you avoid strongpoints
Zombified humans are still humans for butchery purposes
Zombie Humanity Audit
Combine crit hit and wp hit and tweak damage calculation for ranged attack
Thermal electric gear power draw reduction + medium battery for TE suit
Set disassembly range to crafting range: 6
Mutating with an installed bionic that conflicts results in damage
Removed morale penalties and rare drops from dismemberment
`Uncaring` characters can socialize with NPCs but they don't like it
Triffid flesh is no longer safe to eat
Milspec searchlights don't explode, now drop broken version
World sliders rebalanced to offer differing gameplay experiences
Some recipes have 'hard' proficiency requirements
Expanded spawns for some proper melee weapons
Adjust Precise Strike melee tech so it also cant stun what other stun-causing techs cant stun.
Adds cuvettes to analysis kit crafting recipe, increase analysis kit weight.
You can use all kinds of ropes in all constructions now
NPCs can develop vitamin diseases
NPCs can overeat, starve, and dehydrate to death
Make pupating zombie explosion quieter
Cotton patch can be used to stop bleeding


## Bugfixes:
Food continues to rot at temp above 63°C
Clarify repeater mod installation and add a vanilla quest for them
Randomizing character description will produce a matching outfit
Autodrive over bridges
Stable vehicle speeds with autotravel
Count charges in all nearby smoking racks to crafting inventory
Fix crash from reachability zones checking dead NPCs
Fixes issue where some CBMs could be taken off via forcing a pet to wear them
Hint that you need to return to the Representative for the Exodii Recon Mission
'A shadow?' is no longer a pinball
Fixes excessive shadow lieutenant warnings
Fix 32 bit integer overflow in bionic power level calculations
Say which specials could not be placed.
Allows Infrared vision to see through smoke
Implemented drawing of non-English characters in ImGui screens
Fixed monsters which regenerate in the dark regenerating in daylight
Fixes issue where NPCs could take an item like canned corn as a donation and would remove the corn from the can and give you the can back.
Fixes issue where loading a forge with coal does not work
Fixed issue where ImGui processes input that happens with no ImGui screens visible
Rest quality is not always positive, negative rest quality will slow your bandaged healing 
Fixes ImGui keybindings UI not allowing the user to scroll
Fixing issues where ImGui popup changes size sporadically. Fix issue where keybindings filter box deactivates unexpectedly
Fixes issue where all ImGui windows display wrong when the window scaling is not 1
Fixed issue where new ImGui popup does not obey the default option requested by user
Fixed issue where the keybindings UI doesn't let you press the plus key to add a local keybinding
Fixed frame lag in imgui text inputs
Fridges do not drop 999 kilo of copper when disassembled
Cureall Effect (Panacea) now cures early stages of cold and flu
Fixed arrows disappearing when unwielded
Fixed issue where new ImGui popup does not obey the default option requested by user
Fixed issue where the keybindings UI doesn't let you press the plus key to add a local keybinding
Fix segfault-causing error in _characters_nearby
Fix shotgun speedloader and speedloader chute
Do not try to unload your bow when it is not loaded
Favorite ammo must be on the avatar
Fix split vehicles always using the incorrect pivot point
Transformed active mutations (extended claws etc) properly cause instability
Only count CONTAINER type pockets in the pickup inventory
Allow select-all when highlighted item is non-selectable
Eddie can talk about his father
Fixes issue where ImGui popup doesn't wrap buttons to a new line when the overall length is too long
Wet Towels No Longer Prompt to be Turned Off
AIM: Now moving all items will not move favourite items, if other items are present
Misc repair kit draws ammo from around player and inventory, opposed to an internal ammunition pocket
Fixed issue where Android gesture inputs were not recognized by ImGui windows
Fixed arrows disappearing when unwielded
Fix for massive slowdown when NPC crafting speed drops below 0.0
Pseudo terrain appearing in fields when using mods is fixed (won't affect existing fields)
Fixes issue where loading a forge with coal does not work
Characters' spellbooks will not load invalid spells
Prevent segfault when butcher target disappears
Make Skunks Less Bloodthirsty
Remove cramped space when no longer cramped
Correctly display the cost to learn the proficiency
Hordes won't wander without a reason
Allow using hotkeys to select spells in other categories
Monster difficulty (and exp for killing them) cannot be lower than 1
Fix connections like roads sometimes failing to gen on cityless overmaps
Correctly display pain penalties
Removes Railgun Fouling
Save achievement files with valid and unique names
Monsters with PATH_AVOID_DANGER flag will more reliably avoid fire and other dangerous fields
Fix extension cords falling off when items are turned on
Properly warn if food will cause you to overeat
Not to shatter already shattered armor
Make farm plots re-tillable in farming extension version 2
Break fake vehicle parts when the real part breaks
Fixes OM Terrains triggering their exit_eoc on entry instead of correctly triggering their entry_eoc
Stop birdshot from firing 20 projectiles, each of which has the power of 100 projectiles
Travel to no longer cancels on moving up/down on a ramp
Offspring inherit friendly value from parents to prevent conflict with tamed parents
LIXA teleport death bugfix
Fix rat aggression
Fix android build
Clean water in tanks now stays clean
Webs, sludge, and sap no longer give you superhuman dodge and melee accuracy
Sealed recipes won't seal #71878
New England Community Church also dislikes rabbit and bat mutants
Fixes appliances turning off randomly
Fixing drawing of fallback tiles for weather on overmap
Limit shot targets to the reality bubble
Prevent the unique Isherwood Migo Tower from Spawning in Innawoods
Stop wasting dodge attempts on things you can't even see
Wrong header restoring saved AIM layout
Provide insertion failure reasons from only eligible pockets
Prevent segfault when unloading from spillable container
Safer NPC ranged weapon use
Prevent segfault when target of firstaid_activity_actor disappears
Prevent segfault if repair item disappears
Prevent negative array index for floor_cache
Set owner of disassembly result
Avoid crash when the character has no proficiencies and we press enter on them inside Character menu "@
Prevent phantom cramped space on empty tiles
Increase Flame Immunity heat resist so you're actually immune to fire for real this time
Reading maps will reveal previously partially revealed tiles
Prevent div by zero crash in mana widget
Mutinous NPCs no longer follower your rules
NPCs can use C4
Booby trap releases a live grenade that will actually explode
Prevent segfault when refitting item in spillable container
Treat hostile NPCs as unsafe even if your safe mode rules don't match.
Genetic chaos no longer mutates Perks
Superglue isn't super dense anymore
Reach attack around corners
Fix NPC butchering requirements
Fixed segfault when monster tries to grab-drag another monster out of reality bubble
Prevent being teleported beyond OVERMAP_DEPTH
NPC flee from being run over by vehicles
Monsters won't be sending immobile targets into flight anymore.
Fixed hair growth and balding issue in appearance_eocs.json
HUB01 templates' spawn is more predictable
Cameras can now be charged and they all consume one battery charge per usage
Avoid JSON errors on Windows with no sound devices
Allow tiny continuous power draw in electronic devices
Don't take integrated and no-takeoff items when mugging
GUI Loading screen shows progress again
Prevent sidebar crash when trying to divide by zero
Fixed crash on trying to unwield heavy items when trying to drive
Cabin in Safe Place scenario is now actually safe
Start of cataclysm day and start of game day now respect season length
Fixes #76414, Can't activate item - character instead tries to eat it.
No longer able to wear already worn items
Faulty guns don't lock your view
Don't apply additional move cost for moving barefoot in deep water
Fixed a crash when using the 'set of clothes' item
Fix non-battery charge consumption of active items
Heating elements no longer drop from smashing the fume hood
No salvage for ballistic plates
Forbid drinking liquids underwater for characters with `Aqueous Repose` and `Embrace of the Waters` mutations, as it stated in mutations' descriptions
New appliances have correct owner
Battery charger appliances now work when outside the reality bubble
Dropped lit cigarette won't start fires if there's no flammable terrain, furniture, or items on that tile
Use correct symbols for vehicle front corners
Invalid recharge type and instant book reading
Fix scenario spawns
'Burst-fire wielded weapon' now actually sets wielded weapon to burst or auto firing modes
Fix shelter and burning building starts
Camp food can be distributed from vehicle cargo zones
Bleeding can be stopped with bandages without waiting an extra turn
Don't apply parkour bonus when moving prone
Calculate correct height when a uilist has desired_bounds not including a height
Fix: weariness makes hauling faster instead of slower
Make floors under furniture correct
Unload zone properly clears auto whitelists
Stop spawning too many monsters in a cave
Flamethrowers count as firestarters for lighting up bombs
Forbid starting fires (using firestarters) on water tiles
Fragile and Sturdy flags cannot be inherited
Faction camp storage zone effective after editing
Construction blueprints don't require deconstruction tools or decoration materials
Deployed furniture won't be floating anymore if deployed on open air
NPCs stealing player default name
Fix zoo scenario spawn
Fix regression of calculation of the height of a uilist that has a desired_bounds not including a height
Reduce `min_cycle_recoil` of IWI Tavor (.223)
Several tweaks to Respirator bionic
Allow Portuguese language to be selected in game
Corrects issue where Feral Soldiers' gear was more damaged than the Zombies
Show consistent healing quality
Removes airtight from things that don't meet in game definition of airtight
Safe mode only default warns about aggressive creatures that are actually targeting you
Trail guides and similar things won't change their home town anymore
Popup messages should show up at the correct size (such as when sleeping, waiting, etc)
Fix nunez bullet trailer appearing out of nowhere
Enable Other Anvils for Isherwood Quest
Fix mining using a pickaxe always causes an error
Rural church no longer spawns water heaters in walls
Resolve Milling Issues/Errors
NECC mapgen wrong symbol fix
Evac shelter no longer has dirt walls
Fix camp expansion recipes not being available
Fix `bio_blindfold` not working correctly after a save & load cycle
Make wood axe usable for great axe proficiency practice instead of hand axe proficiency practice
Autodrive doesn't stop due to driving over sludge etc
Fix crashing in CURSES without ASCII title art
Fix penetrating strike
ALLOWS_TALONS is about talons for feet, not for hands
Fix headlamp to accept medium batteries akin to a flashlight
Toggle bionics/deactivate mutations causes bonus stats ignored until next turn
Fixed crash that occurs after loading save and tying to move.
Make Quenching/Tempered Steel recipes more consistent
Fix broken macOS build due removed folder
Fix an EOC that was looping infinitely and starting more loops as you travel
Allow attacking with CANNOT_MOVE flag
Killing hostile NPCs won't give "Killed innocent" morale debuff anymore
Fixes displaying of stats for ablative armor
Fixes SegFault w/ flashlights & attached power
Peeking out of elevated windows no longer causes you to fall
Heat radiance now can spread through gas-permeable tiles like chain link fence
Fixes item prefixes (XL/XS) sometimes not being shown in crafting menu
Fix vehicle not moving when being remotely controlled
Fix crash when zone-harvesting crops with bad data
Correct recipe for water purifying to use correct quantity of water
NPC should not wield integrated armor
Allow commercial fertilizer to be used by zone manager
Fix infinite bounce
Prevent segfault when search gives no hits
Loci Establishment not ending properly
Sorting loot: stop player running to items that's not going to be moved
Prevent sorting activity from moving items that somebody works on
Can always repair simple parts on helicopters, inside or outside
Allow nested recipes to delete the item, if they dont yield any results.
Pathfinding: Avoid NPCs falling down to open air
Trading: NPC no longer accept items that would be deleted.
Fix vehicle parts being unrepairable after removing from vehicle
Prevent item::charges_per_weight to return overflowed values
Prevent storing multiple copies of the same book
Fix segfault when trying to insert items into container not carried
Fix Riot Damage not applying properly to structures multiple z-levels tall
Fix MISSION_GET_SOFTWARE not finding software
Flawless memory perk is no longer a debuff
Remove radiation from the nuclear power plant
Removes electric fields from irradiation plant
Smoking Rack & Kiln: consume time on firing
Item groups don't spawn blacklisted items
Fixes charcoal kilns producing 0 volume charcoal
Don't spawn blacklisted items from `container-item` entries in item groups
Add some missing e-storage fields
Auto Pickup menu: fix crash on removing last, add hint, remove artefact after switch from False
The prototype menu should not be shown when ask hub01 intercom about HWP for the first time
Audit of Wood panel from Beam and Sheet to replace Byproduct with Result Multi
Fix 0.5 L I1 Diesel engine not consuming fuel
Can't craft batches so big that they vanish when the game has nowhere to put them
Continue with destination activity if route is empty
Allow moving out of impassable, aquatic treated as swimming, non-swimmers can walk in shallow water
Book recipes are now available through camp crafting
Remove consumed faction camp calorie stores instead of leaving zombie entries
Star vampires no longer drain blood when doing no damage
Players learning from NPCs while blind and teaching NPCs while blind is now fixed
Remove landmines from weird places
Fix special attacks overwriting cooldown values to zero


## Performance:
Slightly fewer allocations in npc::process_turn
Optimized creature iteration during monster planning and parrot_at_danger
Optimize monster flag checking.
Increase pathfinder performance
Optimize stationary vehicle performance when they contain a lot of items
Optimizing mostly item to reduce load-time allocation by over 20%
Optimize creature vision checks
Optimize hot item function to save ~6.7% of game load time
Skip MGOAL_Find_Item if the player is busy
Avoid wasteful loop in map special road connections
Decrease memory overhead by about 200MB or about 15% by slimming down mapgen data structure
Faster ascii overmap drawing
Optimize item::stacks as well as allocation patterns in item and elsewhere
Cache available recipe list in craft menu
Optimize typed coordinate conversion functions for widespread savings
NPCs take less time to check for enemies
Improve point hash functions to eliminate map overhead in nps los checks and elsewhere
Fix lag examining large stacks of crafted items
Don't unnecessarily copy items in a tight loop in get_uncraft_components
Reduce unnecessary/duplicate checks for dangerous tiles
Cache the absolute map square position of the first submap
Cache mutation trait flags
Cache item info for crafting GUI full-text search
Vehicles are slightly more efficient
vision_transparency_cache isn't rebuilt if transparency_cache_dirty isn't set
AIM cache filter function once
Cache item info, reducing time of crafting filter `d:` to ~32%
Speed up mapgen especially noticeable in Sky Islands
Don’t call std::pow for squaring numbers
Don’t compute the size of far away hordes when drawing the world map


## Infrastructure:
Items warn on exceeding max volume, unify max volume as a game constant
Migrate names to snippets & add weighted snippets
Effect enchantments can now apply to monsters
Update houses to utilize palettes
Added SMALL_HIDER flag to various monsters
Test case: NPCs prefer to use guns
Rename 'fatigue' to 'sleepiness', mostly on the back end, to avoid confusing different ways of being knackered
EOC proficiency adjustments use normal training route by default
Improve spell checker tokenization and reporting
Deleted the ImGui enable/disable toggle, turns on ImGui globally in CDDA
Use test enumerating item spawns to make assertions about the rate of appearance of different items
Add perceived kwarg to pain_eval math function, apply it in Mind Over Matter
Refactored ImTuis drawing code to fix a black screen issue, and to improve performance
Refactor cataimgui::draw_colored_text
Create header for forward declarations of point types
Check DPS of all items with sufficient DPS
LIXA connect_group
Allow EOCs to check and modify battery charge in items
clean up overmap drawing code and consolidate to one function
Jsonized end screen
Quick setup at start for debug worlds/characters
Random NPC classes can define weighted chance of spawning, relative to other random NPC classes
Specify see_cost for overmap terrain with an enum instead of an integer
Add Flathub download button and Flatpak manifest
Support user-input text in EOC (similar to num_input in `math`)
Added support for multiple randomized field sprite variants
JSON-ify sleep-affecting mutations
Extend/delete support for harvest lists
Migrate ACT_PULP to the new activity actor system
Migrate ACT_WAIT_STAMINA to an activity_actor
Migrate extended description (`x`->`e`) to imgui
Added palettes to use parameters more generally
Mod Compatibility: Only load files within "mod_interactions" if requisite mod is loaded
Allow construction pre_terrain to be a list of alternatives
Remove furniture/terrain legacy alias code and JSON
Adds bash_scaling fields to use with spells
Replace some player responses with snippets
Make mutation able to use mana as resourse without EoC
Mod Compatibility 2: Prevent Error from duplicate ids within mod_interactions folder
Add controlling_vehicle EOC condition
Tutorial content moved to a mod, keybind snippets work outside of tutorial
Spell activated EoCs are passed the target as a context val location variable spell_location
Terrain/furniture: code deduplication and improved copy-from support
Add a new event for when worn armor is detroyed by damage
Allow furniture/terrain copy-from for symbol, color
Add a new Energy Shield type of armor for use in mods
Roof palette has more built-in nests
u_/npc_forget_recipe can use categories and subcategories in place of individual ids
Allow variable objects and math expressions to be used as widget variables
Traps can directly trigger EoCs as their action
Replace point constants with static class members
Upgrade ImGui to version to 1.91.5
Imgui input popups
Retired mingw cross compile build
Script for updating Translate Complex Dialogue mod
Falling is no longer handled by traps
Allow more customizable XP costs for spell leveling
Improve test coverage of mod combinations with mod_interactions
Tests now run in a guaranteed order (lexicographic) by default (can be overriden with cli argument)
Streamline Vertical Movement While Levitating and Flying
Clang-tidy output is a bit more readable on windows
Migrate map-size related constants to new file, unmagic related constants
Make clang-tidy feedback on GitHub much more responsive
Item price and price_postapoc must be denominated (cents/USD/kUSD). Integer values no longer used
NPC snippets overhaul
Add magic_type to deduplicate shared spell fields and reduce hardcoding
Add ability to debug spawn item groups and specify amount of repeats when testing
Bump minimum supported macOS version to 10.15 (macOS Catalina)
Make vcpkg manifest versioned
Reuse built clang-tidy plugin across github action shards
Remove ghc/filesystem polyfill
Create user mods dir automatically
monstergroup name field changed to id
Shotgun shell dispersion refactor
Send debug messages to Windows debugger
Add starting_cash field to professions JSON
Vending Machines can optionally use your Bank Balance
Magic Infrastructure: Add failure_chance field
Allow EOCs to read item tool qualities
Magic Infrastructure: Make magic_type spell fail chance still affected by spell specific flags
Allow EOCs to assign the character cash value
Allow extending/deleting connect_groups/connects_to/rotates_to
Make spell difficulty accessible in math
Add max_worn field, migrate ONLY_ONE flag
Upgrade clang-tidy to LLVM 18
Unified basement palettes
Improve error reporting
Refactor wield
EOCs for vehicles
Introduces 'light_multiplier' weather_type.json property
Make AIM actions testable
Allow setting 0 spoil time to enable copy-from for 0 spoiling
Warn on load if files have been modified
Always Display Spell Tabs
Allow monsters to have different climb/swim/dig speeds
Mapgen: removed unused, obsoleted and pointless JSON fields
Implement compressed saves
Adds a vertical stack of omt scope for mapgen parameters
Monsters can be forced to flee through an EoC
Improve mod migration


## Build:
Report game's RNG seed during testing
Added WebAssembly build via Emscripten
CMake: Add LLVM build for Windows and other linker fixes
Use one precompiled header
Fix zlib old-style-cast build breakage
Fix crash with imgui and CMake
Update Flatpak manifest to use clang and include the default soundpack
stl_emulation span::count_ is not const anymore
No longer build object creator in CI nor include it in releases
Add PDCurses to Windows
Fixed Linux experimental build automation issues caused by SDL dependencies
Fix CMake build after adding freetype
Fixes broken Windows build due to missing ImGui Freetype-related files and map::get_field function deletion
Fixed broken Android build due to missing FreeType library
Allow the game to build on OSX
Fix mac builds post freetype dependency addition
Add imgui_stdlib to CMake
Fixes potential artifact poisoning route in CI
Update vcpkg commit to new mainline, remove portfile override
Improve ccache performance with age based eviction instead of coarse size limits.
Fix CMake Linux VCPKG build
Initial support for GNU Make for Windows
Move Android bundle generation to manually triggered workflow


## I18N and A11Y:
Add check to ensure translator comments are correctly located and extracted
Add more English names and their translations to Simplified Chinese and Japanese
Expand the Russian name list with translated English names
Do not extract pseudoitems/some UI labels/debug strings for translations
Audit/NO_I18N effects.json
Allow new KEYBDINGS window title to be translated
Omit unnecessary lines from translations
Dont extract monster guns and spells for translation
Dont extract abstract names for translation
Extract blood analysis descs and end screen text
Dont extract abstract monsters and spells from data/json/monsters/
Add Portuguese translation
Obsolete strings now have a comment with an explanation
Make Portugal Portugues appear in Options
[AFS] Add NO_I18N/PREFIX_XL
[Magiclysm] NO_I18N, dont extract monster/fake spells
[Xedra Evolved] NO_I18N, dont extract monster/fake spells
Restructure the template file
[MoM] Dont extract monster/fake spells/effects for translation
Miscellaneous NO_I18N additions
Translate martial art condition text and cable notification text


# 0.H (Herbert)

## Highlights

Oceans! Travel far enough east and you'll be greeted by a sandy shore.
Furthermore, the map changes as you travel. The farther east you travel, the bigger cities will be. Cities in the west will start to be farther apart. The forest will get more dense the farther north or west you travel.
Portal storms are no longer engulfing the entire map and will move around while active. Additionally, in the depths of the earth now lurks an otherworldly horror: fight the new void spider boss if you can find its lair.
3D vision has been improved and you can now see the levels below you automatically, even without 3D FOV enabled.
Additionally, you can now throw stuff off ledges to damage creatures below, and zones can span multiple Z-levels.
New mod: Mind over Matter - adds detailed psionics to the game, along with a variety of new monsters, scenarios and game mechanics.
New scenario: Friends to the End. Ever wanted a NPC companion that feels more alive? With Liam you get a friend that cares and helps out during key moments.
Guns have been nerfed and now need more skill to be used efficiently.
Feral humans are more challenging now. Don't get too cocky when encountering those.
A massive nuclear power plant has been added. Get ready to explore its giant interior with proper gear.
Accidentally bumping into neutral creatures and angering them is now (mostly) a problem of the past. Just enable safe mode and you will no longer inadvertently slap your clingy pet gracken.
Certain monsters can now feast on corpses, graze and browse or gobble up your food and crops.
Some monsters can hide under furniture now.
Animals need to be fed to produce milk, eggs and to reproduce. Animals can graze on grass to feed themselves, and grazed grass regrows after season changes.
There has been an audit of how items burn, as most of these incorrectly burned like wood. You now need kindling to burn all that butchery refuse.
You can now find crazed civilians in the cities for the first couple of days. While they can not be turned or "cured" into NPCs, their behavior will make being in a city more dynamic.

# Statistics
5503 files changed, 12706358 insertions(+), 9312909 deletions(-)
6,526 commits
454 authors
212 new authors

New game entities (core): 5373
Items: 1408
    633 articles of clothing, 119 books, 128 comestibles, 84 tools,
    106 guns and gun related items, 102 ammunition variants, 236 misc items
Mapgen: 1187
    941 item spawn groups, 112 monster spawn groups, 88 map metadata,
    33 city buildings, 8 vehicle spawn groups, 3 overmap locations, 2 overmap terrains
Player Traits: 404
    96 proficiencies, 54 practice actions, 53 professions, 52 effect types, 49 mutations
    28 start locations, 21 body parts, 13 starting scenarios, 8 fighting techniques
    5 activity types, 4 morale types, 4 vitamins, 4 dreams, 3 bionics, 3 mutation types,
    3 character stat modifiers, 3 proficiency categories, 1 mutation categories
UI and Sidebar: 417
    188 nested categories, 121 ascii art, 54 widgets, 47 construction groups,
    4 item ctegories, 3 recipe groups
Crafting: 356
    125 construction activitiess, 73 crafting requirements, 158 uncraft recipes
NPCs and Interactions: 346
    281 conversation topics, 27 npc definitions, 23 npc classes, 14 missions, 1 factions
Achievements: 206
    74 achievements, 5 conducts, 113 event metadata entries, 14 score trackers
Map Traits: 190
    156 furnitures, 22 terrains, 5 field types, 5 traps, 2 weather types
Monsters: 287
    148 monster definitions, 54 harvest entries, 41 monster attacks, 21 monster barks
    15 weakpoint sets, 6 monster factions, 1 monster species, 1 body graphs
Item Traits: 79
    13 ammunition types, 21 ammunition effects, 35 materials, 9 tool qualities, 1 gun faults
Vehicles: 64
    60 vehicle definitions, 4 vehicle parts
Magic: 37
    31 spells, 6 enchantments
Misc: 392
    233 effect on condition entries, 97 text snippets, 58 json flags, 4 loot zones

New game entities (mods): 4850
Player Traits: 924
    429 mutations, 292 effect types, 48 bionics, 41 professions, 28 proficiencies.
    25 start locations, 26 body parts, 10 mutation categories, 7 mutation types.
    6 practice actions, 4 starting scenarios, 4 morale types,
    2 skills, 1 addiction types, 1 scent types

Items: 810
    231 tools, 163 misc items, 132 articles of clothing,
    102 guns and gun related items, 80 comestibles, 76 books, 26 ammunition variants

Mapgen: 699
    324 mapgen entries, 260 item spawn groups, 79 monster spawn groups,
    19 map extra definitions, 8 city buildings, 4 overmap locations,
    5 overmap special definitions

Magic: 652
    545 spells, 107 enchantments

Crafting: 592
    501 crafting recipes, 49 disassembly recipes,
    24 crafting requirements, 18 constrution activities

Monsters: 569
    449 monster definitons, 37 monster barks, 36 species, 20 monster factions.
    19 harvest entries, 5 monster attacks, 3 weakpoint sets

NPCs and Interactions: 303
    207 conversation topics, 71 missions, 17 npc definitions, 8 npc classes

Map Traits: 108
    41 terrain types, 29 furniture types, 21 field types, 17 emission definitions

UI and Sidebar: 76
    23 construction groups, 16 nested categories, 16 sidebar widgets, 12 trait groups.
    4 proficiency categories, 4 recipe categories, 1 overlay order specifications

Item Traits: 24
    10 ammunition types, 5 materials, 4 tool qualities, 3 relic definitions, 2 ammo effects

Vehicles: 11
    11 vehicles

Achievements: 1
    1 achievements

Misc: 1481
    1425 effect on condition entries, 20 json flags, 36 text snippets

## Features:
Tilesets: Automatically prevent occlusions via semi-transparent sprites (similar to retraction)
Add parametric mapgen to consolidate similar basecamp definitions
Activities can fire EOCs
Added full mouse support to the keybindings screen
Prevent attacking neutral critter via move in safemode
Fix and enhance camp radio tower
Added sorting, showing&hiding pocket contents, and scrolling via mouse in inventory screens
New game event that triggers on load or new game start
Add option to hide bionics
Allow JSON monster special attacks to use the dialog condition system
Confirmation before attacking neutral mobs
Unhardcode and rework grabs, ranged pulls
EOCs can have context vars that can be passed into nested EOCs
Pockets overflow into their parent pockets if possible
Stored conditionals for EOCs
Make portal storms mobile.
Reusable Random Encounters Code
Allow mutants to walk underwater
Add support for running and smashing animations
Allow zones to interact across multiple Z levels
Creatures can stumble into invisible players to discover them
Add molting for exoskeleton mutations
3D vision of lower levels with distance fog
Rework MA tech requirements
Allow NPCs to read E-books - new activity added
Allow mutation transformation using the normal mutation rules
Implement setting direction for appliances and add a directed floodlight appliance
Asynchronous animations including sprinting and smashing
Added enable and disable mutation EOCs
3D vision for isometric tilesets
Unhardcode dragging, grab fixes
Make vehicle doors lockable and pickable
Implement export&import of the protagonist and follower NPCs
Expand grain farming and adjust seeds
Creatures above cast shadows onto tiles below
Apply different messages at different effect intensity levels
Player character now can get sick with common cold or flu only after contacts with NPCs or ferals
Generate vehicle prototypes from in-game vehicles
In-game Armor sprite change
Cockroaches flee light, hide under furniture, eat corpses, and breed faster when fed
Cataclysm and game start dates are to be set through scenarios
Friendly NPC crafting by crafting menu
Functionality to drop items off ledges/cliffs onto creatures below
NPC fleeing behaviour adjusted and slightly improved
Adds basic vehicle proficiencies for driving and boating, as well as athletic proficiencies which increase muscle engine output.
Add overheat mechanics to energy guns.
Sound-triggered traps
Item transformation can now pick variant items to transform into
You can now collect grappling hooks and ladders from the ledge above.
Adds priority parameter for special placement
Professions can start with multiple martial arts
Microlab Mapgen is now parameter based.
Allow NPC_DEATH EoC to prevent npc die
Allow NPC doctors to install and remove CBMs from player allies
Look up and down with 3d vision off
Add ignored_monster_species spell parameter
Monsters affiliated with factions will watch for theft of faction items
Allow gunmods to make changes related to gun overheat.
Items that can heat up food (microwaves, coffeemakers, chemistry sets, etc) can be used or reloaded from an adjacent space without picking them up.
[EoC] Condition for asking the player to select a tile
Allow martial arts techniques to trigger on reach attacks.
Adds a confirmation prompt if you are the target, or in the AoE of, your own damaging spell.
Ledges provide sight coverage
Add foreach function to EoC
Add Map related EoC functions
Allow messages to parse nested tags
Allow using snippets in item descriptions
Infectious diseases (cold/flu) have an invisible incubation period, and start with milder symptoms
Weapon Proficiency
Fixes NPCs being too afraid, makes swarm danger assessment more robust
Add option to switch between outfit (when available) at chargen
Animals have stomachs, digest food, and benefit from eating
Enable NPCs to reload magazines in their inventory
Liquids crafted at camps will try to be placed inside zoned terrain/furniture that can hold them(LIQUIDCONT)
Hauling overhaul: you can choose which specific items to haul, whether to automatically haul new items, or haul items by filter
The player can gauge an NPC's personality during dialogue with them
The Han Solo Special: NPCs identify when fleeing is failing. Also adds flee modes and panic.
Boomer bile is slippery, causes pinkeye, and is blocked by waterproof eyewear
The map changes as you travel east-west and north-south, revealing either rural areas or oceans and megacities
Furniture/terrain have semi-persistent damage from being bashed
Rework Character::overmap_sight_range to allow night overmap sight through mutation
re-add pre-seeded hordes, make them unconditional, and show up even with wandering hordes disabled
Allow for a "variant" field when using the add_trait effect
There's an ocean in the East (or wherever you set the json) now. NBD.  Feel free to add content for it.
Make run_eocs/queue_eocs support variable objects
Protein bars now give character a psychological trauma
Adds sand to ocean beaches


## Content:
Add 14 scores, 24 achievements and 5 conducts related to vehicular travel
Add generic finales for generic mine
Add new boss for physics lab
Add 4 New Apartment Complexes
Add several new bungalows
Updates to several existing maps
Add the first Exodii mission
Combat Capable Mounts
Add new Exodii NPC: Luliya
Add new weather types: mist and fog
Allow players to keep bees
Apartment complex: parking garage, lobby variants, roof additions
Crustacean mutation tree
Dead trees can be harvested for wood(once per tree)
Added a new location called survivor forest camp
Addition of non-NPC civilians for lore reasons
Nether spiders as a new bossfight for the game.
New conversion kits, guns, and calibres
Crashing ship start for Aftershock
Add more monsters to the nether monster corpse
Living lore document
Gastropod Foot Limb: Mutant limbs can be added in json
Added a small office building fortified by bandits
New location: speedway
You can now choose a new leader for your faction without dying
Adds new skateboard vehicle
Most scenarios now provide vision of the nearest city on start
Alternative resolution to clean back bay quest
Add a synagogue
Adds a chance for small, personal photographs to spawn within people’s wallets and creates a starting pool of 34 snippets from which to pull.
Adds curved road bends, rotaries and rest stops/laybys
JSONify Defense Mode
Adds a new mission to the Exodii
Add boats to river banks
Vehicles now contain heater, and some contain AC
NPC Elvira Fish, Circulations
Adds a jeweler as a new starting profession
Add a larger “family–sized” water heater
Rework Anvils and add crude anvil
Add some backstory to Eddie McKenzie.
Add some prosthetics.
Added Bulk Storage Mounds and Piles for More Resources
Add undomesticated wild rabbits
Adds some MA techniques, improves disarming and transform certain techniques from stuns to downing techs
adds dried garlic/chili
Adds more ways to learn bronze crafting
Updates the Portal Dependent mechanics and introduces rewards for exploring the portal dungeons.
Cyberhorse... CYBERHORSE!
Make nuts and bolts craftable using thread cutting tool
New map extra: civilians making a futile last stand against the horde
Adds primitive cup(s)
Add residential rolling trash cans.
Adds Long awaited Exodii Sidearms
Allow diving into water to remove Mycus spores.
New Scenario: Last Stand
Boston-Chan costume set
Omelets and other egg based foods
New Epilogues for NPCs
Adds more fungalized humanoid/animal zombie variants.
Winnowing, new method of obtaining raw grain
Adds compensators, adds conflict for suppressors/barrel porting
Changes some items' material to fiberglass
New portal storm monster based off a dream I had
Add liquid recipes for faction camps
Add the star vampire, an invisible blood-drinking monster
Metamagic perks from Bombastic Perks
More trail variety
Receivers now respond for magazines you can put into the gun.
Adds 410 loads, ballistics data
Add's more fungal insect monsters, fixes bugs I forgot in last PR.
Adds most kinds of Arisaka rifles to the game, cartridges, and item spawns.
update filter guide to indicate that flags were added as filter option following PR #70212
Adds .45 LC cowboy loads and ballistics data
Add a 1 cylinder diesel engine to the game.
Vehicles spawn on bridges
Added creatures to populate the new edge ocean.
Major board game expansion
Allow the Nunez family to move to Tacoma Commune if you help them set it up.


## Interface:
Show crafting failure chances in the crafting interface
Show addictions from hobbies in newcharacter tab
Added ability to think to yourself in the message log
Added Presets for pocket settings
Prettier loading UI for loading the save
Add min/max feedback to new character stats interface
Mouse thumb button support
Show NPC location when selecting NPC to chat with, guard, or follow
Display why vehicle parts cannot be installed
Open multiple containers in Advanced Inventory Manager
Adds the 'Mark as dangerous' keybinding to the overmap
NPC selects melee style
Add sundial, wind and radiation badge to "spacebar" sidebar
fix widget error if player has no body part
AIM: Add key to step outside containers; AIM: mark container that the other pane is looking inside
Change description of highlighted regions when editing the overmap
Detailed information for stats on character creation menu
Larger and more I18n-friendly safemode UI
Enable/disable showing several non-player-related messages in the log
Walking into ledges examines them.
Accessible item insert menu
Show insertion failure reasons in Insert menu and AIM
Select default bodypart when applying bandage
Show zones on other z-levels in zone manager
Remember inventory show/hide all contents option state
Display what mod the contents belong to, scenario, profession, map
Find items that cover body part
Enable history for AIM and inventory filters
Make zone manager display more of zone name
Show estimated time when washing items
Selecting container mode for unloaded items
Open proficiency UI with relevant first selection
Adjust hungry and overweight coloring in sidebar
Categorize more containers by their contents
Explain why wielding an item from pick-up menu fails
Switch crafter in crafting menu to and from an ally
Add favorite category to spell casting menu
Allow scanning several books into ereader at once
Add milling info to milleable items
Add spell class selecter to spell casting menu
'Learning is disabled' message on disabled skills
Update gun mod removal UI to use inventory menu instead of a prompt; prevent removal of gun mods with other mods installed on it
Show the mass of vitamins in food items
Melee weapons tell you your skill is too low to see melee values instead of just hiding them
Shows the starting location for a scenario when there is only one possible option.
Show language selection window in options menu
Hide AIM during directional prompts
Keep displaying selected outfit throughout chargen


## Mods:
[Aftershock] Fix the Migo mutation tree
[TropiCata] Adds more tropical flora
[Mythos] Split off Mythos creatures into self-contained mod for 0.G
[Desert Region] world generation changes
[Aftershock] Reduce deadliness and frequency of ruin robots
[Dark Skies] Remove Dark Skies Above from the main repository
[Magiclysm] Adds item enchanting to magicalysm mod
[Backrooms] Adds 10 rare artifact variants to the Backrooms
[Magiclysm Graphical Overmap] Delete Magiclysm Graphical Overmap
[Magiclysm] Another approach to animist summoning
[Xedra Evolved] Add content for dreamsmiths and dreamers
[Bombastic Perks] New mod to earn perks through gameplay
[DinoMod] Integrated mutation armor
[DinoMod] Therizinosaurus
[Xedra Evolved] Museum Location for Xedra Evolved
[Magiclysm] Adds several new professions to the Magiclysm mod
[Bombastic Perks] Added resurrecting meat monstrosities to bombastic perks
[Bombastic Perks] Forcefield and Evasion enchants
[Aftershock] Elemental bionic weapons.
[Bombastic Perks] Adds the recycler perk
[Xedra Evolved] Revamped the inventor class
Alchemy Perks for Xedra Evolved
Bombastic Perks adds Playstyle Perks
[Magiclysm] Ways to boost your caster level
Disable the Bionic Professions mod by default
Add the Mind Over Matter mod to the CDDA repository
[Tamable Wildlife] More tamable creatures
[MoM] Add additional portal storm remnant map extras
[Sky Island] Mainline Sky Island mod
[Magiclysm] Add a spell-using feral human to Magiclysm
[MoM] Add telepathic and telekinetic damage types
[MoM] Mind Over Matter-specific Research facility overhaul
[XE] Paraclesians: Elemental Races
[Railroads] New mod
[MoM] Add Enervation damage type, apply it to Eater and feral vitakinetics
[Magiclysm] Add more than two dozen spells to magiclysm
[Magiclysm] Add fantasy species starting option
[Magiclysm] Add two more playable fantasy species for Magiclysm
JSON-ize faction camp hunting returns
[DinoMod] document lore
[Aftershock] Rebalance energy weapons to use overheat mechanics
[Magiclysm] Add fantasy species ferals
[Magiclysm] Add dispel magic spells
Create the Isolation Protocol Mod: A traditional roguelike experience
[Magiclysm] Add triffid and migo mages
Clairsentients can have premonitions about Defense Mode events.
Aftershock: New Sci-fi military Gear
Make some non-combat MoM utility powers toggleable
Aftershock: Add a shotgun mod that turns shotguns into coilguns 
Aftershock: Add a new outpost location that can spawn modded tools
Add Sense Minds Telepathic power
Add scaling to Metaphysics XP gain from powers, add penalty for power failure
Add the HAS_MIND flag to appropriate monsters in in-repo mods
XE: Add gossamer material and clothing
XE:  transformation potions to top level alchemy perk
MoM: Add PSI_NULL species to interact with "ignored_monster_species" JSON parameter
[MoM] Add a new power class Photokinesis
[MoM] Add calorie cost for psionics
[MoM] Prevent psionic creatures from using powers if nullified
Make Aftershock and Aftershock: Exoplanet compatible with Defense Mode.
Allow escape pods to carry loot planetside.
[MoM] Add mi-go psions
[Innawoods] Added meadow mutable
[MoM] Drain overhaul  + Power Maintenance overhaul
Aftershock: Add Landing Pads
[DinoMod] Animal Food Matters
[MoM] Separate NO_SPELLCASTING from new NO_PSIONICS
[MoM] Tinfoil hats protect against telepathy (sometimes) 
[MoM] Add Electrokinesis path
Add more customizable options to Defense Mode.
[MoM] Separate psi_stunned from stunned
[MoM] Gain more Nether attunement in Nether areas
Add Bombastic Perk compatibility to Defense Mode.
[Backrooms] Autodoc special and long-term progression tweaks
[MoM] Add Project PHAVIAN skyscraper lab
[MoM] Add telepathic dampener```
[Xedra Evolved] Revamp spell learning system
[MoM] Add ability to take longer to channel powers in exchange for ignoring focus
[MoM] Add Transporter beacon and remote, using matrix technology for long-distance travel
[MoM] Psion NPCs
[Sky Island] teleporting items back home
[MoM] Change electrokinetic overload
[Sky Island] Allow selection of room teleport behavior
[MOM] Allow high nether attunement to induce hallucinations.


## Balance:
Cap melee skill gain based on monster melee skill
Simple deconstruct is much faster
Add denim as a material and buff jeans
Removed scent tracking from certain zombies
Cody can make chainmail armor and charges more
Rework melee, unarmed, dodge, cutting, stabbing, and bashing practice recipes to limit higher level practice actions to books
Remove flaming eye phantom melee attack that can disrupt aim
Converts most of the armor and clothing still using the old limb system to the new system with sub-limbs
partial skill levels contribute to most game tests
Portal Storm Coherency Pass
Stop zomborgs from exploding on death
Add a more accessible holy symbol mission, replacing the small relic one
Most materials now burn at least a little slower than gunpowder
stationary monsters don't let you train throwing to high levels
player can drag heavier vehicles
difficulty to repair depends on what the thing is made of instead of its crafting difficulty
Hound afterimages also copy their host nicknames
The player is substantially less effective with guns at low skill values
Lycra is less protective
BMI has a less all consuming impact on how healthy you are
Being badly wounded will always allow you to swap characters in camp while you heal
Intelligence provides a multiplier to current focus rather than adding to its value
More monsters fight back if cornered
Higher dodge skill lowers the stamina cost to dodge
Adds a mutable stream to the mapgen
Limit the times assassins can try to kill you.
Increase plastic variety, adjust plastics to be more realistic in terms of protection
Characters start with basic skills from their previous life
Climbing down stepladders is now safe; climbing down ledges tells you how risky it is.
Add NO_SPELLCASTING flag to Stunned effect
Improve pets' ability to use stairs
Make ferals actually feel like human enemies instead of weaker zombies with range attacks
Allow metal wreckage to be used for cutting
Slimy mutation helps you escape grabs
Caffeinated gum is now only slightly stronger than a cup of tea.
Improved path for intelligent monsters
Make safe place starts safer
Touch up pawn shops with better loot
Prevent staunching bleeding while driving
Threatening to kill NPCs(recruitment) is more likely to make them hostile
Backup generator is much more powerful
Bulk unloading and dropping items saves time cost
Fragile Clothing will degrade if its dealt damage larger than 15% its armor value.
Professions can start with specific recipes
Food irradiation slows food decay to a quarter, instead of making it last forever
Activity suit is actually waterproof, soft surfaces are less slippery, boomer ondeath effect can be resisted


## Bugfixes:
Crafting GUI: show how much recipe makes for non-charge items
Monsters add weight to vehicle when on boardable parts
Make AUTO_PICKUP_SAFEMODE also consider ignored mobs
Reset daily health at the end of each day
Food inside sealed containers is properly labeled as such in the [E]ating menu
Prevent autodrive from dropping vehicles in holes
Allow room for starting NPC when picking player starting position
Determine how much you can squish a soft container by its contents
mutate_towards accounts for bionics which CANCEL but don't CONFLICT with mutations
Fix files after a symlink in a directory all treated as symlink on Windows
Fixes marina spawns
Fix NPCs unable to trade items away if they have no pockets
Display IME candidate list and composition text correctly on Windows
Fix dark gray in the ncurses client for terminal emulators that support 256 colors.
Fixes mobile home park road connections
Flush map buffers after failing to create starting location
Smart controller supports using only one engine
Disassembly doesn't return items with UNRECOVERABLE flag
Feral cops become zombie cops
Fix wall cling phasing through floors
Add ability to remove plants from planters without destroying planter
Prevent broken vp in-place replacement when racked
Spellcasting tools no longer waste charges if you cancel out and don't actually cast the spell
Fix using unload_everything zone to remove gunmod gets copies of gunmod
Ferals can use their guns in GG
Prevent fire damaging unbreakable items
Fix energy guns(AFS) on NPC
Faction camps now distribute calories based on actual calories and not default calories
Fix calculation for inserting into nested containers
Make copy-from copy terrain/furniture examine actions
Prevent mission marker from being cutoff in the overmap
Exodii will now properly be mad at you if you steal all their resources from stone barns
NPC morale modifiers now updates regularly instead of being permanently applied
Fix UI and accessibility issues in the overmap UI and character creation menu
Fix unicode path encoding error in Windows MinGW build
Difficulty 0 recipes are no longer arbitrarily difficult
Make EOC u_sell_item() actually transfers the items' ownership
Improving NPC shooting frequency
Enable death effects on limited lifespan monsters
Make Hub01 globally unique
Charge integrated magazines when plugged in
Don't allow to scan books that are owned by other characters
Fix NPC putting items in open air when fetching items during an activity when 3D FOV is on
Trees and other FLAMMABLE_ASH terrain leaves behind ash when burned down
Do not report monsters breaking free of unknown grabbers if the player cannot see them
Allows certain docks to be placed on non-flowing shallow and deep water.
Fix the epilogue for the New England Church Community
Flat armor penetration is spread across all armor layers instead of applying its full value to each
Fix tow cables being unable to connect different vehicles
Smashing now incorporates any MELEE_DAMAGE and STRENGTH enchantments
'w'ield menu will now correctly trigger a steal warning when wielding an item that does not belong to player
Allow crafting tools to use linked electricity
Don't get randomly sick anymore
Itemgroups can seal containers
Spawned corpses should now spawn with and contain their clothes
Can no longer get stuck for days thinking about working out if you're a WIMP with NEGATIVE WORKOUT TIME
Prevent car from spawning into a house wall
HP widgets gets equivalent bodypart
Fix grainy glyphs in blended font rendering mode
Stop dodging good spells, fix uncanny dodge spell crash
Fix and improve NPC randomizer
Make sure overconfident officers reliably drop their guns
[MoM] Fix zombie telepathic stuns
Fix appliance power drain display right after plugging in/unplugging device
Fix items and furniture being deleted from grappling hook usage
Randomly generated characters are now aged appropriately to their profession
AIM: Display correct truncation of container names
Fix visible tiles revealing invisible tiles below
Fix furniture & vehicle map memory refresh
Monsters can go down ramps
Don't teleport items to the ground if the vehicle storage destination is full
Fix Free Merchants Broker price calculation of non charge based item
Skip auto sorting items that don't belong to you
Use correct actor in bulk trade messages
Your nemesis will still hunt you even if you spawn on a roof at the start
Picky eaters won't drink unsavory drinks
Corrects duplicates /the/ in martial arts techs messages
Gas masks only use charges on fields with gas_absorption_factor set
More background stories: actually access them
All weapon proficiencies can be learned by hitting
Fix items applying effects multiple times when transformed
The effect "corroding" should only be added when causing damage
Climate control was 3.7x stronger than it should be.
Allow sandwiches to be made using toast
Reduce NPC faction camp task slowdown & fix save data bloat bug
Fixed some items to cause multiple addictions
Allow NPCs to teleport without the player
Prevent infinite loop when spawning monsters
Fixed laser weapons mounted on vehicles not cooling down
Maps will once again show city names if they show roads.
No more infinite aphids
Stop milking dead cows
Allow pocket_mods to add magazine or magazine well pockets to items without them
Check BMR value to prevent dividing by 0
prevent_death EOC can sometimes fail and lead to permadeath
Adds annotations to construction menu entries done indoors, in trees, and that require supporting walls.
Fix AIM allowing distant container interactions
Show correct bodypart in grabs
[MoM] Quell Walls
Vehicle parts check creature size, increases storage of dumpster and vehicle parts
Prevent softlock when sleeping in cramped spaces
Invalidate draw point cache if viewport size or position changes


## Performance:
Make `Character::best_item_with_quality` examine items non-recursively
Refactor effect types to use map indirection and enums instead of strings
Removes the ludicrous amount of OMs the refugee and research centres define
Fix Nested List lag in crafting menu
Optimize eoc processing and other fixes to speed up waiting near many npcs
Optimize pocket overflow function
Speed up new character screen, particularly when many recipes are known
Stop clearing weight carried cache unnecessarily
Precalculate visitable zones to optimize inter-monster aggression checks
Reduced wait times in high traffic areas by ~15-20%
Reduce time of selecting large amount of items in inventory menu
Fix armor resistances hotspot exposed by NPC AI improvements


## Infrastructure:
Epower and power in units::power
Update compiler support.  Now supporting gcc 8.1+, clang 10+, XCode 10.1+
Refactor some crafting infrastructure to support removal of charges
Unify gun battery/ups/bionic energy consumption
Modernize string_formatter
Migrate some JSON APIs to string_view
Add units::temperature_delta
Upgrade clang-tidy used in CI to LLVM 16
Allow C++ standard includes in clang-tidy tests
Refactor timer items to be a bit more time based
Support for material replacement in items
Carrier for items on ground is nullptr
Tick_action as a separate thing from use_action
New documentation on how to test proposed changes
Remove charges from solid comestibles
New item categories for martial arts manuals and traps
Update all active items to new tick action system and remove old system
Add ability to merge appliance into grid
Add JSON-based system for climbing aids.
EVENT EOCs provide beta talker
[EOC]Inventory selector
Replaced the use of the arbitrary body temperature scale in game logic with units::temperature/units::temperature_delta
[EoC] Simple if-else statement
Allow specifying vitamins by weight (mass) in items
Add more comment-commands which apply labels to issues and PRs
Migrate arithmetics function with arguments to math
Provide more options to name monsters placed via mapgen
recipes now require activity_level, fake(previously substituted for MODERATE) is depreciated
JSON-ize slot machines
Faction editing on Debug menu
Change NPC faction from debug menu
Remove action portion out of assess_danger into a dedicated method
Add u_has_proficiency to EoC conditions
JSON-ify hallucinations
Parameterize new geography changes to overmaps
Allow items to provide martial art techniques when not wielded
Remove hardcoded mapgen for fields
Simplify/jsonify NPC generation from npc classes
Consolidate `suspendable` and `no_resume` activity parameters


## Build:
Support Mac arm64 build
Adds VS Code Dev Containers & Workspace Config
Allow for cross-compiling from Linux to Windows in Devcontainer
Faster local VS builds
Fast Windows iteration with llvm-lib and lld-link
Cross compile object creator from Linux to Windows using Devcontainer
add object creator to releases
Add a launch and debug configuration to VS Code Dev Container
Enable tests for merge queue


## I18N and A11Y:
Add percentage-translated statistic to language selection
Make furniture->lockpick_message translatable


# 0.G (Gaiman)

## Highlights
Effect on condition brings a scripting pseudo language to Cataclysm.  Some of its key uses in 0.G have been the introduction of portal storms, NPC faction development over time and random encounters in already explored maps.
The introduction of hobbies has added a new tab to character creation that allows the player to select one or more hobbies/backgrounds that flesh out what your character was doing prior to the Cataclysm in skills and traits.
JSONized sidebar allows almost total control of what your sidebar looks like and what information it displays is up to you!
The skill system has been greatly expanded with many new proficiencies and many new ways to learn them, as well as the groundwork for practice-based skill improvement, including a skill rust system that doesn't suck because it caps effective skill lost and regenerates faster than regular skill gain.
Passively boil water by putting dirty water into a fireproof container then placing the container on top of a fire.  Walk away and after an amount of time dependent on the amount of water to boil it will all be clean water!
Monster weakpoints! Many monsters now have weakpoints that the player can hit to apply various effects and extra damage to the monster.  As the player dissects more corpses of monsters they can learn weakpoint proficiencies that increase the player's odds of hitting weakpoints.
Characters now have cardio which will respond to your playstyle.  Go for a run every day and perform hard labor and your stamina will slowly go further and further.  Spend three months reading and performing low intensity crafts and your cardio will suffer.
A half dozen new in repo mods: Innawoods for the survival from scratch you crave. Backrooms which takes place in the neverending backrooms dimension, Massachusetts mod for people who desire geographic accuracy, Xedra Evolved a science fantasy mod with weird magic and vampirism, Tropicataclysm for your Cataclysm at a warmer latitude and the Megafauna mod which targets an ancient epoch with creatures that outsize our modern equivalents, similar to Dinomod.
Take over a friendly NPC upon your death, if you've managed to recruit any NPCs to your faction you are given an option to take over one of them in the event of your character's death.
Appliances and building based powergrids, allow you to set up various tools or even usable arcade machines in your home base.
Two new Iso tilesets have been added to the game.
Simple monster aggression differentation. Some monsters now know if another monster made them angry instead of the PC.  If they get angry at other monsters they may not get angry at the PC.
Vehicles now have solid walls even when angled which prevents monsters and fields from entering an angled vehicle.
Dozens of updates and content additions to Dinomod, Aftershock and Magiclysm.
Map memory is now unlimited, you will no longer forget places you have been before.
There has been a distinct push to make many options and possibilities clearer to the player without having to search for them, UI that makes suggestions as to why the player might want to perform an action.
Electrical fields can now produce EMP that will destroy unprotected electronics
Perspiration now exists so that your PC can wear heavy armor during summer without overheating, instead they'll sweat heavily and experience thirst faster.

## Statistics
7889 files changed, 11643312 insertions(+), 5022361 deletions(-)
13,201 commits
~218 new contributors

New game entities (core): 10293
Items: 2396
    502 misc items, 45 books, 941 articles of clothing, 117 guns and gun related items,
    364 comestibles, 308 tools, 119 ammunition types
Mapgen: 810
    458 overmap terrains, 176 palettes, 17 start locations, 37 city buildings, 14 map extras,
    105 overmap specials, 3 overmap locations
Crafting: 1019
    120 construction groups, 109 requirements, 69 proficiencies, 306 constructions,
    42 recipe groups, 2 recipe categories, 57 practice recipes, 2 construction category,
    312 nested categories
Achievements: 12
    5 achievements, 4 event statistics, 3 event transformations
Item Traits: 1409
    1267 item groups, 44 materials, 25 ammunition types, 5 ammo effects, 12 tool qualities,
    29 vitamins, 25 item actions, 2 fault
Player Traits: 474
    122 professions, 91 effect types, 117 mutations, 25 activity types, 2 behaviors,
    1 movement mode, 5 morale types, 2 disease types, 46 mutation types,
    8 trait groups, 55 sub body parts
NPCs and NPC interactions: 1443
    1153 talk topics, 142 missions, 14 scenarios, 78 npcs, 52 npc classes, 4 factions
Map Traits: 321
    202 terrains, 3 weather types, 95 furnitures, 1 gate, 7 field types, 13 terrain transformations
Monsters: 461
    300 monster types, 158 harvest entries, 3 species
Vehicles: 138
    99 vehicle parts, 31 vehicles, 8 vehicle groups
Magic: 117
    99 spells, 4 enchantments, 12 emit definitions, 2 relic definitions
UI and Sidebar: 861
    836 sidebar widgets, 15 body graphs, 8 mood faces, 1 ascii art, 1 speed description
Misc: 377
    124 json flags, 29 weakpoint sets, 14 loot zones, 210 effect on conditions, 3 option sliders

New game entities (mods): 5396
New mods: 18
Items: 885
    220 misc items, 62 books, 222 comestibles, 114 tools, 170 articles of clothing,
    51 guns and gun-related items, 27 ammunition types, 19 compact bionic modules
Player traits: 440
    133 mutations, 33 trait groups, 76 professions, 3 techniques, 63 scenarios, 90 effect types,
    1 martial art, 20 bionics, 11 start locations, 3 mutation categories, 5 proficiencies, 2 skills
Mapgen: 955
    608 item groups, 89 overmap terrains, 64 palettes, 98 overmap specials,
    8 city buildings, 88 map extras
Monsters: 1184
    1067 monster types, 93 harvest entries, 9 species, 15 monster attacks
NPCs and NPC interactions: 310
    250 talk topics, 19 npc classes, 27 mission definitions, 13 npcs, 1 faction
Map traits: 217
    99 terrains, 94 furnitures, 5 terrain transformations, 9 field types, 2 traps, 8 emit definitions
Vehicles: 61
    33 vehicle parts, 7 vehicle groups, 21 vehicles
Magic: 320
    290 spells, 30 enchantments
Crafting: 74
    50 requirements, 2 tool qualities, 21 constructions, 1 recipe category
Item Traits: 35
    20 materials, 12 ammunition types, 3 ammo effects
Achievements: 59
    43 achievements, 8 event statistics, 8 event transformations

## Features:
Safe mode improvements
Enchantments can now alter skills
Eternal Weather options
Electrical fields can produce EMP and fry unprotected electronics
Vitamins system and diseases related to the over or under consumption.  Not just for normal vitamins like Calcium or Vit C.
Integrated armors for armors that are part of you.
Ability to use different tileset for different level of Zoom.
CBM fueling improvements: CBMs have an actual tank accessible through the inventory menu. No more eating fuel.
Monster death effects now use spells
Improved NPC attack logic including the ability to cast spells
Add monster bleed resistance
Recipes can be tracked as new
Deep water can now destroy electronics
A ton of prework for limbification
Autodrive version 2
Hunted scenario adds a nemesis zombie chasing the PC
Practice recipes
Player can nickname monsters
All items can have cosmetic variants now
Tons of work on zones, such as personal zones, disassembly zones and automop zones
Allow non-debug change of gender, hair, facial hair, eye and skin color
Books can now be copied into a variety of condensing items: ebooks, book binders etc
PC can track their adventure in their diary
Zombies no longer revive naked
Calories tracking for QOL
Allow green night-vision overlay to be turned off
Quality of life improvement: add capacity essential data next to the worn containers within the inventory interface, add universal formatter to easily format common units `unit_to_string`
You can disable specific pockets on items and disable unloading specific pockets
Eternal Night & Eternal Day options
Enable grab movement of vehicles and furniture across ramps to a different z-level
Grabs can cause you to suffocate, Portal Storm Effect to use this
Allow reloading guns with mixed ammo
Allow players to uncover electric wires in the walls to connect appliances
Snippets you've read have a LORE tab you can look them over
Allow Web Diver to rappel, add infrastructure for wall crawling
Give a chance of another try if game is unable to find a valid starting location.
Perspiration
Reworks mutagen to take time and use fully customizable EOCs.
Mutations now cause genetic damage
Limiting rigid armor, testing for it and raw skin
Aiming Down Sight Causes Sight To Focus
Tons of additional mouse and menu scrolling options
Move items along when riding the elevator
You can now peek down a ledge to check if it's safe before climbing down
Metaprogression through achievements
Allow mounting any reasonable gun on turret mount
EMP blast renders all electronic items in the radius of the blast non-functional
Extended byproduct groups functionality
Add bodygraph displaying wetness status

## Content:
Half a dozen new basecamp locations
Dozens of new NPCs including several new NPC factions
Additional modular lab rooms and finales
Add ability to cause some foods to incur nausea
Archery Proficiencies and proficiency bonus infrastructure
Mines JSONified
Add book binder to copy recipes
Add eBook Reader
Aquariums
Terrain feathering works to improve the edges of terrain such as forests to make them appear more realistic and natural
Vandalized Library Variants
Add Vehicles: Full-size, Mini, Cargo, and Camper Vans
Many new monsters, weapons and recipes
New mutation traits
Tutorial jsonify and rework
coins and banknotes overhauled
Expanded bronze recipes
Three new mutation categories: Rabbit, Frog, and Snail
Add wind turbine map special
Exodii trader and more ways to find the Exodii base
Portal storms, portal storm monsters, portal storm dungeon
The refugee center merchant has been remade into a new NPC named Smokes.
Appliances for all kinds of furniture including lamps, washing machines, arcade machines, tool machines.
Propane gas and tanks
Isolated Artisans Faction
Add new Bōjutsu Martial Art
Blacksmithing rework
New easter eggs, no I won't list them
Civilian Bugout Bags Filled With What You Expect
Hub01 expansion
Tacoma Ranch rework and Expansion
New starting missions for many professions both new and old
Aircraft Carrier and Nuclear Power Plant Globally unique locations
JSONized snippets for addictions and dreams
Catalytic Cracking for Kerosene production
And unfathomable amount of location updates
Nursing home and associated scenario, monsters and profession
Improved radio scanning
Sheet metal armor
Pride flags
Skulls
A plethora of mutable locations including farms and river caves
Meat Cocoons and Zombie Amalgations
Even more monsters, items, foods, locations, and recipes
Bird nests can be found on roofs


## Interface:
Hide tiles overmap behind an option
Support separate graphical tiles for sounds heard above/below visible Z level
Jsonize and display CBM trigger costs
Show which mods items, monsters, and furniture are from
Allow changing shape of vehicle parts without reinstalling
Move refueling CBM to its own menu
Show monster count in sidebar compass
Separate zoom level for overmap
Added recipe activity level to crafting screen
Display gun loudness
Display calorie value of ingredients while crafting food
Parkour is now a proficiency
Stay in container during 'E'at from container
Add option to toggle display of trait/mutation on player sprite
Add option to toggle display of piece of armor on player sprite
Color relics in inventory in pink
Add a new, 4th diagonal movement with modifier keys + arrow keys option: Diagonal Lock
Unload container in tile keybind
Modify crafting UI  to show details of byproducts and jar contents
An incredible amount of UI work and improvements of menus and tabs
Independent safe mode rules for walking & driving
New Tileset: First release of HollowMoon by secretstamos
Allow (z)ooming while (V)iewing items/monsters
In inventory screens, colorize an item's remaining charges based on how full it is.
Different layers on different body parts now visible in item UI
Allow wielding and wearing items from the pickup menu
Enhance safe mode messages with color and information about monster count/direction
Bind HOME and END keys by default and implement them for most menus
In butchery menu, make it clear when an item will be disassembled
Containers holding a stack of a single item will display its quantity
Added option to clear pocket settings
The item display now show minimum encumbrance as well as maximum
Add global auto-note settings
Change gender with @ on all char creation tabs
Show background traits on TRAITS window in character creation menu
Remove NEW! recipe flag on current item when moving up or down
Adds Medical Menu
Allowing converting terrain/furniture to appliances through interaction
add trait to hamper player's ability to judge creature's vision and intentions
Interrupt crafting when starving/parched
Allow customization of text input UI hotkeys using either ? or F1
Show properly-fitted clothing in the crafting screen
Progress update while heating food
Hides the old sidebars and replaces them with fancy json sidebars
Jsonified "Unexplored" OMT
Support fuzzy search with accented Latin letters
Many new color themes
Possibility to turn distractions on and off
Show compatible guns in magazine descriptions
Show proficiencies trained by dissecting
Mark overmap location if player drops favorited item
Ursine has its own faces now (no horizontal)
[ASCIITileset] Change Unknow terrain to use the unseen sprite
Sidebar vehicle stats are now hidden until relevant
Makes all appearance mutations visible in menus

## Documentation:
monster HP scaling section in GAME_BALANCE
Documentation on loudness
npctrade: merchant tweaks and documentation
document monster difficulty scaling
Artifact resonance documentation
Update documentation for recipes
Ammo effects documentation update
Expanded NPC conditions; spell levels, loaded mods & proficiencies
Document emitters
Document fields
Redoes Ammo stats in Game_Balance

## Mods:
Use size flags for size changing mutations.
Dinomod now has a rideable zombie T-Rex for all you Dresden fans
New Dinomod evolutions
Aftershock has some new robots and a new swarming monster AI behavior that can be used in all mods/mainline
Magiclysm may have completed the attunement system or is significantly closer to completion
Aftershock has new fauna monsters
More atmospheric lore and details for Aftershock
Dinomod has expanded it's dialogue options with mainline NPCs
The DinoLab
The Forge of Wonders now has three shops and stronger defenses on the vault
The No Hope mod is available to greatly reduce the average player lifespan
Dinomod specific achievements as well as Aftershock specific achievements
Aftershock: Translocators for semi-convenient long range teleporting.
Burned Zombie Dinos
New gizmos and gadgets in Aftershock
Aftershock: Stratoscomm Relay Station
[Magiclysm] Adds new zombie animals
Add mythos monsters to Mythos mod
Dinomod Apex predators don't appear randomly day one
Adds TropiCataclysm to the repository
craftable holiday sweaters for dinos
Hylian Adventurer Profession for Mythical Martial Arts
Many South American animals added to Tropicataclysm
Adds an innawood mod for wilderness survival.
Aftershock Exoplanet: Glacial tunnels, a new low-risk area and the fauna that inhabits them
TropiCataclysm Adds Termites and new content for Triffids
Adds cast-bronze tools to Innawoods mod.
[Innawood] Chemistry, electricity, and more!
41 new dinosaurs added to Dinomod
A mod to add subtitles to Rubik's dialogue in English.
Tameable Wildlife MOD
Dark Days of the Dead: Headshot requirements and deadly zombie bites are in!
Dinomod NPC Missions
New Mod Xedra Evolved with new magic classes, monsters, professions and CBMs plus Cyborg professions
Desert region revival
Add Megafauna Mod
[DinoMod] tyrannosaurus bio-operator
[DinoMod] Nanuqsaurus and burned rebuild
Aftershock: Add functional jet packs
[Xedra Evolved] New NPCs to meet and rescue
[DinoMod] player mutations change monster faction behavior
[DinoMod] stegoceras
Magiclysm Adding new magic plants
[DinoMod] compsognathus, eoraptor, amargasaurus bio-operators
Magiclysm Quest & Lore patch to item distribution
[DinoMod] mi-go scout tower dino variant
The Backrooms mod
Vampire Virus in Xedra Evolved
Crazy Cataclysm: Adds Powerthirst and Rocket Cans
Xedra Evolved magic classes Eaters, Dreamers, Inventors and Dreamsmiths
[Magiclysm] Make Summoning Great Again!
Implementing more proper alchemy and some another stuff
Aftershock Space items and smartguns
Aftershock New CBM and class
Aftershock: New Monofilament Whip CBM
My Sweet Cataclysm: Butchering candy monsters gives candy flesh
Add standard combat test mod
Nested Crafting Categories
Add cosmetic variants for mutations

## Balance:
Mutation System Overhaul
Made windmills able to grind up dried rice, cooked acorn meal, and roasted cattail rhizome into flour
Shocker zombies cannot be harvested for bionics in vanilla
Reduce crafting proficiency penalties based on partial proficiency level
Updated brewing recipes and fermentation times to be more realistic
Add stamina cost to archery
Change Cut Cotton to Patchwork, add Patchwork to Rags
Stop regenerating creatures from doing so while on fire
Adds weak points to the armour of most zombies
Adjusted lockpick crafting
You can now pry open metal doors with a halligan bar.
Adjusted how the hoarder morale penalty is calculated with a focus on small pockets and holsters
Weapon Categories now exist so martial arts can pull by weapon category instead of weapon id
Massive Martial Arts rebalance
Massive zombie spawn audits
Striking techniques and martial arts buffs affect all types of physical damage
Monster speed and attack speed audits
Many weapons and armor rebalanced
Stop letting players climb up via downspouts or ropes when all their arms are broken
Turret spawns nerfed heavily
Reduces wetness penalties (and bonuses), as wetness was previously one of the strongest factors affecting morale.
Cars now more likely to contain tire changing equipment
Tailoring Audit and rework
Sublimb rework of armor
Daily health vs lifestyle system
Artifacts apply passives in inventory instead of when wielded
Climate Control CBM (and equivalent effects) now works more consistently, doesn't completely shut down in extreme temperatures, and can stack
minimum of two zombies to receive suffocation
Banks deploy cop bots instead of TALON killbots when agitated
gas masks no longer make you immune to getting sick
Replace most ASRGs with conventional fuel-powered generators
Adds assorted costumes to the objective of the Cosplay mission.
Use find_clear_path always for projectile trajectories, not just when it hits.
Makes using a spear on enemies through fences/bars normally at low levels instead of defaulting to bashing on bars/fence instead.
Add additional sources of patchwork cotton sheets from deconstruction
Mole Crickets and Molerats can now give tetanus with bites


## Bugfixes:
1404 Named bugfixes (a multiple of this number unnamed) including over 60+ fixes of crash to desktop bugs (I lost count)
Monsters will now drop their special items (such as saddle, bags, armor etc) on death
Prevent monsters from upgrading into blacklisted forms
Made flying monsters immune to several ground-based field types. Flying monsters no longer get stuck to the ground by bubblegum.
Corpses can't be used as bag of holding anymore
Bloodless monsters do no bleed #62113
Inadvertent levitation powers removed from survivors
Zombie animals don't fear fire
Threshold breaching should start when strength 3 dreams start and not after
NPCs getting stuck trying to path in through a closed window.
Make magiclysm auras compatible with power armor
Fix NPCs spawning without weapons
CVD can be used on new steel types
Character aggro fixes
Only fill items as much as parent containers allow
Fix Uncanny Dodge description, this error was ancient
Filename-independent widget load order (fixes #59202)
Don't auto-note generated map extra if player hasn't already seen the OMT map extra was placed on
Makes cows able to become aggressive
Only the last killed amigara drops an artifact
Improve item filter help of zone manager and surrounding items menu
Make radioactive items radiate
Carry over relative rot during item transformation and fix transformed comestible not rotting over time
Players can no longer be dragged while in a vehicle with a seatbelt; dragged players will not be run over by their own vehicles while still inside of them
Monsters retain original loot when changing type
Firstaid QOL improvements
Player can finally enjoy fire even with eyes closed
Z level transparency flag for better skylights
Componentless practice crafts no longer leave in-progress items
Fix mechs missing their guns
Stop NPCs from throwing their guns
Fixes for blind interaction with NPCs
When tired, cancel current activity if `Maybe later` is chosen; finish current activity if `Finish it` is chosen
Peeking now uses stairfinding
Grudges beyond death have been lifted. Don't make NPC angry if he's already dead
Fixes to UI and combined limb values
Fix auto-mopping in the dark. PC can no longer automop what they can't see
Try spawning mission destinations if you can't find them
If floor has collapsed, trigger a ledge trap on former floor tile to make creature fall down.
Personal zones now work consistently and are simpler in implementation
Make active fire modes from attached gunmods appear in the sidebar.
Fix activities not getting interrupted by dangerously close enemies
Increases radio mod range, makes bombs detonate immediately, and adds more battery options to recipe
Fixed character starting as overweight
Improve pocket selection
Fixed and improved guilt system
Eliminate Self-Aware trait and replace it with sidebar widgets
Takes the real guns away from angry imaginary NPCs
Being blinded blinds you
Stabilize monster emotions
copy-from works with bodyparts
Ensure monster faction relationship reciprocity
Fixes NPCs getting stuck next to dangerous fields
Fix vehicles infinitely falling
Capping shakes duration to prevent month-long shakes after withdrawal is gone
Butchering use best tool in radius
NPCs are more likely to eat items from their inventory, rather than complain about being hungry
Vehicle most-repairable-part interactions will no longer show parts the character is insufficiently skilled to repair
Fix main UI resizing when exiting from overmap with the same zoom level
Fix some of the NPC attack logic
Prevent dodge and block while driving
Remove additional spawns from Wander Hordes
Monster special attack messages more consistent and clear
Fix overmap ui cursor handling
Fix an item duplication bug when trading stackable items, e.g aspirin
Fix friendly hallu NPC were able to trade
Fix recipes with multiple proficiencies granting less proficiency XP if some are already known.
Standardizes time_factor and fail_factor for proficiency books
Ransack vending machines only in public places.
Mapgen road connections improved in the absence of overmap cities
Fixed open wooden split rail gate of being non-transparent and unbreakable
Faction camp crafting creates byproducts as appropriate
Fixed eating containers with items inside
Construction of roofs actually makes tile above the construction a roof
Fix building ramps and stairs
Replaced all ATTACKMON entire with PUSH_MON
Workaround language from being unsettable in options menu
Disallow placing stepladder if a vehicle in tile
Don't trigger any effect when setting and unsetting cosmetic traits
Drill press is now able to drill
Attempted theft has consequences
shorter bio-operator attack effect durations
Napkins and Cardboard are no longer comestible
Prevent huge mutants from thinking spots in cars are comfortable to sleep in when they aren't
Using worn unarmed weapons raises unarmed skill
Remove workbench construction vs crafting exploit
Add `FISH_TRAP` tool quality so that NPCs can use either kind of fish trap
Make open red & green glass doors look like open glass doors
Fix bodystatus window wetness display
fix for speed bonus from Speedydex applying twice
Monsters add weight to vehicle when on boardable parts
Flammable arrows bugfixes
Make vehicle::coeff_air_drag() work as intended, in aspect of vehicle length and low-air-drag vehicle tail parts.
Fix SPEEDLOADER Flag
Include spell name in default msg for relic spells
Make AUTO_PICKUP_SAFEMODE also consider ignored mobs
Remove athletics training for waiting in water
Reset daily health at the end of each day
Fixed some xl/xs armor recipes to make tool requirements consistent across all sizes
Integrated armors no longer cause encumbrance from some mutations

## Performance:
Improve lighting performance
Speed up rendering during autodrive
Avoid calculating weight & volume of containers when not needed
A few microoptimizations
Worked around for translating undisplayed debug messages causing major slowdown
Optimize TranslationManager performance and memory usage
Share tileset instances between map and overmap
Call `game::update_overmap_seen` only when it actually needs updating
Loading of gzipped world/maps/x.y.z/x.y.z.map and data/json files
Optimize shot_features and shot_features_with_choke test
Optimize item spawn list creation
Optimize null stream in DebugLog
Optimize overmap special placement with zero-copy transformation
Increase performance of item processing of contained items
Improve reveal wire handling and performance
Optimize map rendering
Speed up crafting menu tab loading
Improve appliance grid performance with many connections
Performance Improvement for item::can_contain
Binary json input for various performance wins
Misc vehicle/appliance performance improvements
Fix Repair menu shows slow
Code optimizations reported by static code analysis
Make `Character::best_item_with_quality` examine items non-recursively

## Infrastructure:
Provide documentation and support for llama builds
Allow events to modify vitamins, kill entities
Allow using relative and proportional with generic_factory
Automated tileset coverage report
New mapgen feature: maps can now select a terrain from a distribution and use that throughout the map
Jsonize Shearing of Monsters
Jsonize terrain and furniture lockpicking result
Add function to assign mission directly via dialog
Adds definitions for cooking proficiencies in JSON
Creates DDotDDD, the dark days of the dead design document and add some basic region settings to the mod
Add looks_like support for overmap terrain
tileset inclusion criteria and maintenance
Add dialog conditions/effects for morale and focus.
Create talker item, add consumption_eocs
Extend mapgen parameters to overmap special scope and palettes
Jsonize terrain and furniture bolt cutting result
Move safe cracking to an activity_actor
Create talker monster, add ability for spells to use dialog effects/conditions
Add supporting infrastructure for first version of migo bio-tech
Add dialog conditions for terrain type and field type
Add PROFICIENCY_LIST.md
Add weighted list functionality to dialog effects
Support mapgen parameters in nests
Add new dialog effects for portal storms.
Add lifespan to dialog monster spawns
Tool to spawn all items / furniture / terrain / traps
Support mapgen parameters for most mapgen ids
Support recursive palettes
Jsonize terrain and furniture oxytorch result
Allow palettes to be chosen from a weighted list
weapon_category for martial arts cross-mod compatibility
Allow flag limits for magazine well compatibility
Update medium and heavy batteries to use flags for magazine compatibility
I've made it to where all tools with the LOCKPICK quality will automatically have the PICK_LOCK use_action.
NPCs keep track of total sales
Jsonize Pet Food
Support for mutable overmap specials
Jsonize monster speed description
Allow JSON-defined linear terrain and unhardcode anthills
In-house translation library implementation to support loading multiple MO files
Add dialog effects for taking control of npcs and conversations with monsters/items
Use dialog conditions for mutation and enchantment triggers
Dialog effect to affect nearby npcs
Add support for dynamic predecessor mapgen
Basic Appliance implementation
Partial Jsonization of Mood Indicators
So much work building the infrastructure for Effects on Condition thanks to Ramza13 for spearheading this project
Tons of PRs on creating mutable overmap specials, which allows procedural map generation using only json thanks to Jbytheway for leading the way on this
A bunch of terrain/furniture item interactions that were jsonized thanks in large part to Saicchi
Add dialog effects for transforming terrain and furniture. Add portal storm effect to transform grass.
Create talker_furniture, move refugee center computer into dialog system.
Improve pocket performance by removing some unnecessary pockets
Adds documentation for `place_monsters` JSON flag
Adds ability to remove fields, vehicles, items, and traps to update_mapgen
overmap sprites generator
Add infrastructure for swappable weapons in bionics
Automatic spell check on pull requests
Place monster corpses in json mapgen.
Allow limiting map extras by zlevel
Add sound support for clear, cloudy and sunny weather
Enhance martial art techniques, allow limbs to define technique lists and unarmed damage boni
Add mapgen ability to set variables or remove traps in lines/squares.
Combine wheat-free and wheat-full flours into a single recipe requirement
Allow gendered descriptions for professions outside of translations
Report JSON entries with the same id from the same mod
Change itemgroups to default to overwrite, instead of extend.
Vehicle parts can now use looks_like from furniture, items, etc
Dissection tables separate from harvest tables, and relevant monsters dissect to samples
Added external options to override status and fuel for spawned vehicles
Include a Soundpack by default
Trap-specific jsonified trigger messages
Support transparency of pockets and show contents of transparent pockets from a distance
Add the possibility to change color and symbol of an item with a variant
Added external option with setting frequency of displaying music descriptions in sidebar
added basic utilities for mouse drag-and-drop support to input _manager
Support achievements based around overmap specials
Allow setting terminal cursor for screen readers and IME preview using ui_adaptor
Tons of documentation work
Set age for monster corpses in json mapgen
Move the Find Lost Dog mission to JSON
Vehicle energy_consumption in units::power
item power_draw in units::power
Convert the 'Recover Priests Diary' mission to JSON
Move the 'Kill Horde Master' mission to JSON formatting
Fixed situation where 'overflow on combine' test could randomly fail
Consolidate functions for character's best item with given quality
Move the Retrieve Deposit Box mission to JSON format


## Build:
Add Big Sur-style macOS icons
Suppress spurious error from make when astyle isn't installed
remove cata::optional wrapper from item::dropped_from
Fix curses build with MSVC
Fix typo in COMPILING.md LANGUAGE -> LANGUAGES
CMake: Clean up if commands and fix compilation with MSYS ncurses
Add option to build the clang-tidy checks as an executable with CMake
Link to libncursesw in Makefile
Add missing vector header to src/morale_types.h
Link to libncursesw in CMake
Removed small bashism (path expansion) from Makefile.
Make use of gold linker optional for LTO builds
Allow build and run in repo folder in CMake
Add missing header (vector) to fix build error on Linux
Fix compile errors on LLVM/Clang 13
Updated documentation to be in line with moving MXE gcc to version 11 + libbacktrace
More granular and parallelized translations compiling
Upgrade MXE cross-compiler to GCC 11
MXE instructions for gcc version 9.3.0
Enable backtrace in MinGW release
Windows Github CI for Cataclysm and ObjectCreator
Instantiate non const variants of templated creature_tracker methods
Add src/third-party to Android build header search path
Set directories on macOS in CMake build script
Set RELEASE variable in root CMake script based on CMAKE_BUILD_TYPE, to generate install targets
Avoid use of reserved word PREFIX in CMake build script
Install core and help directories in CMake build script
Recursively search and bundle Mac dependencies
Bundle library dependencies in macOS release workflow
COMPILING.md update for FreeBSD
freedesktop metadata files are updated and installed when appropriate
Build linux releases on ubuntu-18.04
Update flatpak manifest
Fix CMake mixed signature error and outdated localization code

## I18N and A11Y:
Make stimulation effect string easier to translate
Fix missing translating elements in 2 parsers
JSONize connect groups
Fix monster_attack.py missed elements
Fix json extractor not extracting "concatenate" in dynamic_line
fix:Parser(profession.py) missed out gendered description
Automatically synchronize MOTD and Credits translations from Transifex
Sidebar for languages with long words
Detect measurement units in user locale settings on Windows
Extract examine_action to translate
Clarify plural check message
Update manual of style with more rules
Over 360 translation PRs that I didn't list

# 0.F (Frank)

## Highlights
Nested Containers rationalize inventory management and enable dropping and retrieving go-bags during fights.
Achievements track your deeds and misdeeds across games.
Proficiencies better represent deeper knowledge required for various endeavors, mostly crafting.
Bleeding added to both the player and monsters as the first step toward a more comprehensive wound and wound treatment system.
Weariness tracking added to represent longer-term physical exhaustion.
Elevated bridges over navigable rivers added, allowing better navigability while using boats.
Large-scale audit of weapon and armor values for better representativeness and consistency.
Improved armor handling by separating ballistic damage into its own damage type.
Pervasive performance enhancements throughout the game.
Tileset vehicle support for more cohesive vehicle rendering.
Aftershock changes direction to a total conversion mod with a new far-future setting on a frozen world.
Dinomod added 238 dinosaurs, pterosaurs, mosasaurs, and dino-related NPCs with missions and dino locations.
Added many dino features, including zombie, fungal, evolved, bionic, baby, and mutant dino variants.
Dinomod added many dino interactions, including farming, riding, butchering, cooking, and special attacks.
Magiclysm added a huge content update including many new traits called Attunements that switch up gameplay at the endgame.

## Statistics
3974 files changed, 5440251 insertions(+), 3904330 deletions(-)
10,463 commits
~454 contributors

New game entities (core): 4510
Items: 987
    228 misc items, 199 books, 196 articles of clothing, 161 guns and gun related items,
    151 comestibles, 99 tools, 53 ammunition types
Mapgen: 778
    424 overmap terrains, 198 palettes, 62 start locations, 41 city buildings, 25 map extras,
    20 overmap specials, 5 overmap locations, 3 region setting
Crafting: 562
    223 construction groups, 201 requirements, 60 proficiencies, 50 constructions,
    17 recipe groups, 10 recipe categories, 1 construction category
Achievements: 363
    115 achievements, 107 event statistics, 100 event transformations, 26 score entries, 15 conducts
Item Traits: 325
    171 item groups, 97 materials, 20 ammunition types, 18 ammo effects, 13 tool qualities,
    2 vitamins, 3 item actions, 1 fault
Player Traits: 263
    144 professions, 41 effect types, 28 skills, 17 mutations, 14 activity types,
    4 skill display types, 3 behaviors, 3 movement modes, 3 scent types, 2 morale types,
    1 butchery requirement, 1 disease type, 1 mutation types, 1 trait group
NPCs and NPC interactions: 237
    255 talk topics, 29 missions, 29 scenarios, 15 npcs, 6 npc classes, 3 factions
Map Traits: 234
    149 terrains, 12 weather types, 64 furnitures, 5 gates, 3 field types, 1 terrain transformation
Monsters: 228
    151 monster types, 72 harvest entries, 4 species, 1 anatomy entry
Vehicles: 140
    80 vehicle parts, 41 vehicles, 12 vehicle part categories, 7 vehicle groups
Magic: 40
    23 spells, 7 enchantments, 6 emit definitions, 4 relic definitions
Misc: 363
    258 json flags, 104 ascii art, 1 loot zone

New game entities (mods): 3231
Items: 773
    179 misc items, 172 books, 161 comestibles, 85 tools, 83 articles of clothing,
    65 guns and gun-related items, 21 ammunition types, 7 compact bionic modules
Player traits: 749
    273 mutations, 214 trait groups, 96 professions, 64 techniques, 47 scenarios, 21 effect types,
    9 martial arts, 8 bionics, 8 start locations, 6 mutation categories, 2 proficiencies, 1 skill
Mapgen: 430
    154 item groups, 202 overmap terrains, 39 palettes, 30 overmap specials,
    5 city buildings, 2 map extras
Monsters: 406
    360 monster types, 32 harvest entries, 11 species, 3 monster attacks
NPCs and NPC interactions: 234
    144 talk topics, 59 npc classes, 15 mission definitions, 13 npcs, 3 factions
Map traits: 190
    103 terrains, 56 furnitures, 10 terrain transformations,
    9 gates, 6 field types, 4 traps, 2 emit definitions
Vehicles: 185
    141 vehicle parts, 27 vehicle groups, 17 vehicles
Magic: 155
    132 spells, 23 enchantments
Crafting: 48
    32 requirements, 7 tool qualities, 5 construction groups, 2 constructions,
    1 recipe category, 1 recipe group
Item Traits: 39
    20 materials, 11 ammunition types, 8 ammo effects
Achievements: 22
    14 achievements, 3 event statistics, 3 event transformations, 2 score entries

## Features:
Adds option to randomize INITIAL_DAY.
Allow vehicles with autopilot to follow you.
Monster factions can unconditionally hate other factions.
Allows mutations to cast spells via enchantments.
Add mining multi-activity for NPCs and players.
Basecamp job rework - wandering/sitting/job priorities.
Auto eat and drink from auto-zones during long activities or while waiting.
Adds flyable helicopters.
Allows towing vehicles.
Allows specifying height and age in character creation.
Adds support for json-defined achievements to provide more goals to strive for.
Overhauls lock picking.
Appropriate items can now rot away when in the reality bubble.
Displays holidays on main menu screen based on system time.
Separates bullet damage type from cut/stab.
Makes consuming items take time.
Enables damage over time for spells.
Enables nested containers.
Adds support for conducts (self-imposed play constraints tracked by the game).
Custom achievement/conduct requirement descriptions.
Enables mouse input for inventory.
Worn gloves count as unarmed weapons when no weapon is held.
Any corpse can rise again as a zombie.
Added to Autodocs the ability to stop bleeding, disinfect wounds, and inject antibiotics in case of infected wounds or tetanus.
Allow randomizing scenario and profession in new character menu.
Adds actions to workout and do exercises.
Vehicles: ground vehicle z-level transitions and z+1 bridges.
Remove static/random NPC options, adjust random NPC rates.
Overhauls blood and blood loss.
Artifact procgen - artifacts that spawn use the new relic data.
Grappling hooks can be deployed for climbing, just like ladders.
Adds proficiencies, representing specific knowledge in particular areas more precisely than by normal skills.
Adds facing to vehicle parts and tiles for better vehicle rendering.
Adds activation abilities and charges to relics.
Tiles: improve furniture rotation and connections.
Shows which achievements have been completed in past games.
Artifacts may now regenerate ammo.
Adds ACTIVE enchantment condition.
Allows recipes to specify individual activity levels.
Adds weariness, a sort of long term stamina that limits characters' ability to be extremely active 24/7.
Reports faction camp build sites and improves faction camp tutorial.
Allows customizing initial date in scenarios.
Allows nanofabricator templates to contain recipes from any item group.
Adds different bleeding types for different species.
Adds bleeding butchery action.
Adds Autodoc installation programs that almost guarantee flawless installation of supported bionics.
Removes the obsolete 'carrion spawn rate scaling factor' world configuration option.
Makes thrown glass items drop glass shards when shattered.
Adds suspension for butchering using cranes (except tiny ones) and forklift arms.

## Content:
Gun volume and weight audit.
Moves most urban development houses from a mod to vanilla.
Adds Survivor RV and car.
Populates appropriate rooftops with monsters.
Adds many chemicals, chemistry tools, and recipes.
Mi-go, masters, and necromancers can open doors.
Adds a bulk shipping crate possibility to the supplydrop map extra.
New zombie: necro-boomer.
Overhaul the mall.
Allow the of use grappling hooks on ledges.
Make bugs much more mutated.
Reformats the 'chat with a friend' feature in NPCs to be more flexible, and to provide some more lore insights.
Adds 'What the hell happened' stories to NPCs, keyed off backgrounds.
Feral Humans with blob psychosis.
Allows plank and branch bundles to be made from cordage, vines, or wire.
Microlabs can contain artifacts in containment.
Adds NPC_class and NPC json templates and instructions.
Adapts almost all vehicle definitions to use directional parts.
Update UltiCa tileset and make it default.
Adds a number of flying zombies.
Adds a new alternate needs panel to the label mode.
Added many proficiencies and uses for them.
Adds frog mother monster.
Adds mega mutant monsters.
Adds a selection of mutated woodland creatures.
New 'phase skulker' zombies teleport and haunt between the hallways of microlabs.
Make mutant organs and lungs contain toxins.
Adds streetlights to sidewalks; also adds traffic lights, stop lines, and pedestrian crossings to intersections.
Adds Rust Zombies.
Diversifies venom sources and effects.
Adds a star fort with working cannon and zombie reenactors.
Adds Hot Springs location.
Adds a terrain flag 'NO_SHOOT' to prevent projectiles from striking or going through that tile type.
Enables using a rope to carry large items.
Adds large dermatik nest and tweaks dermatiks.
Adds a new layout for the island prison challenge scenario.
Adds tazer drones.
Adds a demo of the Cuteclysm tileset, which is loosely inspired by the aesthetics of 16-bit Japanese RPGs.

## Interface:
Introduces, and migrates most windows to, ui_adaptor, which handles redrawing windows when others are closed and the game is resized.
Highlights hidden recipe info in the crafting GUI.
Overhauls target selection and aiming UI.
Displays missing and obsolete mods for current world.
Requires grenades and other explosives to be wielded before activation.
Adds bigger mini-maps to all sidebar layouts.
Adds keycode support to uilist.
Allows attempting to disable robots by 'e'xamining them.
Warns if a friendly creature or non-hostile NPC enters the line of fire.
Adds a satiety column to the eat menu, showing how many calories the food will have for how filling it is.
Shows crafting failure rates due to missing proficiencies.
Displays contained items like 'water (plastic bottle)' instead of as 'plastic bottle of water'.
Keeps track of preferred aiming mode.
Adds the Chibi Ultica tileset, a mix of MSX character and monster sprites with Ultica terrain, vehicles, and items.
Brings back the MSX+ Tileset.
Adds item length and pocket volume entries to menus.
Adds fast scrolling to many menus with long lists.
Adds responsive screen behavior to the new character menu for small terminal sizes.
Shows weariness and activity levels in sidebar panels.
Warns before crafting armor or clothing you won't be able to wear.

## Mods:
[Aftershock] Adds Autodoc tiers and augmentation clinics.
[Aftershock] Megacity-oriented overmap generation adjustments
[Aftershock] Adds new Melee oriented bionics.
[Aftershock] Replaces Vanilla Autodocs with Aftershock Average Autodocs.
[Aftershock] Adds an astrobiology lab.
[Aftershock] Adds a design document.
[Aftershock] Adds new laser and plasma pistols.
[Aftershock] Adds Formless Ruins - a new aboveground, low-risk dungeon type.
[Blazemod] Overhauls Blazemod and splits it into separate mods.
[Dark Skies Above] DSA is reborn as an actively-developed, total-conversion mod.
[DinoMod] Adds location variants with dinosaurs.
[DinoMod] Adds Acrocanthosaurus and overhauls dino baby code.
[DinoMod] Adds monsters 'Scutellosaurus', 'Maiasaura', and 'Coelophysis'.
[DinoMod] Adds monsters 'Pachyrhinosaurus', 'Pentaceratops', and 'Torosaurus'.
[DinoMod] Organizes dinos into three main factions with defined inter-faction behavior.
[DinoMod] Rebalances Jurassic spawns and monsters for realism and fixes predator in-fighting.
[DinoMod] Caps monsters at 1000 kg so butchering kind of works.
[DinoMod] Adds monsters 'Brontosaurus', 'Alamosaurus', and 'Brachiosaurus'.
[DinoMod] Converts 'dinoexhibit' to use templates, adds a roof, and adds a baby dino variant.
[DinoMod] Ankylosaurs Abound: Adds Dyoplosaurus, Nodosaurus, and Edmontonia.
[DinoMod] Adds Amargasaurus and Kosmoceratops as well as variants.
[DinoMod] Adds mod-specific mutation trees Stego and Tyrant.
[Magiclysm] Adds spell level and number of spells known achievements.
[Magiclysm] Manatouched mutation tree.
[Magiclysm] Adds polymorph spells so you can transform your foes.
[Magiclysm] Adds a spell component system and more-powerful spells to use it.
[Magiclysm] Adds a new mutation line: Black Dragon.
[Magiclysm] Adjusts fog frequency in black dragon lair plus other (minor) map adjustments.
[Magiclysm] Attunements - Special abilities gained by mastering two schools of magic.
[Magiclysm] implement summonable motorcycle
[Magiclysm] Adds a new house with technomancer-themed loot.
[Magiclysm] Rings of wizardry and mojocycle tweaks
[Magiclysm] Adds bullet armor to magic rings and bracers of protection.
[Magiclysm] Adds Orcs and Ogres.
[Magiclysm] Adds three new Attunement spells (Frozen Winds, Auroral wave, and Immolate).
[Magiclysm] Adds Workshop Elves, Yule Cats, and Leprechauns.
[MMA] Adds Ki Strike trait, buffing unarmed to make it more competitive with other weapons.
[Vanilla + Many Mods] Fixes problematic faction relationships (one-way aggression).

## Balance:
Large item price audit.
Large scale melee weapon damage audit.
melee: make polearms do less damage against adjacent targets.
Hide irradiated effect from the player, forces use of existing tools to detect radiation levels.
More complex satiety calculations.
NPCs to use ranged weapons against all enemies, and automatic fire against dangerous enemies.
Antifungal drugs work over time.
Don't damage hands when smashing but use your most armored part instead.
Guarantee at least one transversable path in the collapsed tower basement.
Make Solar Sensitivity mutation respect clothing coverage, precious.
Unlock NPC recruiting when you build the faction camp radio console.
Fixed clean_water recipes with purification tablets and charcoal water purifier.
Brings reloading components closer to reality, make brass casings spawn in packs, and makes gunpowder units 100 mg.
Missed scenario starts without a random NPC.
Monsters with larger eyes see farther than smaller variants.
Ankle storage items don't affect feet-related mutations anymore.
Gives the default Survivor profession more weather-appropriate clothes for the default start.
Eating raw meat does not hurt your morale as much if you have traits like Hunter or Predator.
Very-fast-moving zombie animals only attack once per turn.
Spawns anesthesia supplies in Autodocs.
Rebalances spawn rates for overmap specials.
Mycus Fireproofing now also gives heat immunity.
Tweaks Infection impact by lowering fatigue drain and removing pain.
Adjusts ordinary clothing to not meaningfully contribute to protection values.

## Bugfixes:
Prevents possible negative damage from explosions.
Removes scent diffusion over water by implementing NO_SCENT flag.
Gives electric motors equal power in forward and reverse.
Fixes wield action costing double what it should have.
Fixes spells not gaining levels on cast.
Fixes light sources rendering the player invisible at certain ranges.
Fixes a crash when an NPC gives the player equipment.
Fixes "Unable to find and assign mission target" messages when accepting a mission.
No more floor items when trading with follower NPCs.
Fixes crashes from trying to access a nonexistent basecamp.
Helicopters: Allows descending into open air while moving, and disallows roof teleporting.
Fixes cold items rotting in a freezer and adds more rotting tests.
Spawns regular ants under regular anthills.
Melee: Makes sure that melee weapon accuracy improves hit rates.
Adjusts vehicle heater/cooler for 1-second turns.
Wakes up the player if about to go into hypothermia.
Fixes a segfault during initializing crafts.
Fixes a segfault from attempting to siphon from vehicle with multiple tanks.
Fixes creatures blocking descent even if they can be displaced.
Fixes OnGetHit effects not triggering if the player cannot block.
Refactors the monster spawning code to avoid crashes.
Resets the game mode before loading normal saves.
Minimizes UI flickering in curses mode.
Fixes crash upon examining vehicles containing minireactor.
Fixes segfault on harvest.
Fixes loading of legacy characters without bodies.
Fixes explosions not affecting terrain.
Avoids processing held items twice.
Fixes a crash when trying to reload an item inside of advanced inventory
Renames (when appropriate) blobs as slimes.
Fixes massive, unrealistic temperature drops when wet.
Fixes weapon techniques not triggering.
Prevents some obscure crashes by adding nullptr checks to unsafe pointer accesses.
Vehicles: make sure going in reverse isn't more efficient than going forward.
Fixes doubled artifact effects on stats.
Containers can't hold too-large items, even when contained in other containers.
Prevents temperature being 0 after loading a save.
Consumes components in nested containers when crafting.
Fixes stuck joystick on Android.
Adjusts sunlight casting to properly illuminate exterior walls.
Fixes limb blocking not triggering.
Vehicles: shock absorbers actually now absorb shock damage.
Fixes NPC dying immediately on accepting inhaler mission
Fixes crash when attempting to butcher a corpse.
Fixes gear getting damaged by weather when weather has no damaging effects.
Improves invalidation of max_populated_zlev cache, fixing lighting in some teleportation scenarios.
Prevents dodging or blocking while insensible.
Fixes apparent light asymmetry when the sun shines through a single-tile hole in the roof.
Makes installation time mandatory for gunmods.
Makes tents and vehicles block sunlight.
Prevents scent map from being saved with an invalid utf8 sequence.
Monsters no longer bash obstacles based on sound. This prevents groups of monsters from getting stuck in a loop of bashing based on the sound of other monsters bashing.
Picking up an item stack fills up your pockets if it doesn't fit into one pocket.
Wielding combines item stacks if possible.
Robots can no longer be disabled by a single melee hit.
Fixes auto-consume zones in vehicles.
Fixes monster special attack range-limiting code.
Falling vehicles: prevents bouncing after the first collision with the ground.
Fixes issues with sound (walking on boats, sound triggering twice).
Ensures that casings are stackable, fixing pickup performance issues.
Allows quartering organ-less corpses without field dressing.
Triggers explosions only after processing all items.
Fixes scenarios having wildly different start dates and potentially crashing the game.
Allows fire to spread to adjecent tiles with items.
Prevents log spam from a broken bone.
Makes reachability cache fully consistent with map::sees, fixing some problems with mirrors.
Fixes NPC-assisted time-cost calculation.
Killing a monster that fused with a mission kill target now successfully completes the mission.
Bashes that do zero damage now can't stun.
Fixes a crash due to dereferencing a null carrier pointer in item::process_tool.
Prevents a seg fault in auto-consume.
Vehicles: Fixes towed vehicle drag by unsetting their parking brakes.
Fixes sarcophagus elevator reactivation.
Fixes doors that NPCs could not pass without intervention.
Prevents disassemblies on a workbench from vanishing.
Fixes errors from crashes between a towed vehicle and its towing vehicle.
Bases returned materials from salvaging on mass instead of volume.
Fixes unable to run message when mounted - allows a mount to run when your legs are broken.
Fixes errors from abandoning a faction camp.
Makes NPCs able to fight back while guarding or patrolling.
Fixes use-after-free error in sounds::process_sound_markers(player).
Makes the Zombie technician's pull metal weapon attack drop items at the technician's feet.
Fixes errors due to a bad memory access in drop_activity_actor::do_turn().
Resolves a partial item spawn issue.
Prevents xp 'underflow' due to negative focus.
Dragged vehicles and furniture no longer leave a trail of memorized tiles in darkness.
Prevents a crash by disallowing turning vehicles on ramps.
Fixes crashes from towing cables snapping or trying to stretch between z-levels.
Fixes a game freeze from happening when the player cannot carry a mission reward.
Fixes crashes in `map::player_in_field` caused by iterator invalidation.
Fixes a division by zero error when drinking water.
Fixes NPC followers being blind after waking up.
Fixes looks_like for vehicle parts.
Fixes Roots and Metabolic rehydration mutations so they actually relieve/eliminate the need for water.
Fixes localization not working if the LANG environmental variable is not set.
Avoids creating starving characters from older templates.
Fixes furniture being 'destroyed' when grab-moving.
Fixes crashes from canceling reloading a container that is on the ground.
Fixes NPCs still being hungry - and unhappy about it - after eating from faction camp stores.
Reins in the plant mutation category's photosynthesis ability to be more representative of real photosynthesis.
Prevents cross-z-level melee attacks when the target is not actually visible.
Avoids doing character body updates more than once per turn
When harvesting crops, drops the result on the player's square.
Improves road system connectivity across overmaps.
Stops crafting failures from clustering at high completion percentages.
Fixes non-spring eternal seasons.
Stops unreloadable items from being reloadable.
Fixes savegame corruption causing teleporting to very distant submaps
Unfreezes trap-avoiding monsters.
Fixes ramming at low speed.
Placing specials around cities now scales with city size.
Fixes proficiency books' effect on crafting.
Construction of roofs actually makes the tile above the construction a roof.
Partial fix for vehicle damage reduction inconsistencies.
Fixes building ramps and stairs.

## Performance:
Adds an option to enable batching when it is available in SDL.
Skip unnecessary weather calculations for root cellar.
Cache drop_invalid_inventory and weight_carried.
Cache clairvoyance field.
Performance improvements related to map::process_fields.
Overhaul shadowcasting to be iterative instead of recursive.
Use plf linked list impl for shadowcasting.
Improve string_id comparison performance, add unit test and benchmarks.
Improves rendering speed by optimizing find_tile_looks_like method (FPS improved ~15%)
Greatly reduces overhead from processing idle vehicles.
Optimizes Creature::has_effect (performance improved ~9.5%)
Adds a specialization for static/interned string_ids  (performance improved ~30%))
Improve performance of builds with enabled localization by ≈20% by caching translations.
Major optimization of field processing.
Adds reachability cache/filter that can reject bresenham-based LOS checks in O(1) time.
Uses field_cache in map::get_field to speedup fire check in npc::assess_danger.
Speeds up quicksave by limiting ui redraw rate.
Prevents slow processing of NPC overmap travel when `goal` is unreachable.
Fixes the performance bug caused by `verify_vehicle_cache` recalculation.
Adds lightweight crafting inventory cache to improve NPC construction processing time.
Reduces save size by skipping serialization of some item pockets and relic data.
Adds RLE compression for JSON serialization/deserializations of data on items, reducing savefile size.
Improves performance of initializing the achievements tracker.
When NPCs are fleeing from explosions, skips considering routing through tiles without a floor.
Speeds up fungus-related code processing by 30%+.
Optimizes item migrations to decrease load times.
Restores graphics speed for large screens with lots of text.

## Infrastructure:
Adds basic infrastructure for diseases.
Allows for specialization of activity parameters.
Jsonizes Autodoc quality.
Adds tests for character BMI / kcal / weight.
Jsonizes body parts.
Jsonizes mood modifier from body part conditions (e.g., wet).
Allows multiple different overmap terrains for start locations.
Makes test failures from other platforms more easily reproducible.
Adds clang-tidy check to catch incorrect use of RNGs.
Adds a guide to pricing items (see the doc folder).
Adds enchantments to bionics.
Adds test for health effect on healing rate.
Adds tests for BMI effect on speed.
Updates Catch2 (for running tests) to v2.13.0 (from 2.9.1).
Achievements have better up-front checking to detect definition errors.
Tests use a different config directory by default.
Migrates ACT_PICKUP to the activity actor system.
Integrates a behavior tree implementation into monster AI.
Moves ascii art to its own file to avoid bloat.
Enforces that functions should not have separate x, y parameters.
Adds tests for sun-related functions.
Implements installation requirements for CBMs.
Fields can now override local light levels.
Converted itype_id to string_id<itype> for better internal code consistency.
Tests refactored item info display functions.
Milling products can be defined in JSON.
Adds a Clang Build Analyzer build step to CI.
Refactored rectangle and box types.
Mutations can be reflexively triggered without player input.
Enforces the use of points as local variables.
Adds table.py to make tables of JSON data.
Adds a guide for intermediate mapgen help.
Options: removes the option to not use z-levels at all (3d vision is still experimental)
Provides point types with coordinate system type safety.
Moves weather from being hardcoded into json.
Changes some awkward terrains into furnitures for better layering.
Creates a machine-readable memorial file at game over.
Dialogue: create an talker API for speakers in a dialogue.
Make rectangle and cuboid generic with respect to point type.
Configure GitHub build matrix to permit more C++ build testing to happen there.
Check for zero weight items.
All .py scripts ported to Python 3 and checked with PEP8 on moderate settings.
table.py partial object-oriented redesign.
Script to list what IDs are present in a tileset.
Revamps vehicle parts shapes to allow chirality - left/right/front/rear.
Removes old artifact code.
Adds a script that generates a list of possible overlay ids.
Adds error-checking of recipe (sub)categories.
Unblacklists most remaining blacklisted mods, enabling more automated consistency checking.
Reports log messages for failed tests.
Reinstates blueprint autocalc.
Refactored vision_test; introduces a map_test_case framework to make building similar tests easier.
Adds tests for better_pocket and best_pocket.
Renames skills in preparation for some future improvements; merges speech & barter.
Merges trapping and lockpicking skills into a new 'devices' skill, and expands its scope somewhat.
Adds default time and fail multipliers to proficiencies for easier JSON entry.
Introduces a STATIC( ) macro that can make the definition of static constants easier to type and read.
Adds typesafe angle type.
Adds check that Generic Guns migrates all guns, magazines, and ammo.
Enables JSON member visitation checks outside of tests (better consistency checking).
Displays multi-line JSON error messages correctly when building on Github.
Python tool added to easily translate map coordinates.
Enables a JSON check for mods in the Github build matrix.
Uses (and checks for using) the correct season length for tests.
Uses GNU Parallel to run tests concurrently, enabling concurrent tests in MacOS builds.
Improves scooter tile representation by adding scooter vehicle parts, which scooters spawn with.
Reduces file size of composed tilesheets from compose.py.
Implements C++ symbol demangling in crash reports on MacOS, MinGW, and Linux.
Adds tests of automatic triggers for mutations.
Generates a crash report on Android.
Moves Mingw cross-compile CI job from Travis to GitHub.
compose.py: Fixes --use-all when there are no filler sheets.
compose.py: Don't warn about unused fillers matching IDs in tile entries from main sheets.
Adds a tool to check printf style format string in translations.

## Build:
Moves clang-tidy runs from Travis to GitHub.
Adds -fsigned-char to CMakeLists.txt.
Makes json linter feedback more readable.
Fixes clang-tidy header guard checks on Windows.
Gives progress feedback while running the JSON formatting script.
Set 'disable MS telemetry' flag in VCPKG setup guide.
Automatic handling of vcpkg dependencies.
Vehicles: Update doc/JSON_INFO.md for all fields in vehicle_part.
Improve use of precompiled headers.
compose.py: allow default sized tilesheets to specify offsets.
Enable compiling an Android build under Windows.
Tools: adds a Python script to reformat vehicles to use parts arrays.
Suppresses Homebrew update for faster Mac OS builds.
Adds problem matchers for json errors, compiler errors, DebugLog emissions, and Catch2 errors.
Adds check enforcing almost-never-auto convention.
Adds a GitHub workflow running flake8 to check the Python scripts.
Consistently styles code in CMakeLists.txt files.
Adds CMake linting.
Captures ODR violations using GOLD linker, ASAN, or LTO.
Adds a CI action to build and release for Windows.
Adds android builds to Github actions.

## I18N and A11Y:
Fixes translations of martial art initiate and computer terminal messages.
Adds support for specifying identical singular and plural forms using `str_sp`.
Removes name_plural and replaces it with str_pl (matching `str_sp` and basic singular `str`).
Adds a helper for localized sorting.
Records locales in debug.log to assist i18n debugging.
Adds the start of a translator glossary and explains the etymology of Exodii.
Uses class translation in many more places for more flexible translation support.
Infrastructure: Automates translation template push.
Enables using additional languages (Arabic, Czech, Danish, Dutch, Greek, Indonesian, Icelandic, Italian, Norwegian, Serbian, Turkish, and Ukrainian) with the game.
Places cursor at highlighted item name in construction and crafting menus, as expected by screen readers.
Adds translations of the Android installation interface.

# 0.E (Ellison)

## Highlights:
Long distance automove feature for walking, driving and boating.
Extensive bugfixes to inter-level interactivity, on by default.
Riding animals and animal-pulled vehicles.
More flexible Basecamp construction options.
Default starting date changed to mid-spring for better survivability.
Time advancement is rationalized, a turn is now one second.
Extensive river and lake systems, and boat support for navigating them.
Expanded NPC usefulness and interactivity.
Massive increases in location variety and consistency, especially rooftops.
Expansion of mi-go faction with new enemies and locations.
Batteries now store charge instead of being pseudo-items.
Overhaul and rebalance of martial arts.
Zombie grabbing and biting more manageable and predictable.
Overhauled stamina and damage recovery for grittier gameplay.
Crouching movement mode allows hiding.
Magiclysm and Aftershock mods have first class support within the game.

## Statistics:
4429 files changed, 4175739 insertions(+), 2881113 deletions(-)
13,507 commits
~400 contributors

New game entities (core): 12,290
MAPGEN: 7350
3535 overmap terrains, 2300 mapgen entries, 515 item groups, 294 city buildings, 161 terrains,
137 mapgen palettes, 133 furnitures, 58 field types, 56 monster groups, 48 overmap specials,
41 map extras, 29 field emmisions, 16 overmap locations, 13 vehicle groups, 9 traps
CRAFTING: 1896
1368 recipes, 305 uncraft recipes, 103 constructions, 99 requirements, 10 tool qualities
ITEMS: 1402
393 articles of clothing, 178 ammunitions, 130 tools, 92 magazines, 86 guns, 78 comestibles,
38 books, 34 gunmods, 16 pet armors, 15 containers
NPC DATA: 702
438 talk topics, 127 speech entries, 46 missions, 36 NPC definitions, 35 NPC classes, 9 factions
MONSTERS: 96 monsters, 5 monster factions
PLAYER TRAITS: 393
98 mutations, 64 techniques, 45 spells, 44 effects, 28 activities, 19 professions,
19 start locations, 12 morale types, 8 bionics, 4 martial arts, 3 scent types, 3 mutations
ITEM TRAITS: 122
31 ammo effects, 25 ammunition types, 20 materials, 19 item actions, 14 harvest entries, 6 faults
VEHICLES: 59 vehicle parts, 24 vehicles
MISC:
93 migrations, 44 json flags, 31 loot zones

New mod entities
MAPGEN: 5778
5459 overmap terrains, 133 item groups, 71 terrains, 25 monster groups, 19 furnitures,
19 vehicle groups, 16 overmap specials, 13 city buildings, 9 gates, 3 field types,
3 overmap locations, 3 mapgen palettes, 3 traps, 2 field emmisions
CRAFTING: 540
491 recipes, 22 uncraft recipes, 15 constructions, 12 requirements
ITEMS: 703
327 generic, 147 armors, 90 tools, 48 comestibles, 28 ammo,
24 magazines, 19 books, 14 gunmods, 6 guns
NPC DATA: 42 speech, 19 talk topics, 12 npc classes, 11 npcs, 8 missions, 5 factions
MONSTERS: 101 monsters, 13 monster factions, 9 species, 2 monster attacks
PLAYER TRAITS: 395
144 spells, 71 mutations, 47 professions, 34 techniques, 27 martial arts, 24 bionics, 24 effects,
9 start locations, 8 dreams, 3 mutation categories, 3 mutation types, 1 skill
ITEM TRAITS: 34 harvest entries, 10 ammo types, 7 materials, 5 tool qualities
VEHICLES: 45 vehicle parts, 13 vehicles
MISC: 140 migrations, 11 snippets

## Features:
Allow terrain and furniture to be used as a nearby fire for crafting.
Adds ranged attacks mutations (using fake guns).
Added ability to write messages on signs with markers too.
Allow starting at a non-default date without advancing rot and monster scaling.
NPCs will move to investigate sounds.
Faction camp: menial labor uses the zone autosort feature.
Wind will now affect the spread of smoke/gas/fire/hot air and move wind powered vehicles.
Npcmove: improve NPC pathfinding when running from fire or threats.
Add support for NPCs fleeing and following a player who is fleeing.
Monsters: allow pets to wear armor.
Bulletin board to control faction camps, camp overseer resigns.
Guarding NPCs are now available for camp missions and doctoring.
Dig a channel to divert a river.
Follower / Faction camp summary menu and migrate to overmap.
Selfie description includes one of the items nearby.
NPCs can assist with player activities.
Land Use Codes infrastructure.
Differentiate river from puddles, add water wheels.
Ability to view weather around player position.
NPC followers on guard and in vicinity can read with/assist with crafting.
Make skill gain during crafting incremental throughout the activity.
Add NPC retreat, no investigate, and investigate limit zones.
Draw highlights in tiles (e.g. when examining).
Allow specifying starting missions in scenarios.
Make lifting tools (cranes, etc) assist with "wielding" very heavy items.
NPCs: shout commands at NPCs you can't see.
Corpses rot and show their rot status.
Implementation of a new json flag 'CAN_OPEN_DOORS'.
Enable alarm clock functionality access from the 'wait' command.
Add ability to crouch and hide behind furniture, terrain, vehicles.
NPC AI: Move toward the player if he has a completed mission.
Expanded ledge examine action with jump over command.
Adds max radio range and camp radio tower mission.
Add an in-dialogue help tutorial for NPC allies.
Companions provide general advice (hints).
Add the ability to turn prototype cyborg into NPC via Autodoc surgery.
Npcs: improve NPC bandaging.
Any NPC at camp can start missions etc, even by radio contact.
NPC shouts: add danger zone override shout.
Adds an item favoriting system.
Hunger becomes based on stomach volume instead of kCal.
Represent in progress crafts as an item.
Adds ability to exhume graves, adds graves, adds body bag.
Allow monsters to shove vehicles on their way to player.
Added nickname to random name generator.
Radio contact with followers, NPC overmap movement.
Use fuel from firewood source when starting fires.
Eyebots speak to suspects, doing police activity.
NPCs: Allow NPCs to use holsters.
Npctalk: add JSON support for bulk trade/donate.
Add Visibility overlay (debug menu).
Allows NPC to change your hairstyle or beard style.
Basecamps: enable flexible upgrades of the primitive field camp.
Adds a vehicle-mounted area cooler.
Adds Faction ownership and thievery.
Add game report precise system versions.
Crafting inventory now uses flood fill search.
Basecamps: Use normal recipes and fake resources.
Allow professions to have starting pets.
Make crafting failure non-absolute.
Player now burns calories when doing activities.
Model NPC needs as a behavior tree based on Maslow's hierarchy of needs.
Boats push creatures in water out of the way.
CBMs for NPCs 2: Active CBMs with AI control.
Allows trains to move and turn on railroad tiles.
Raytrace sunlight.
Power gen bionic can emit heat, fields and warm part they occupy.
NPCs: support faction tagged zones.
Size mutations affect player size.
Add game information report and SDL screenshot.
New default-unbound menu for consuming specifically food, drink or meds.
Vehicles: allow animals to ride on BOARDABLE parts.
Added toggleable auto travel mode.
Basecamps: Add modular basecamps.
Player overmap auto-travel.
Allow rotation of most overmap specials and terrains.
More features in photos. Allows centered on any tile, captures all creatures.
Blueprint zones for freeform construction planning.
Npctrade: trade multiple items at once.
Implement blackpowder fouling mechanics.
Allow items to use multiple ammotypes.
Tell an NPC to finish your construction tasks.
NPC will say what their current activity is + some infrastructure.
Added ability to splint broken limbs to Autodoc.
Factions: start to implement useful faction relationship API.
Riding animals and animal-pulled vehicles.
Faction ownership of vehicles.
Allow any rope-type item to tie animals up.
Gutter downspouts to act as funnels.
Give dynamic NPCs proper overmap pathing/travel.
Add furniture that can emit fields.
Way to manually put out controlled fire in a fireplace.
Adds vehicle part cargo weight percentage modifier.
Allow quenching fires with any bashing item instead of wielded.
Dogs only bark when they see danger.
Pilotable combat and utility mech-suits.
Custom Filter loot zone.
Make secubots/turrets drop ammo and a salvageable robot carcass.
Allow different tiles for mounted creatures.
Dialogue writers can now directly add missions from JSON.
Add new mapgen piece jmapgen_ter_furn_transform.
Allow player to pick up and handle frozen liquids.
Don't prompt for a direction for an action if there is only one direction possible.
Show needs in the comestible inventory windows.
Add u_buy_monster talk effect.
NPC activity rework - farming and generic multi-activity loop.
Add new mission/talk effect u_learn_recipe.
Use zone for designating a firewood source.
Add peeking through vehicle curtains.
NPC Fishing, Chopping logs and trees, and NPC butchery.
Charge bionics from UPS via Cable Charger System CBM.
Vehicle deconstruct zone for NPCs to work on.
Allow animal-drawn vehicles to follow a walking player.
NPCs: Improve the tactical AI and NPC QoL.
Implements Damage Immunity Flags and Effects.
Add known factions to faction menu.
DROPS_AMMO monsters will drop their remaining ammo in magazines.
Create dynamic micro-factions for dynamic NPCs.
NPCs: friendly NPCs consume from nearby camp stores.
Adds a NON_THRESHOLD flag to mutations so they don't count toward thresholds.
Adds RANDOM_ spell flags for duration, damage, and aoe.
Basecamps: Basecamps anywhere.
Allow NPC to read books and learn on their own, and repair vehicles.
Allow player to use more multi-zone activities - chopping, deconstructing etc.
Adds REGEN_MANA and MAX_MANA to available enchantment values.
Allow martial arts techniques to target humanoids.
Add querry to stop trying to fall of sleep after 30min of trying.
Sleeping in a vehicle has the same features as sleeping on furnitures.
Basecamps: add an emergency recall option.
Allow shooting out lights in the lab.
Add auto start and safe fuel modes to power gen bionics.
Create template from already existing character.
Allow extend to work for mutation_branch::category.
Basecamp storage zone : to populate camp inventory.
Added an ability to geiger-scan NPCs.
Dynamic NPC spawn anywhere on overmap - not just near player.
Spawn some chemicals with random charges.
Added auto-picklock on examine.
Vehicles: allow multiple vehicles on a bike rack.
Vehicle autopilot part for patrolling / auto-farming etc.
Allow auto targeting mode for turrets only with installed turret control unit.
Running/crouching while swimming will result in faster/slower swim speed.
Make vehicles deal damage to items based on their mass and wheel area.
Turrets return fire at unseen ranged attackers.
Creatures can ride along elevators with you.
Changes mechanics of MUSHY flag from from causing insta-rot on next thaw to making rot progress faster.
Abandon camp NPC talk and bulletin board mission.
Scale learning speed based on INT stat.
Added ups_charges_modifier handling for gunmods.
Adds random town name string.

## Content:
Alternative night vision intensity.
Adds the possibility to find an evil moose in the kitten finding game.
Add "classic literature" and "collector's edition" books.
Adds Free Merchant currency.
Joint Servo CBM - movement enhancer CBM.
Added new z levels to apartments.
Adds basement with a hidden methlab.
Massive roof addition project.
Adds new item groups for labs (especially surface labs) and a lot of equipment and chemical reagents for them.
Add sheet metal forging and welding recipes.
Adds facial hair that can be chosen at chargen.
Deprecate fictional martial arts.
Adds a new large facility to be the surface entrance for secret Labs.
Added a bandits' forest roadblock made of tree trunks.
Adds 'headless' zombie + upgrades.
Adds new evolutionary lines for zombie soldiers.
Adds new furnitures, nested mapgen, palettes, and more content to abandoned barns.
Made many multitile-buildings exclusively spawn inside cities.
Adds some less dangerous but still thematic zombies for labs.
Adds food irradiator computer console and location.
Add new negative trait: Nomad.
Killer Drive starting trait, Death Row Convict profession.
Adds new monster - Thorny Shamblers.
Add workbench functionality.
Adds new zombie - Gasoline Zombie.
Add `skeletal brute` zombies.
Add speedloaders for many guns, mainly revolvers.
Sitting on chair near table gives mood bonus for eating, new trait for increased bonuses/penalties.
The Northrop Dispatch robot now replaces zombie grenadiers.
Adds new horse farm.
Mainline Boats mod.
New map extras: dead vegetation, burned grounds, road works.
Adds mud bricks and the ability to make brick walls out of them.
Added support for OnMiss, OnCrit, and OnKill martial arts buff events.
Adds begging and begins adding a storyline to refugee center beggars.
Extended descriptions for terrain and furniture.
Make robots salvageable.
Basic Marloss Evangelist faction.
Adds the Robofac.
Lakes and lots of lake content.
Adds new large gas turbine engines for military vehicles.
Construct a grave and bury your fallen companions or pets.
Updated kitchen unit requirements
Radio station broadcast audio archives.
Dogs are noisy and bark a lot.
Adds new regional dump variation for an NPC faction.
Fix martial arts buff duration and intensity stacking
Add installable gunmods to provide slots for other gunmods.
Allow firing clay items with fire and no kiln.
Add slaughterhouse equipment and industrial item/monster groups.
Added spawn of three types of road violence.
Foodperson: new item, new location, new start, new static npc
Bathtubs can be used like kegs or water heaters to store liquids.
Added a metal motor boat with a single gasoline engine.
Minefields will spawn only at the entry of the bridges.
Adds in many missing descriptions for furniture and terrain.
Adds skeletal shocker zombies.
Prevent martial arts message when not using martial arts.
Add deployable workspaces, and UI support for them.
Added crashed airliner location.
Adds steel mill location to the game.
Add mi-go scout tower and encampment with new mi-go variants and custom alien terrain.
Ensure proper road connections, add subway connector level.
Some Free Merchant missions will lead to minor changes around the Refugee Center.
Adds microlabs, small 4x4 labs that open only to the subway network.
Rework secubot into a TALON UGV.
Added new human corpses types.
Add a new M240 equipped CROWS II to outposts.
Adds a new spell that provides invisibility.
Adds the Hounds of Tindalos, tough Nether monsters that can appear from teleglow.
Adds new faction camp expansion options, livestock area and modular saltworks.
Adds new faction expansion: storage house, includes: stone, log, wood panel, scrap metal and wattle/daub palettes.
Add blackpowder loads for some cartridges.
Expand randomly-generated music descriptions.
Adds parrot speech options for more mi-go monsters.
Adds street light, traffic lights and utility pole.
Replace outpost laser turrets with M2HB turrets.
Changes CRT TVs to LCD TVs.
NPCs: Update the NPC tutorial including faction camps.
Add miniature railway location with small rails.
Looks_like campaign to decrease tileset workload.
Dozens of new epilogues.
Tailoring system overhaul.
Faction currency overhaul, no more dollars.
Adds dimensional anchor item and some related fluff content.
Adds buildable small railroad rail.
Makes gun cleaning more realistic.
Removes long grass from random spawns in fields, adds new field map extras.
Rabbits as livestock.
Dry/Fieldstone walls.
Obsolete fictional combat robots.
Adds new leech plant monster family.
Add fetid goop that can change your scent.
Adds rammed earth and mi-go resin building options for the faction camp.
Obsolete flaming weapons.
Obsolete survivor helmets.
Realistic gun volume campaign.
Migrates+obsoletes firearms incongruent with lore.
Tameable Piglets.
Cat Reproduction.

## Interface:
Corpses (not underwear) will be shown on top at the places of death in map extras.
Auto-use oxygen tanks in asthma attack.
Reload all guns and magazines in inventory if reload command is repeatedly triggered.
Render critters below current z-level in Tiles mode.
Preselect last played world and character in the load menu.
Additional mode to allow diagonal movement with cursor keys using CTRL and SHIFT modifiers.
Multiple Sidebar Panel Layouts.
Allow sorting items by ammo/charge type in Advanced Inventory Management.
Examine fireplaces, braziers, etc to start fires.
Adds display scent map to tiles version.
Monsters now have different footstep sounds, depending on species.
Mutated poppies and some fungal things have descriptions now.
Add a slew of movement mode keybindings. Make move_mode properly private.
Add 'weapon' panel to labels layout, move wield and style to it.
Add scrollbar to the base mission info pane.
Add durability symbols to all vehicle parts. Add leak indicators in vehicle interface.
Allow picking up nearby items with the `g` hotkey.
Randomize scenaro in New Game -> Random Character.
Allow switching firing mode and reload from [f]ire menu.
Automatically craft on best adjacent workbench.
Game window now resizes based on sidebar size.
[E]ating menu now stays open on the last consume item.
Allow repairing items outside of the player's inventory.
Fix vehicle zones not updating when trying to sort loot after moving vehicle
Turns static/scenario NPCs and 'experimental' z-levels on by default.
Added possibility to change font size settings in game options.
Adds estimated nutrition disclaimer to crafting screen.
Add guidelines to vehicle interface for easier cursor location.
Message cool-down - reduce similar message appearances.
Wait option: Wait until you regain stamina.
Auto-notes for map extras.
Show best tool quality when selecting butchering.
Adjust mana panel code to only appear when the player knows spells.
Adjust malnourishment to use bmi values.
Genericize butchery messages for dissectables.
Overmap mission UI improvements.
Selecting vehicle controls has been made smarter, and it won't prompt you if it doesn't need to.
Added an option to position the item pickup panel.
You can now view your missions from the overmap.
Make windowed borderless fullscreen mode default on non-curses non-Android versions.
Debug tool for viewing map radiation.
Add movement mode coloration to panels, standardize mode letter fetching.
Tweaked @-menu (player stats description submenu) UI.
Allow map memory drawing mode selection through options.
Add new wide labels sidebar layout. refactor many panels functions.
Items inspected on the trade screen now show their description in addition to stats.
NPC trades will check for confirmation and inform players if they may not get full value.
Show if monsters and NPCs are aware of the player in their description (visible when x - looking at them).
Reordering and grouping skills list in @ menu.
Wait til Dawn/Dusk is changed to Daylight/Night.
Implement selective auto note preferences and a manager GUI to modify them.
Allow mission descriptions to refer to the effects of the mission.
Map editor overhaul.
Always prompt before climbing or vaulting over terrain.
Fix water wheels and wind turbines not showing charge rate on vehicle overview.
Replace kills window with new scores window showing additional info.
Fixed "add/remove monster from safemode blacklist" text not visible in Look Around mode.
Show correct info about transform target's fitness.
Display craft name and % finished on top of screen.
Remove progress messages in exchange for progress popups. Add progress popup for disassembly.
Added ability to toggle minimap on and off in Look Around window.
Add visual indicators for dead zombies that can still revive.
Add run and crouch colors for the player's symbol in ASCII.
Display status for all long activities.
Enable autosave by default.
Include placeholder text on job categories.
Add 'n:' prefix for item filtering, to search through an items note.
Make AIM window width customizable.
Allow saving starting location as part of character template.
Display power capacity in mJ in item description.
Show acid and fire protection in the relayer armor screen.
Adds pain and fatigue penalties on the morale screen, when applicable
Display current power in bionic menu with appropriate unit.
Bionic UI: power displayed in kJ, J or mJ.
Eat menu: Display volume per serving.
Limits "this task is too simple to train" messages to once per craft or batch craft.
Pump SDL events during player sleep to avoid bad window behavior.
Reading: Progress on top of screen.
Display list of useable fuels in cbm item description.
Make constructions in progress display the progress percentage.
Add sort by barter value to the advanced inventory screen.
Fallback fonts can now be specified for the tiles build.
Crafting menu shows range of possible nutrients for food crafts.
Adds new safemode rule category for ignoring sounds.
Return the default font to Terminus and slightly improve fallback handling.
Improve directional highlight prompts.
Blind firing at unseen targets won't show info about hits and "Really attack?" query.
Fixed translated strings sometimes not fitting in character creation menu.
Updated terminus font to latest version and set it as new default font.
Make ESC key stop trying to sleep.
Skimming through book's contents won't show skill progress indicator.
Adjust display of item value precision.
Add the option to display ascii art in item description.
Added 'destroys' message when items are destroyed (rather than just damaged).
Tainted tallow and poppy buds are now in the chemicals category (was 'other').
Added basic controls help to Android prelaunch menu.
Made can't-fire-gun messages more consistent.
Made aiming UI controls more consistent.
Change message for consuming liquid fuel to "Fuel bionic with it".
Add water clearance to vehicle interaction. adjust sink/float phrasing.
Ignoring far-away monsters re-warns when dangerously close.

## Mods:
Re-adds fictional martial arts as a mod.
Added Aftershock sci-fi mod.
Adds the Magiclysm Mod.
Add graphical mods category, put mods in it.
Add Stats Through Kills Mod.
Adds Bulettes and will-o-wisps to Magiclysm.
Add personal and outer aura layers, as well as the intangible flag.
Magiclysm: Adds a new monster - black pudding.
Add Blood Power Generator CBM to Magiclysm.
My Sweet Cataclysm adds the ability to play as an humanoid made of sugar.
Adds Graphical Overmap mod.
Adding a bionic prepper faction to Aftershock.
Add Fuji's Military Professions Mod.
Adds ARMOR enchantment values for each damage type.
Added hit_you_effect and hit_me_effect fields to enchantments.
Adds the ability to pick letters in the spellcasting menu.
Creates clairvoyance spells in magiclysm.
Mythological Replicas mod works with martial arts.
Completely overhauls generic guns.
Adds the Ultica tileset to mainline.
Add BrownLikeBears to the list of tilesets.

## Balance:
Overhaul of all Martial arts.
Remove reinforcement of non-cloth items.
Allowed moving furniture over spilled liquids.
Anesthetic kit is now a tool, it uses anesthesia as charges.
Overhauls how the game handles batteries.
Zombie pheromones makes zombies ignore player rather then go friendly.
Toaster pastries and other sweets are now less fun than cocaine.
Use sqrt of sum of squares to calculate total morale.
Food isn't as enjoyable when you're sick.
The higher your z-level, the farther you can see on the overmap.
Electrical damage has a chance to temporarily incapacitate bionics.
Randomize amount of ammo in gun spawns.
Downed creatures require a check to stand up early.
Adds evolutions for lab zombies.
NPCs: only train at 100 practice at a time.
Remove magical damage boosts for unarmed combat.
Reduce healing rate to realistic speeds.
Player's weight varies with BMI and size.
Nerf outlandish drug effects.
Surgery consumes anesthetic at a rate of 2mL/mn.
Reduce turn time to 1 second.
Adjust turrets to reflect real world remote weapon systems.
Vehicle wheels require vehicle mounts.
Armored creatures won't take damage from stepping on a sharp or rough terrain types.
Separates gunpowders by type.
Make most bugs avoid fire and some avoid falling.
Cbms harvested from NPC are filthy and faulty.
Changes game default start date to 30 days after Spring.
Being grabbed drastically reduce your dodging ability.
Allow zombies to push each other when blocked.
Raw food provides fewer calories compared to cooked.
Triple damage from falling.
Adds controlled burst modes to machine guns.
Exchanged M202A1_talon to M16A4 robots in military outpost.
More realistic temperature, precipitation, humidity, and pressure.
Giant animals drop mutant meat, has negative effects if relied upon.
Balanced bio repair nanobots.
Standardized chemical powders for 1 unit = 1/100 mol.
Apply item spawn scaling factor to monster drops.
Balance bionic power use for realistic values.
Allow large and huge creatures to move through underbrush.
Mouse view was truncating last row of information.
Draw debug vehicle autopilot AI and restore previous behavior.
Fix accidental IR vision.
Can create camps in buildings that don't face North.
Fixes martial arts initiate message when equipping an item.
Fixes crashes involving bayonet type items.
Terranian sonar allow to see digging monsters behind walls.
Stops large critters from using tight passages.
Prevent counterattacks if tired or dead.
Allow low strength characters to drag furniture within a reasonable range of their strength.
Dramatically slow fungal sporeling maturation rate.
Replaced sleep effects for fatigue effects for infected and recover status effects.
Monster/pet carry weight changed to 1/5th of body weight.
Factor in animal carry weight when determining yoke-and-harness power.
Incorporate human meat and fat into existing recipes, remove dedicated recipes.
Revamp EMP grenade recipe.
Limit the kinds of terrain that are vulnerable to mattack::growplants.
Only apply speed penalty from heat to main body parts, fixes extreme slowdown from overheating.
Increased mass and decreased volume and prying ability of makeshift crowbar.
Eating same food repeatedly gives less fun.
Greatly reduce ranged weapon firing times.
Cable charger CBM don't draw power when you're full.
Increase bicycle, dirt bike, and electric bicycle spawn rates.
Adjust MRE caloric value to reflect real MREs.
Lower max stat cap in character creation to 14.
Overhaul archery balance.
Greatly reduce vines reproduction rate.
Horses now spook and refuse to approach enemies.

## Bugfixes:
Correctly set liquids as solid when they freeze.
Fixed long overmap location name being overwritten by "Distance to target:" string.
Fixed NPC dialog around lying and succeeding at missions.
NPC AI: Increase minimum priority for close monsters.
Adjust view offsets and re-enable sidebars for look, aim, etc.
Correct mouse input location in sdltiles build when scaling is enabled.
NPC AI: patrolling guards are still guards.
Fix corpses multiplying on revive.
Player now can see adjacent opaque tiles while standing on another opaque tile.
NPC AI: stop attacking non-hostiles.
Ambient sound won't be heard by players wearing earplugs or otherwise deafened.
Don't bash items inside sealed terrain or furniture.
Disallow rotten components in non-perishable crafts.
Prevents occasional inappropriate vision across z-levels.
Consume tool charges incrementally during crafting.
Refuel fires while waiting.
Extreme cold and heat won't be damaging bandages or contaminate disinfected wounds no more.
Prevent fire from spreading through non-flammable walls.
Fixed the issue of NPCs shooting through you to get to zombies.
Fix NPCs reverting to the unrecruited state when asked to stop activity after save and load.
Fix crash observed when encountering Mi-go slavers with Magiclysm loaded.
Fixed infinite loop on auto-sorting.
Avoid bug where monsters would sometimes go nuts with unnecessary movement.
vehicles: always apply a minimal slowdown.
Fix pulped Z raising anyway.
Fields are not spreading north-west when they shouldn't anymore.
Fix horses making engine sounds.
Fix items lying in furniture get damaged if one is throwing something at them.
Items piled up beyond a tile's limit can pass through walls.
You are still stuck in rubble even if you clear it with a shovel after getting stuck in it.
Correct magazine inside guns/monsters.
Load migration ID strings from the right JSON object.
Nerf Smoke field so that Filter mask protects from smoke.
Mouth encumbrance doesn't drain stamina while walking.
Stop basement parachuting zombies.
Prevent bicycle archery.
Fix for resuming after stamina recovery was interrupted.
Fix starting season calculation.
Maps: stop tunneling tree-felling.
Fix damaged weapons having zero range.
Fixed targeting UI issue for reach attack.
Make environmental protection really protect from fields.
Attacking shocker with worn non-conductive gloves won't zapback you.
Fixed infinite z-level raging firetower bug.
Fix for infinite counterattacks at low speed.
Stop lasers, plasma, and bolts of electricity from being referred to as 'flying projectiles'.
Fix vanishing pet carriers on release.
Npctrade: fix crash when trading with Free Merchant merchant.
NPCs now properly open furniture doors.
Fixed inactive incendiary grenades not exploding if thrown in fire.
Fixes check for broken limbs when using muscle engines.
Fix unarmed experience gain calculation.
Maps: rework collapsing to prevent weird lab collapses.
Shockwaves don't cross z-levels.
Fix ground disappearing upon terrain destruction with experimental z-levels disabled.
Adjusts the heat and toxic atmosphere of mi-go bases.
NPCs faint when infinite looping, instead of dying.
Weather Tweaks - new light drizzle category and fix wind.
Fix an active item cache bug that occurred upon map shift.
Giant worms can't be detected by IR vision anymore.
Unboard NPC before vertical shift.
Prevent autoattack through floors and ceilings.
Close exploit that allowed peeking through floors and ceilings.
Consistent NPC reach range with trigdist.
Stop autodrive on any collision, not just damaging ones.
Fix NPCs running out of stamina.
Make copy of item to be thrown - fix throwing bugs.
Heat slowdown shouldn't stick around when character is not HOT anymore.
Fixed impossible to sleep on hard ground.
Make 100% spawns always spawn even with low spawn density.
Make safemode work if compass is hidden.
Fixed body window to show broken limb healing progress.
Fixed NPCs being able to be pushed into danger.
Fix monsters spawning on the player's level when intended for other levels.
Stop ant tunnels stomping over other map terrain underground and removing staircases.
Prevent attacking with items that take very many moves to attack with.
Fix time travel due to 1s turns.
Correctly predict craftability of recipes with overlapping item requirements.
Fix monster evolution delay bug.
Fix first intercom mission dialogue tree.
Stop Hulks teleporting after shoving vehicle.
Fix infinite NPC love exploit.
Allow zombies to smash.
Prevent auto attacking allies.
Migrate direct item spawns.
Always prompt for direction if autoselect disabled.
Fix NPC equip due to mutation fail message.
Fix dangerous pickups and auto forage not working together.
Rebalance stamina and pain penalties for dragging wheeled vehicles.
Auto-travel; prompt when overburdened, and allow stamina-resting.
Make vehicle dragging not slow for strong-enough characters.
Prevent monsters from leaping to their death in water.
Clear up item ownership for dead factions.
Recalculate vehicle viability after part destruction.
Monsters randomly select targets instead of preferring to attack the player.
Fix player monster interactions when climbing between levels.
Prevent endless deathcam loop when dying while asleep.
Spawn vehicles and junk in junkyard.
Fix firing accuracy calculation when entering aiming UI with no target in sight.
Fix infinite loops and performance of NPC catching up on moves from time spent outside reality bubble.
Make NPC overmap spawning weakly relative to player omt pos.
Fix crash when detaching vehicle from bike rack in old saves.
Allow drugs to modify morale again.
Fix check for monster blocking stairs.
Prevent monsters from seeing each other across z-levels.
Fix NPC backlog of activity moves freeze.
Fix savegame migration of obsolete house overmap terrains.
Fix throwing movement cost for stacking items like bola/net/throwing stick.
Stamina recovery no longer modified by move mode.
Fix infinite aim loop when aiming with IR vision.

## Performance:
Limit start location search radius.
Vehicles: don't refresh while creating a prototype.
Faster tileset loading due to optimized color manipulation routines.
Remove unnecessary `draw_panels()` calls.
Extract pixel minimap into a separate class, clean the code and improve its performance.
Implement flat_set container to improve performance where appropriate.
Do not translate debug-only message strings.
Make square roots static in simplex noise implementation.
Speed up scent adjustments during field processing.
Speed up calls to get_local_windpower, get_heat_radiation and get_wind_blockers.
Build bitmap cache of field locations.
Increase performance when in-game debug mode is disabled.
Increase performance of effects with empty memorial log messages.
Do not make excessive translations for bash sounds.
Faster enumeration of active items.
Avoid recalculating vision and lightmap unnecessarily.
Only retrieve vehicle list once a turn.
Increase performance by removing check for recipe every crafting turn.
Allow member access to weather_datum to bypass unnecessary translation.
Improve performance when fishing.
Avoid unecessarally enumerating monsters.
Defer testing validity of scent grid modification points until modification commit.
Speed up item::process_temperature_rot.
Makes tests go vrooom. Makes it easier to read and understand the code.
Optimize many NPC AI operations, throttle item search.
Optimize vine growth special attack.
Add adjustable 3D vision Z-level cap.
Speed up monster action planning.
Refactor monster regeneration flags.
Reduce memory usage of itype.
Remove superfluous refresh calls from list views.
Improve recipe loading speed.
Fix out of control vehicle processing overhead.
Fix low UI performance on Windows build when using the English language.

## Infrastructure:
Npctalk: Complete overhaul of NPC conversation infrastructure.
Get rid of Lua modding.
Allow a player_activity to refer to specific monster(s).
Update basecamp infrastructure to not require a camp overseer.
Internally store kcal instead of nutr values.
Achieved universal code styling.
Combines rotting with item temperature.
Trigger test failures when tests cause error logs.
Npctalk: make mapgen_update into a dialogue effect.
abort() on crashes so core dumps will be produced.
Add support for time strings and use them in many places.
Adds magic spell effects.
Make auto-mining use item actions.
Switch language version from C++11 to C++14.
Updated minimum supported compiler versions to gcc 5.3, clang 3.8.
Run clang-tidy on Travis.
Update Catch2 to 2.9.1.
Unify overmap terrain matching.
Prevent use of stale pointers in item_location.
Save map extras with overmap.
Use custom clang-tidy plugin for Cata-specific code checks.
Use colony for map and vehicle item storage.
Use enum_bitset instead of std::set for spell flags.
one_turn_in(time_duration) function added.
Remove most uses of long and unsigned long from the code.
Add colony data structure.
Overhaul implementation of map fields.
basecamps: add support for automatic calculation of blueprint ingredients.
basecamps: add support for blueprint_excludes.
Mandate description of terrain and furniture.
Basecamps: add a namespace and calculate workdays.
Significant progress toward rationizing character/player/NPC classes.
Added weather change effect for carrying artifact with AEP_BAD_WEATHER property.
Add lighting overlay (debug menu).
Add energy units using units::quantity.
Refactor player::calc_focus_equilibrium, disp_morale, update_mental_focus, reset_stats
Template read_from_json_string.
Monsters can cast spells as a special attack.
Use time duration strings for effects.
Introduce a faster linked list implementation.
Add Spell fields as new members of spell_type.
Implement new item type for batteries.
Use time_durations instead of ints for faults.
Time audit. Saner calendar field names.
Unify spell effect functions to deprecate the if else ladder.
Allow aliasing extendable lake shore terrain.
Add custom clang-tidy check to enforce consistent point initialization.
Convert calendar into a namespace.
Add static analysis check for fields that could be replaced by points.
Enforce use of point / tripoint overloads where available via a custom clang-tidy check.
Moved windows and flora (trees, shrubs, grass) into new files from terrain.json
Report a verbose error message in case of backtrace failing to grab the symbols.
Added support of various generator types for map extras.
Items in trades are better checked for errors.
Changed mutagen craft tools to crafting requirements.
clang-tidy now checks for use of point arithmetic and suggest refactoring to make more use thereof.
Introduce character_id type (rather than just using int).
Change all instances of 'volume' in JSONs to be a metric string.
Allow spawning exactly one monster from a monster group and set it mission target.
Add a prototype event bus and Cata-specific variant type.
Overhaul of enum <-> string conversion code.
Track kills through event_bus in new dedicated kill_tracker class.
Allow missions to specify if they provide generic rewards.
Introduce dedicated class to manage memorial log.
Weight and weight_integral can be defined using a string.
Add u/npc_adjust_var and u/npc_compare_var effects and conditions.
Use mass strings for item weight.
Improve built-in support for (de)serialization of containers.
Show charges, damage, active, tags and item variables of items in debug mode.
Add new object to track event statistics for use in calculating scores.
NPCs: annotate talk_tags with the usage.
NPC can used fueled CBMs.
Refactor object cloning to improve memory safety and simplify implementation.
Stricter json parsing; errors will occur in more places.
Support json-defined scores as a function of events.
Use clang-tidy to check gettext calls in static variables.
Introduce functions to assist with drawing tabbed windows.
Allow auto-wielding of items in professions.
Enable Magiclysm on one Travis job.
Preliminary tagging of all overmap locations for NPC AI.
Make possible to define `item_transform` and `cast_spell` item actions which are only allowed when wielding or wearing item.
Rework and unify teleport methods.
Create enchantment cache for use with enchantment values.
Adds JSON capability to range_with_even_chance_of_good_hit.
Uses the units::energy infrastructure for bionic power.
Clarify some documentation relevant to monsters and basecamp recipes.
Add a clang-tidy check to check for text style in the c++ code and json.
Remove all of the legacy vehicleparts JSON.
Refactor fields: allow multiple effects.
Add regional terrain/furniture resolution to mapgen.
Change snippets to use string ids instead of hashes.
Adds support for different mending methods for a single fault.
item: refactor info() to break it into multiple smaller functions.
Add the ability to load tilesets from user_dir/gfx.
Detect unsed json object members when parsing json data.
Add infrastructure to support using vitamin system for toxins.
Simplify generic multiple activity handler.
Tilesets: add tools to automatically create tilesheets.
Easier charges setting for json item spawns/groups.
Scents can have a type.
Can set up clothing mods to be valid only for certain items.
Allow compose.py to function when tile JSON is missing the 'bg' key.
Reduce submap size by changing submap's camp member to unique_ptr.
Automatically create user_gfx directory.
Adds a few more biome-dependent terrain types.
Holiday title screens.
Max_volume for terrain and furniture can be defined with strings.
New JSON recipe property for overriding inheritance of specified flags.
Further expands regional pseudoterrains and works them into some map palettes.
Retire procedurally generated houses and basements.
Allow random tile variants for immobile furniture.
Implement volume_reader and mass_reader for read and write.
Allow spawning npc via iuse action.
Add MAINLINE_MODS.md to document mod inclusion criteria and procedures.
Improve overmapbuffer searching routines.
Added repair_like property to prevent unreasonably difficult to repair items.
Add scenario whitelist/blacklist capability.
Adds a getting started type of guide for mapgen.
Add debug menu item for spawning nested mapgen.
Add script to generate tags for CDDA json data for easier navigation in standard text editors.
Use github's code owner system to alert mod maintainers to changes.
Added support for user font directory.
Improve submap encapsulation.
Add a multitude of tests for item display and effects.
Pass CLI arguments from cataclysm-launcher shell script to cataclysm binary.
Clean some exothermic CBM code.
Added override_option class to help write tests which require a particular option to be set.
Can specify delay in emit_fields for monsters.
CONSOLE_DESPAWN flag to despawn turrets with a console.
Moved entity definitions to JSON: zone types, loot zones, scent neutralization, ammo effects,
flag inheritance in crafting, comestible enjoyability, gunmod weight modifier, allergen handling,
species footsteps sound, bionic slots, swim speed modifiers, construction categories,
martial arts skill and damage requirements, hunger messages, artifact effects and food morale modifiers.
Large numbers of unit tests added to enhance stability.
Expand testing doc with examples and tips.

## Build:
Npctalk: add a python dialogue validator.
Update homebrew install instructions.
Adds Flatpak build recipe.
Clarify the compiling directions for Visual Studio.
Enable github bot that automates closing stale issues.
Add cygwin to COMPILING.md, also add short descriptions of each option.
Allow building with Clang using MinGW-w64 libs.
Check translator comments with clang-tidy.
Document how to build and run the custom clang-tidy checks on Windows.
Provide NOOPT=1 build option for make.
Made JSON formatter conserve escape sequences.
Use libbacktrace to generate readable backtrace on Windows.
Fix -Wrange-loop-analysis warnings with Clang 10.x.
Save build artifacts from github actions CI.
Include additional files to binary distribution.
Updated Android build process.

## I18N and A11Y:
Use translation markers to increase performance.
Make the translation for field name display.
Automatically switch IME mode between text input and raw input on Windows.
Correctly extract npc dialogue lines for translation.
Allow translation of non-character key names.
Add position marker to some format strings.
Support plural strings in the translation class.
Add nickname for zh-cn translation.
Adding ru translation notes.
Fix footsteps translation.
Extract all npc dialogue lines for translation.
Add Portuguese (Brazil) to language selection menu.

# 0.D (Danny)

## Highlights:

Many quality of life enhancements such as auto-pulp, autopickup, batch actions,
interacting with adjacent items and improved long-action handling.
Pixel minimap for tiles mode.
Guns accept magazines when appropriate.
Player stamina stat that is burned by running and other physical exertion.
Player faction base that allows incremental growth and autonomous work by NPCs.
The player remembers terrain and furniture they have seen.
Carrying racks for small vehicles.
Vehicle system (speed, fuel consumption, terrain effects) overhaul.
Overhauled nutrition, food spoilage and food state changes (freezing).
Overhauled bomb fragment handling.
NPC dialogue support, group commands, tactical instructions and backstories.
Dynamic Lighting.
Roughly DOUBLED the amount of in-game content.
Unheard-of levels of bugfixing.
Full translations for Chinese, German, Japanese, Polish and Russian.

## Features:

Power transmission between vehicles.
Books need to be read to know what they contain.
Extend Stamina burn.
Explosions can create craters.
Zombies push each other.
Overhauled shadowcasting to also provide dynamic lighting.
Gun mods can be built-in to the gun and irremovable.
Gun mods extended to draw power from UPS.
Player can set zone instructing friendly NPCs to avoid picking up items.
Unsupported items/fields/monsters/etc fall to lower z-levels.
Mods can override overmap specials.
Display hints about health upon waking.
Experimental 3D vision and interaction between levels.
NPC interactions: Carrying gear, healing with items, re-layering clothes.
Hordes re-absorb monsters, this allows them to return to moving after spawning.
Hordes can wander toward cities to keep them populated.
Added a pixel-detail minimap option to tiles mode.
Added the ability to use cutting tools or markers for labeling items.
Add talk tags support to signage.
Allow many actions targeting adjacent tiles. Reading, storing liquids, unloading containers.
Allows certain claw-based mutations to count as having a butchering quality.
Adds an item flag for certain clothing that allows making mutation natural attacks without said clothing getting in the way.
Start with book recipes of selected skills on char gen.
Allow gathering wool staples from sheep.
Allow vehicles to pivot around arbitrary points.
Added debug Overmap Editor.
Add steerable wheels.
Reload using magazines.
Mix liquids into a container instead of a CONTAIN tool.
Repair items as a long action.
iuse actor heal for jsonized healing items.
Craft in the dark when it makes sense.
Allow using Enhanced Hearing CBM to crack safes.
Giving NPCs mutagens, meds, food etc.
Mass uncraft.
Add coal mining.
Implement minimum stat and skill requirements for items.
Add ability to cut metal bars on windows with hacksaw.
Allow wielding bows with one hand.
Alternative starting point systems.
Vehicles can spawn items with magazines and ammo.
Stumbling and following improvements.
NPCs reloading mags.
Apply persistent morale.
Allow autolearn at different level than crafting difficulty.
Alcohol mixing for storage.
Bring back NPC hunger and thirst.
NPCs pulping corpses.
Allow wearing clothing with OVERSIZE flag with footwear.
Allow attacking ground to prevent overshooting.
Allow bringing NPCs up/down z-levels in 2D mode.
Zombie corpses transforming due to burns.
Really nasty barfing.
Overmap scent traces.
Allow mending of faults for already installed parts.
Vehicle part armor (damage resistance)
Firing modes including NPC support.
Automatically add starting components to the start vehicle construction.
Mop up liquids in vehicles.
Make NPCs better with (player's) meds.
NPC command: close doors you walk through.
Melee autoattack feature.
Allow UPS charger to work with partial charge.
NPC vs NPC combat.
NPC guard/follow update.
Add details to message displayed when loading world.
Fancy hairpin can now be used as lockpick.
NPC trading/exchange update.
NPCs helping with crafting, providing recipes.
Turrets can drop casings to CARGO part.
Regional weather settings.
Train relevant skills when installing/removing vehicle parts.
Track items with no covered body parts (morale).
Store any liquid in vehicle tanks.
Scale repair times with damage.
Ammo can be multiple types.
Spawn bones when creatures made of bone are gibbed.
Added automatic prying when [e]xamining on a locked door/window.
Implement NPCs picking plants.
Assign NPC's as vehicle crew members.
Teleporation to adjacent overmaps.
NPCs swap (or take off) their splints properly.
Allow crafting with sealed container contents.
More "resilient" overmap generation.
Allow nesting crafting lists.
Add in Scratch Attack for (mostly) Zeds.
Adds seasonal variation to daylight levels.
Implements deconstruction without tools.
Contained fires will burn through all its items continuously.
Gunmods contribute "ammo_effects" to the main weapon.
Change crossbow firing skills to match related firearms.
Moddable Milking Monsters.
Option to yell sentences.
Removed ability to pry open closed non-locked doors.
Allow resolutions up to 8K UHD (7680×4320).
Search the overmap around the cursor.
Always save the latest created character as a template "Last Character".
Give players back the ability to hear soft sounds from their own tile.
Allow character generation menu to scale to screen size.
Allow martial arts to force "offhand" unarmed strikes (kicks etc.) when wielding weapons.
Ability to fully enhance an item.
Option to auto pulp or butcher corpses.
Make all long activities abortable.
Draw power directly from UPS with UPS mod.
Add stimulant/painkiller overdose symptoms.
Loot sorting activity.
Add trait groups.
Added possibility to cut rebar cages with hacksaw or oxytorch.
Make smoke decay outside of the reality bubble.
Implement deployable furniture items.
Allow shelter NPC to provide tips.
Morale craft speed penalty.
Fully random Play Now!
Added vitamin tracking and vitamin-related disorders.
Allow resuming light-canceled jobs.
Washboard Batch Washing.
New characters: Start with loaded/holstered guns and sheathed blades.
Removed restriction to blood draw kit so centrifuge can work with any container with blood.
Update washing machine to be able to use clean water.
Add the ability to soak rags and cotton balls on disinfectant.
Autoattack: Wait a turn if there is nothing in range.
Changed CBM install and uninstall to require an Autodoc or a NPC doctor.
Added control over amount of houses with basements, and basements can have individual weights.
Adds option to disable music and sound.
Underground temperatures relatively constant and independent from weather patterns.
Nearby hordes appear on minimap.
Moves social modifiers of mutations to JSON.
Rates of hunger, thirst, fatigue, and learning moved to JSON, healing mutations use relative values instead of absolute.
Added pet and livestock carriers so animals can ride in vehicles.
Adds shelf life to many foods, previously canned or vacuum packed food has shelf life when opened.
Include/Exclude filter for overmap search.
Carrion can now eat adjacent crops or food.
Allow place_monster to optionally place a randomized monster using a weighted list.
Adds firewood source that automatically adds fuel to fire when it is 2/3s consumed.
Make chickens and other small domestic birds tameable (Chickenfeed)
Vehicles: Open all doors.
Implement player faction base.
Artifact dreams.
Horde improvements: Better displays & zombie lurkers.
Schizophrenic Overhaul.
Option to spawn starting npc.
Field dressing corpses aka Butchery overhaul.
Smoking rack interactions expansion.
Freezer & freeze mechanics overhaul.
Add reminder effects for some medicine.
Added infrastructure for setting a farm plot zone and triggering actions across the entire zone.
Hot air and direct heat radiation from fires affect local temperature and can heat nearby area including interiors.
Add support for solid fuels like coal for vehicle engines.
Zone manager hides distant zones, shortcut for showing all zones.
New lua feature: Lua-coded monster attack.
Copy World Settings to a new world.
New MOD feature: Add graphical tiles.
Introduces 'Tip of the day' in main menu.
Save pooltype and remaining skill-, trait- and statpoints in character template.
Item infos for medication. (Quench, Fun, Stimulation, Portions, Addicting)
Added map memory.
Added a button to hide recipes in the crafting menu.
Adds loadable bike racks.
Allow hauling items along the ground.
Added auto foraging of bushes and trees.
Added autopickup rules based on material types.
Artifacts can consume Portals.
Update the fireman belt to allow attachments from fire axes, war hammers, and maces.
Adds stealth modifier as JSON-ized mutation property.
Npctalk: add support for NPC backstories.
Npctalk: NPC group commands to guard and follow.
NPCs can hear monsters and warn the player about them.
NPC: Warn the player about dangerous monsters.
Background traits - framework for dialogue update.
Adds expertise traits for NPCs.
Faction camp clearcutting mission.
Allow aiming anywhere. Mark practice target.
Vehicles: add multiple fuel support.
Add blind throwing.
Overhaul of map revealing items.
Allow peeking z levels.
Allow custom sprites for corpses.
Makes monster corpses the same weight and volume as defined in the json files.
Favorite ammo location for RELOAD_AND_SHOOT and RELOAD_ONE weapons.
Vehicles: increase effective speed in tiles per turn.
Adds a corpse to gibbed creatures.
Selfies can be made and stored on camera.
NPC photos show visible mutations.
Enable Loot Zones to bind to vehicle Cargo parts.
Add support for amphibious vehicles.
Adds Zone Activity to harvest plots.
Specific guns can be targetted in json gunmods.
Add a debug option to spawn map extras.
Adds a context menu when examining seed drill and advanced seed drill: reload them with seeds.
Adds a Morale boosting chitchat with friendly NPCs as an activity.
Update bone mending machine to use mend mechanics instead of magic stemcell treatment.
Add new pet menu option for survivor to play with certain tamed pets to increase morale.
Improve traction handling and add new wheel types.
Shout commands for NPC wake-up and relax.
Food recipe results' calories and vitamins now based on components.
Adds skinning butchery action.
Forests now partially block wind turbines output.
Enabled snowstorms - wet and glare effects for snow.
Made wind effects directional, including adding a lee side to structures.
Added gunmods that wear out over time or quickly.
Adds ranged attack mutations (using fake guns).

## Content:

Lots of improvised tools (stone hand tools, forge, cooking furniture, clay and pottery).
Extensive wilderness foraging.
Super secret underground facility.
Gunmod crafting recipes.
More zombies: Elite grenadiers, Runners, Ferals, Predators, Shady Zombies, Screecher Zombies.
Still more: many child zombie variants, Zombie Brutes, Water Biter, Scorched Children.
Yet more: Fungal Zombie Child, Gigantic Naked Mole Rats, Acid Ants, Zombie Burner.
Monster grab and pull attacks.
Ranch and Ranch-related missions.
Faction Camp and related infrastructure.
Large additions to Lab variety and consistency.
Vehicle based tools, street sweepers, tractors, plows, planters.
Farm vehicles and tool attachments.  Plow, reaper, seed drill.
Seasonal variation in foliage.
Expanded tree variety.
Allow city-less mapgen.
Many preserved food recipes.
Two new variants of the military bunker basement.
Items can have a side (left v right).
Add a larger generator part and portable generator vehicle.
More railroad terrain variants, made diagonal tracks subway railroads 7 tiles wide.
Implement surrounded start.
Professions: Hunters, Bandit, Bionic Survivalist, Parkour Practitioner, Burglar, Camper, Road Warrior, Boxer, Photojournalist, Tourist, Zookeeper.
New mapgen: The Red Dragon Teashop, Football Field.
Double the number of survivor's notes.
Add "calories" field to it_comest.
Terrain connections for groups other than WALL.
Hands free mechanics.
Update Evac Center.
Implements integral_volume for gun mods.
Veterinarian Clinic.
Implement disintegrating ammo linkages.
NPC trade update.
Creation of 5 new overmap special campsites.
3 new roadside rest stops.
Add magazine coloring, improve ammo/gun coloring.
Prison Break Scenario.
Funeral home.
Razorclaws and Shipwreck.
Add alternative triffid groves.
Add 2x2 cemetery.
Adds small Ponds.
Adds Apple Orchard to the game.
New characters: Start with loaded/holstered guns and sheathed blades.
Add ability to steal items from NPC.
Sugar House mapgen.
Add 'Reach Refugee Center' mission.
Add detergent and allow it to be used in washboard.
Dairy farm.
Micro Atomic Plant for Bright Nights mod.
Parks and recreation buildings.
Add butcher shop.
Mansion Upgrade Project.
Initial work on multi-story houses.
Make chainmail craftable from scratch.
Add bike shop.
Add MShockXotto+ tileset
Add descriptions to furniture objects.
Small town buildings.
Subway.
Added Cable Charger Bionic.
Mainlined vehicle rams from Blazemod.
Add ammo pouches for fast access to ammunition.
Hallucination monsters are now described in extended description.
New monster ability 'ABSORBS_SPLITS'.
Pallet lifter for fast battery swapping.
Add Speedloaders.
Remove Solar Panels CBM.
Software Lights on!
Added can sealer and related recipes for better food preservation.
Separated dashboard (electronics controls) from steering.
Acidic Ant Expansion - Acidic Chitin Item & Equipment.
Add engine blocks and engine deconstruction recipes.
Butchering yields for fungal towers and other structures.
New basement variant, with and without hidden Autodoc.
Disposable filters for filter, gas, PBA, and survivor masks, as well as filters for hazmat and ANBC suits.
Adds new narcosis effect that Characters cannot be prematurely woken from.
Replaces heavy sticks with long sticks in many recipes.
50% chance of partial lighting in labs.
Recipes to extract seeds from some fruits and vegetables.
Additional doctor's office variant, a private bionics clinic.
Raw hides can be turned into simple bags to transport remains of creatures.
Adds variability in decay of food created before cataclysm.
Add Trencher (Construction vehicle).
Vehicle mounted pet carriers.
Discordant Mi-go Memes.
Add Cosmic's Additional Locations to the game.
Root Cellar - food preserving option.
Cosmic's Golf Course.
More Dog Breeds - Now With Puppies Edition.
Add Whaley's Locations.
New mutation category: Mouse 🐁
Injectable mutagen finales, targetable purifier smart shots.
Overhauling tank drone.
Add refugee center start (costs 1 point).
Adds vehicle wreckages (of crashed helicopters) to helicopter crash-sites.
Adds ant-infested labs.
Adds the incandescent husk, an evolution of the shocker zombie that moves slowly and emits a lightning cloud
Removed CBM crafting.
Adds new location 'Mass Grave'.
Added extensive new lab-based scenarios, areas and monsters.
Added camping scenario and additional camp related start_locations.
Adds the Intravenous Needletip and Titanium Skeletal Bracing CBMs.
Adding new starting scenario at refugee center.
The Fish mutation tree now has unique, post-threshold mutations.
Labs can have funagloid portals, lab escape allows crowbar.
Many options for using miscellaneous items as improvised tools.
Perception stat now determines overmap visibility, and the Topographagnosia trait is now available.
Added railroad station overmap special.
Re-implements old start location options to the Challenge-Lab scenario.
Implementation to support use of JSON snippets for procedural music descriptions.
Adds LivePeople Tileset.
Add forest trails.
Add new pond map extra.
Added railroad overmap terrains.
Add new offal recipes in the game using the new offal types.
Adds sourdough bread and sourdough starter.
Add trail guide item.
Adds a way to craft anesthetic kits in the game.
Explosion of NPC dialogue.
NPC Dialogue: role-specific survivor stories.
Adds formaldehyde and methanol as precursors for hexamine, and recipes to make them.
Adds shanty-town walls comprised of bolted-together junk.
Adds extra recipe for nitric acid, which requires a pressure cooker and a platinum grille as a catalyst.
Adds lab nanofabricator finale, letting players create high tech items.'
Update RetroDaysTileset to include RetroDaysJar, AdamRetroDays, long grass
Mainline NPC traits mod.
Added outbuildings to default farm.
Regularize city grid and allow large in-city specials.
Adds area_name into info box when looking_around.
Adds gunmods that add slots for more gunmods.
Adds four new NPC backstories available to all NPCs.
Added Electroreceptors as a starting mutation to the Challenge-Lab scenario.
Adds medicine to help nausea.
Added new Martial Art: Sōjutsu.
Upgrades the outer walls of the refugee center and fills the waiting area with beggars.
Allow multiple inputs for rifle portion of rifle turret.
Adds new vehicle part : a wind turbine.
Adds Free Merchant currency.
Adds methanol and ether as a possible Molotov components.
Add "classic literature" and "collector's edition" books, move choice book spawns to library, and adjust library/mansion book spawns overall.
Adds the possibility to find an evil moose in the kitten finding game.
Adds new furniture flag that restricts vision when in the furniture.

## Interface:

Bionics menu tabbed for better visibility.
Streamlined reload menu.
Bundled a square font.
Separate zombies better by color.
Many menus are resizeable.
"Isometric" tileset mode.
Search feature added to many menus.
Lots of dialogs allow use or consumption of items from immediate surroundings as well as inventory.
Enhancements to AIM.
Improved explosion animation.
Ambient sound effects.
Added vehicle direction indicator in tiles mode.
Prevented spam about player being tired.
Removed inability for vehicles to drive over fungal beds.
Fixed a number of issues around monster spawning: Wraith, ants spawning in sight of player, animals spawning underground.
Enhanced medical menu.
Recolored trees and bushes to be more recognizable.
Added travel-to command.
Hide options if they aren't present in the build.
Tile scaling in tiles mode.
Cancel out of crafting menu during component selection.
Move times displayed adjusted to be cumulative instead of "most recent cost".
Added pixel minimap in SDL builds.
Highlight useful information in item info text.
Split mod exclusion category into item and monster exclusion.
Added handling for home and end key.
Added dynamic loading of crafting gui categories.
Sort by name in inventory instead of id.
Add quit action to new character window.
Extend blackspace window to cover minimap instead of using map legend window.
Allow canceling crafting from component/tool selection menus.
Updated MShock Modded Tileset.
Scrollable item info text in crafting menu.
Added Y/N query to attacking friendly NPCs.
Remove pageUp/pageDown key bindings for next and previous tab.
Display item name in crafting component selection menu.
Hint when reloading would be possible if item not full to capacity.
Random alternate sprite graphics.
Option to disable item info highlighting. Color changes for readability.
Enable music shuffling.
Escapable menus.
Translatable velocity units.
New Isometric tileset, new 16x16 tileset.
Combine limbs on info and layering screens.
Define duplicate sprites for multiple tile ids.
Random sprites for player and NPCs.
Adds caching to the pixel minimap, enemy indicators flash red, apply low light filters.
Don't rotate movement action in isometric when automoving.
Isometric controls in advanced inventory.
Isometric scrolling combat text.
Allow sprites to offset later sprites drawn on the same tile.
Larger/smaller and offset tile sprites.
Only draw tiles inside viewrange.
Pixeldoubling for tilesets.
Clear the minimap texture pool before SDL quits to prevent errors on game quit.
Fix display of Vehicle Indicator in tiles.
Targeting window improvements.
Add a draw refresh before asking direction on bionics: EMP, fingerpick, and mini-flamethrower.
Copy z coordinate to the light ray endpoint. (Fixes vehicle headlights underground.)
Fix border between terrain and status window covering part of the status window.
Display more information for magazines.
Use original message color in message history.
Implement viewing tiles on the floor below the current one when an open floor is shown for SDL tiles.
Make player-built walls look like walls in ASCII.
Fix seeing inside crates/rubble/etc.
Display remaining ammo for ammo containers.
Change display of stack sizes.
Escapable menu for examining NPCs.
Highlight magazine and ammo.
Vision and targeting changes, 3D-ification.
Display moves when disposing of items.
Escapable menu for sorting items in advanced inventory.
Prevent window minimize on fullscreen borderless when focus lost.
Rearrange main rendering method to place curses cursor on @ at the end.
Add a cache refresh before drawing pixel minimap.
Add option to select which video display is used.
Add option to limit lifetime of sidebar messages.
Fix disappearing monster info.
In overmap, move cursor to the selected (center) square.
Redraw entire line of printed messages for screen readers.
Tileset feature: Mutation overlay ordering that can be configured in JSON.
Colorize message logs.
Unify tile descriptions in lookview and liveview (mouse view) modes.
Highlight only occupied bodypart.
Create nonexistent input contexts when adding keybindings.
Improve Morale dialog.
Redraw borders of Options menu after showing of Keybinding help.
Add local directional keybindings for pickup menu.
Allow light levels of visible tiles to be known from a distance.
Refresh AIM screen properly after escaping of SORT menu.
Don't initially change the view offset when firing.
Display JACK/LIFT amounts in real-world units.
Implementation of UI for Bionics Slots System.
Show estimated disassembly time.
Improvements of the blood test window.
Clearer message when butchering on sealed terrain.
Rework inventory columns.
Window with bars will be frame with bars after hitting.
Add search function to all commands list.
Accurate, consistent 'slow movement' messages.
Mark some fields as dangerous; prompt for rough/sharp terrain.
Auto-select first removable part, if possible.
Vehicle turret reloading.
NPC pickup whitelist, allow vehicle access.
Improve vehicle interaction display.
Add more info to item displays.
CBM install failure mention which CBMs are lost.
Mark the shortest route to a refugee center on map.
Reworked settings menus. Ingame main menu.
Show available, not only memorized recipes in crafting gui.
In pickup UI, show identical items as stacks.
Context-dependent skills and more descriptive unmet requirements.
Vehicle part installation filter.
Vehicle tanks as refill targets.
Display engines (and faults) in vehicle overview.
Support selecting turret ammo.
Specify volumetric units via JSON.
Include disassembly time in the confirm message.
Option to skip frames when stunned.
User configurable volume units.
Fix recipe search to prevent exclusion of plural items.
Option to sort items by staleness, first ones to rot on top.
Make the crafting UI difficulty match what is used when crafting.
Make the repair time shown in the vehicle UI match the actual time taken.
Add a simple draw benchmark in the debug menu.
Adaptive (windowed or fullscreen) inventory menus.
Adds effect overlays.
Interactive inventory letter assignment.
Display 'item (charges)' for stackable items in crafting menu.
Approximate durations.
Allow scrolling in menus via mouse wheel.
Extends Close Quarters Battle CBM description.
Remove long-obsolete static spawn option, static is now the only option.
"Look at" with long descriptions (of critters, furniture etc.).
Harvestable plant description.
Sheath and holster contained volume description.
Add basic note support to constructions.
Add AUTO_PICKUP_SMALL_ITEMS option.
Enable customizing the 16 ANSI color slots.
Record NPC kills in kill count.
Add option to toggle framebuffer acceleration when using software rendering.
Talk to NPCs from the menu for examining them.
Added ability to save and restore default layout for advanced inventory.
In the crafting GUI, show which books provide this recipe.
Added point pool restriction option in world generation settings.
Added monster info in extended description.
Display actual nutrition acquired, rework rotten food penalties.
Vehicle UI: Highlight parts for removal in overview.
Color NPC/Player background cyan when grabbed.
Update default font values to prevent tiny overmap font usage on new game installations.
Add loading UI.
Extended techniques info.
Highlight searched components in crafting window.
Visual aid for broken limbs.
Added filter option to all inventory_ui menus.
Display component supply when crafting.
Convert braziers from traps to furniture.
Added sorting and categories to list monsters.
Disable scenarios that require a city start when city_size is 0.
Prompt when creating a character with the same name in a world.
Accessibility: Textual Vehicle Direction Indicator.
Rope, wire and barbed wire fences are now built and removed through the construction menu.
Horizontal emoticon style interface option.
Option for zones with no auto pickup to suppress seen items spam.
Add description to mountable locations.
NPCs will complain every 5 minutes if they're bleeding.
Allow diagonal movement via keybinding modifiers in SDL builds.
Show time to complete as if there's bright lighting if it's too dark to craft.
Show crafting bonus in 'New Character Creation' menu.
Make items with a player-assigned inventory letter always come first in inventory.
Support searching for memorized/unmemorized recipes.
Inform player if they are capable of learning a recipe from disassembly.
Support for resizeable windows with adaptive UI.
Provides more information about the relative age and spoil progress of foods.
Adds extended descriptions, sorts and colors descriptions.
Add sub-menu for controlling multiple vehicle electronics.
Display vehicle part descriptions.
CBMs for NPCs: add BIONICs tab to player info window.
Martial arts techniques description.
Show activation and deactivation cost for all bionics that have them.
Ask to ignore repeating distractions when performing an activity.
Added filtering by skill to Read menu.
Add scrolling the overview pane in the vehicle interaction window.
Reduce clutter of [B]utcher UI by stacking identical salvage/disassemble targets.
Adds (mushy) suffix to mushy food and highlights impact on joy in 'Eat' menu.
Added feedback for contained fire's expected time left, before it goes out.
Limb selection menu shows if limb is already bandaged or disinfected.
NPC follower warns on sleeping and sleep when you do.
Players can now save before sleeping and set an alarm at the same time.
"New Note" UI has been upgraded with colors and a live preview.
Migrate menu handling to uilist interface.
Added looks_like for targeted tile fallback.
Adds quality filtering to item search.
Android on-screen keyboard now automatically appears for menu filters, advanced inventory filter, inventory filter, and creating map notes.
Message window overhaul: filtering, page scrolling, and better interface.
Show related craftable items for current recipe by hotkey.
Adds descriptions for zone types.
Worn clothing placed into a sane layer by default.
Scrollable MOTD and Credits.
Allow viewing long mod descriptions.
Amount of mods of an item is now displayed as an integer following its name.
Android quick shortcut dimensions now account for screen density, defaulting to a sensible size on all devices.
Many options for selecting units to display.
Npctalk: create a big dialogue window.
Even when only capital inputs are allowed, using lowercase inputs should still set the dialog cursor.
Enhanced limb menu (body window) and textified healing related effects.
B menu show butcher, disassemble and salvage times.
Adds favorite recipes and recently crafted tabs to crafting menu.
Clarify crafting skills requirements text.
Gray out redundant tool quality requirements.
Show what will result from vehicle part removal.
Clearer crafting search help window.
Adds 'toggle fast scroll' option to overmap UI.
Adaptively stack perishables based on remaining time before rot.
Use more meaningful vehicle part names in messages.
Highlight 'on' toggle-able parts in vehicle use menus.
Highlight selected martial arts style in menu.
Crafting searches for primary skill and result description.
Tag clothes that do not fit, rather than clothes that do.
Prevent seeing light through walls.
Make walls sensibly visible at night.
Have vehicles become dark inside when that makes sense.
Allow toggling display of forest trails on the overmap.
Added 'center' action for look around mode.
Vehicle: display engine power and electrical drain/production.
Bandage/Disinfectant display/compare/apply improvements.
Allow hiding of recipe categories from crafting menu.
Player: don't create the reload prompt if there's only one option.
Better scrolling through requirements list in crafting GUI.
Improve info for worn items which cover nothing.
Show how much water and cleanser will be required on washing UI.
Basecamp: store food supply in calories.
Missions: display name of NPC that gave the mission.
Automatically choose infinite sources for crafting when available.
Play Now! loads a world with 0 character if available.
Crafting-gui - colorize book enumeration.
Veh_interact.cpp - colorize cargo volume.
Sounds: add descriptions to player shouts.
Allow installed bionics to be displayed in tiles mode.
Allow separate tiles for activated mutations/bionics.
Bionic power - equalize names and colorize values.
Don't reveal wall connections the player should not know about.
Automatically calculate monster difficulty.
Player display: add support for hidden traits.
Player character will open closed fence gates when walking, will vault over the fence gate when running.
Allow multiple filters for crafting recipes in crafting menu.
Status includes approximate times for NPC needs.
Crafting GUI Filter saves history; possibility to move trough history with arrow keys.
Changes text color to match map note color.
Bind '?' to open keybindings window by default.
Display scenario description after game start.
Alternative night vision intensity.
Added scaling option to resize screen elements in SDL mode for use on large screens.

## Mods:

Added Tanks Mod.
ChestHole tileset covering all entities.
Added double monster HP mod.
Mods dynamically enabled/disabled if they require lua and lua is present/absent.
Basic lua console.
Allow mods to override specific properties of monster types.
Added More Locations mod.
Removes redundant controls from inflatable boat.
Allow mods to change martial art styles / techniques / buffs.
Updated StatsFromSkills to use set_value & get_value for base stats.
Allow mods to modify professions.
Allow mods to modify scenarios.
Allow mods to modify starting location data.
Added Crazy cataclysm mod for all your immersion-breaking needs.
Add No_Zombie_Animals blacklist mod.
Add No_Diamond_Weapons blacklist.
Move health messages (on wakeup) to json.
Recreates DeoxyMod's Foldable Mod.
Move filthy morale penalty to a mod.
Add no npc food mod.
Add more makeshift items mod.
Add More Classes and Scenarios mod.
Craftable Gun Pack mod revamp.
More snippet/flier entries for mods.
Support total conversion mods.
Remove Arcana and PK_rebalancing mods since they are maintained in separate repositories now.
Add huge vehicles mod.
Expanded Realistic Guns: bandolier update.
Magazines for Icecoon's Arsenal.
Medieval Mod changes to viking and samurai.
Medieval Mod: Starting with sheathed weapons.
Added "BrightNights" - the sci-fi mod.
Standardizes bronze recipes in Medieval mod.
Fixes some unlearnable recipes in More Survival Tools.
Makeshift mod and bayonet update.
Battery compartment mod update.
National Guard Camp, a large and very dangerous military complex.
Brings DinoMod back online.
Atomic vehicles for Bright nights mod.
Added Urban Development Mod.
Extended Buildings mod.
Fix hp loss in StatsThroughSkills.
Add Bionic Systems Mod.
Added alternate map key mod.
Moved light and heavy snare kits to More Survival Tools mod.
Add "Mutant NPCs" mod.
Mundane Zombies Mod Revival.
Manual CBM installation moved to Bright Nights mod.
Allow adding contents to existing monster groups in JSON.
Safe Autodoc mod, a dependency of Bright Nights.
Makes Crazy Cataclysm a little crazier.
Nested mapgen structures.
Added Fuji's Struct mod.
Salvaged Robots mod.
Partially moved Folding Parts Mod to base game.
Convert Bright Nights region_settings to region_overlay.
Added anthill, bee, and large zombie exclusion mods.
MSX Dead People tileset update and make it default.
Adds new mod Growable pots.
Mainlined Tall Buildings mod.
Add urban development buildings to city spawns.
Salvaged Robots: More robot themed professions.
Creates clairvoyance spells in magiclysm
Adds the ability to pick letters in the spellcasting menu
Magicylsm: NPCs can now teach spells
Added hit_you_effect and hit_me_effect fields to enchantments

## Balance:

Unify crafting and construction xp gain.
Removed flaming eye annihilation beam.
Overhauled encumbrance system for finer degrees of encumbrance.
Tuned up wilderness crafting a great deal.
Removed inventory overcapacity penalty, items are dropped instead.
Ensured that skills can be bootstrapped with practice.
Zombie stumbling is more pervasive and random.
Necromancer revive cooldown adjusted based on target toughness.
Adjusted frequency of sickness.
Variable draw costs for dedicated inventory containers (holsters).
Last amigara horror to die always drops an artifact.
Adjust the way monster upgrade times are calculated.
Replace no pickup feature with move penalty.
Added encumbrance to weapons worn with shoulder straps.
Added batch crafting times to various comestibles.
Made DEX prevent cuts from broken glass more often.
Make farming yield multiples of default charge of a plant item on gather.
Reduce XM-P plasma blast size.
City spacing option.
WBLOCK_2 usage changes.
Correct nutrition_for thresholds.
Change handling of recoil penalty.
Remove completely unrealistic energy weapon recipes.
Standardize ammo disassembly.
Rationalize ranged skill training.
Item handling is slower with increasing hand encumbrance.
Add minimum move cost when handling items.
Implements barrel_length variable in ranged.json.
Remove requirement for a vehicle tracking device.
Overburden rebalance.
Basic unit tests for reloading.
Rebalance item handling costs.
Bring bite inline with melee attack logic.
Allow gunmods to consume less (or no) volume when installed.
Nerf "magical" battery storage options.
Only consume_charges() for tools and comestibles.
Acid update - rebalance fields, acid zeds, add backgrounds for acid tiles.
Allow monsters to hit-and-run and poison other monsters.
Metabolism: hunger rate and body temperature.
Ally zombies and robots with arthropods.
Guns in gunstores spawn with magazines.
Buff corpse smashing, nerf butchery.
Overhaul Radiation balance, it's now much more chronic in nature.
Set default for addiction_type in comestibles.
Reduce recoil penalty during burst fire.
Overhauled Adrenaline effect.  Replaced speed and stat boost with temporary pain immunity.
Add inaccuracy penalty whilst driving.
Make rain drenching slower, harder to completely avoid.
Improve garage doors behavior.
Overhaul distillation and use of alcohols by widening the gap between drinkable and refined alcohol.
Expunge vermin.
Make crafting of brewed/fermented items more realistic and involved.
Turn toolbox into a truly versatile tool.
Ignore checks for zombies to pulp if the NPC is boarded.
Fungal Zombies can see.
Rebalance fear_paralaze to prevent infinite moves drain.
Fix hallucination not kicking in if duration is too high.
Redesign bionics lab room to fix computer successful hack.
Limit turret to its actual range.
Make missed ranged attacks miss more realistically.
Adds lifting capacity to Cantilevers description.
Add "makeshift_kevlar" to recipes that include the Kevlar vests.
Bleeding also causes anemia.
Change chisel requirement to CHISEL quality requirement.
Remove memorization of recipes from reading books.
Nerf Sensory Dulling.
More realistic diesel recipe.
Evened out addiction withdrawal but made it longer.
Rework firestarter and extended firestarter.
Fix 145 items spawning in a house
Standardize handloading recipes.
Derive vehicle part hp from base item.
Adjust multi-pool defaults.
Fungus and aberration monsters now also drop filthy clothes.
Adds few missing cancels mutations.
Updated the plant mutations to give some encumbrance that makes sense.
Allow Steel Jerrycans to be used as vehicle tanks.
Forklift gets lifting and jack capabilities. Half of the boom crane.
Medium storage battery 700 -> 7000
Allow camera(_pro) for security camera crafting.
Grant Medium-sized robots avoid_trap 1.
Make clearing rubble an activity.
Telescopic Eyes prevents visual impairment from traits.
Make meditating an activity.
Make NPCs escape onto tiles with weaker fields.
Nerfed rate at which penalties from pain accumulate.
Added "MOUNTABLE", to small and medium boulders.
Smoked/salted meat changes, offal preservation.
Add pathfinding for selected monsters.
Rebalance blackpowder loads, expand recipe options.
Correct the spread of missed ranged attacks.
Added PARTIAL_DEAF to powered armor.
Add night vision from perception, fix flashlight exploit.
Cap JACK requirements increased to 8000kg in constants.h.
Buff regen mutations, nerf regen due to health stat.
Add recoil for being hit, makes melee more dangerous for ranged characters.
Swappable storage battery installed/removed to/from vehicle with no skill, in little time.
Decrease the number of military bunkers.
Melee damage while wearing filthy clothing may result in infection.
Make Vending Machines harder to break into.
Add power armor helmets to match existing spawns of power armor.
Heal broken limbs gradually, not all at once.
Increase to horde interest with sound source.
Time needed to wash an item now depends on its volume.
Make target size affect ranged accuracy.
Forbid evac center mission route from having non-road tiles.
Remove construction skill.
Craft one round at a time for handloaded ammunition.
Give zapback zombies weak electric melee.
Remove requirement for large power reserve just to turn on a part.
Bash shouldn't give better items than deconstruct now.
Stops roadblocks from spawning live zeds.
Remove gasoline and diesel from explosive recipes.
Restore sum of errors based dispersion.
Newly recruited NPC engage close enemies only.
Nerf to tree yield.
Disallow batteries with a weight over 20000 from tool battery mod.
Reduce noise from other z-levels.
Make metabolic mutations more interesting.
"No one is immune to fire"
Fix some tools recipes to match output item volume.
Add some variability to vehicle battery levels & tire destruction.
Chopping trees rework.
Drilling long action.
Replace chop logs construction with long action.
Glazing and waterproofing requirements.
Added rebar cage spawns to basic concrete wall and removed rebar drops.
Changed formula for character strength required to install something in a vehicle.
Don't retarget after killing selected target in a burst.
NPCs capable of getting away from live/armed explosives.
Remove mutation side effect from unsuccessful bionics installation.
Allow giving ranged weapons non-piercing damage, modify corrosive zed.
Add new "CLIMB_SIMPLE" flag.
Kill 100 Zombies quest now require killing 100 monsters from a ZOMBIE species, and not only ordinary mon_zombie.
Ranged weapon rebalance.
Applied new FRAGILE_MELEE flag to a number of improvised weapons.
Zombies cannot bite without grabbing.
Skeleton armor increased by 50%, skeletons slower and harder to shoot. Adds Skeletal Juggernaut.
Replace instant healing with slow healing effects.
More Complete and Rebalanced Vitamins.
Antibiotic overhaul - slow-acting antibiotics, and adds Atreyupan, a weak antibiotic.
Changes some Autodoc messages and makes it usable without anesthesia by Deadened mutants or Sensory Dulling cyborgs.
Balance rusting of iron items (essentially eliminate it unless the item is left soaking in water for a long time).
Overhaul fragmentation explosives to project a deadly field of fragments instead of a few random ones.
Make ice labs ~10% of all labs, not 50%. Ensure 1+ lab per overmap.
Make portals unavoidably teleport you.
Removed ability of losing existing CBMs due installation fails.
Vary horde speed based on monsters in horde.
Obsolete impossible gunmods.
Create LOUDMOVES flag, add to secubots.
Lumber no longer made from / substitute for long stick.
Fix OP throwing.
Perception stat now determines overmap visibility, and the Topographagnosia trait is now available.
Added FILTHY tag, monsters with the tag now drop dirty clothing.
Portable sleeping bags.
Removes the vac_sealer requirement from sealed glass jar recipes, adds canning pot, updates recipes.
Allow crafting a fur rollmat with tanned pelts.
Wearing clothing out of natural layer order now imposes additional encumbrance.
Added deconstruct recipe for vehicle controls, reduced component requirements for crafting controls.
Adjusted weights of mammals from the category defaults to averages of real values.
Let one screwdriver recipes produce screwdriver set.
Flowers won't collide with vehicles no more.
Increase HP of paper-thin palisades.
Many animals such as coyotes and dogs are now less aggressive across the board.
Allow fishing in fishable non-river locations.
Nerf pneumatic gun reload times.
Modifies calorie amounts for flesh/fish and Fat products, including butchery products.
Rework vehicle safe and max velocities based on physics.
Adding more requirements to screwdriver set recipe.
Causes corpse damage level to negatively affect butchery yields.
Adjust PRY ability levels.
MBR vests weight and recipe fixes.
Reset aim of bows between shots.
Refine forest trailhead placement.
Adjust clay distribution in forests and on river banks.
Rebalance comestibles' calories, vitamins, weight, and volume.
Made vitamin deficiencies slower to accumulate.
Rebalances recipes to be closer in calorie count for input and output.
Increases duration of most morale effects
Rapid metabolism made purifiable.
Joint Torsion increases stamina usage when moving.

## Bugfixes:

Fix inability to repair modified clothing.
Fix charge consumption when invoking tools.
Fix grenades not exploding.
Cleanup drivability rules for vehicles.
Prevent application of traps to players in vehicles.
Menu crash fixes.
Fix crash when player moves while remotely controlling a vehicle
Fix gasoline in automated gas station mapgen
Force HOT/COLD/WET items to be active on save load
Make reinforced glass interact with projectiles.
Prevent display of messages the player shouldn't know about.
Prevent windows from thinking the game has hung.
Prevent turrets from damaging source vehicle.
Don't drop skeleton meat.
Don't automatically shoot neutral creatures with autofire.
Fixup behavior of frightened monsters.
Optimized fire spread.
Fixed disarm technique.
Crash fixes for item handling.
Stumbling monsters no longer move at different effective speeds based on direction of movement.
Numerous bugfixes in NPC AI.
Fixed some interactions between various inventories when they are present in the same tile.
Made blacklisting operate more consistently.
Rebalanced vehicle collisions.
Fixed crash when target dies between successive automatic attacks.
Fixed deafening noise from collapsing buildings.
Apply stamina penalty for attacking more consistently.
Headgear now can actually be worn with power armor.
Don't wake up on dry retching.
Fix incorrectly calculated melee movecost.
Fixed zombies stumbling in biased directions.
Fix for flickering in SDL version.
Allow dodging during long actions.
Fix failing legacy save loading unit test.
Fix electricity and acid ripping up clothing.
Fix a funny bug: going to sleep while playing an instrument results in "Something is making noise".
Fix shrapnel crash.
Hack in roofs above buildings.
Fix all projectiles causing explosions.
Add back cache update to fix pixel minimap render issue.
Make backtrace() handling saner; fixes BSD, probably others.
Make exploding ammo explode on hit.
Integrated scope fix for scout rifle.
Restrict usage of computers for blind character.
Fix NPCs talking to deaf player.
Fix line slopes and adjust projectile attacks.
Remove morale penalty after washing if filthy item was worn whilst washing it.
Fix items from previous saves not having any charges even when counted by charges.
Ask only once per dangerous tile to enter.
Fix safe mode trigger distance.
Fix an active item processing crash.
Never give new characters unusable food or clothing (part 1).
Dirty transparency cache when removing opaque parts from vehicles.
Remove grab when target is destroyed.
Stash linkages in the gun like we do casings.
Prevent projectiles generated by Electromagnetic Unit CBM from hitting the player.
Rad-immune player is now protected from zombie scientist's radiation beam.
Vehicles shouldn't collide with hallucinations.
Avoid city only scenarios in random character generation when city size is 0.
Hallucinations don't reset limb healing.
Fix saving character templates.
Fix for schizophrenic NPCs effecting players.
Stop NPCs from leaving the vehicle due to smoke while in vehicle.
Remove CARGO items from destroyed vehicle parts.
Test and fix zapback.
Prevents character from waking up from lack of fatigue or noise while under the effect of narcosis.
Fix placement of overmap specials with city size 0.
Limit consoles and cardreaders to only affect within their overmap tile.
Fix connections in ant tunnels.
Fixed stuck movement after holding numpad keys in SDL version.
Fix crash when NPC tries to take off and drop items where he can't when asked to wear something.
Fix display of isolated linear tiles.
Fix for excessive overheating from fire sources.
Fix creatures being able to see you through cameras and mirrors.
Remove explosion effect from small arms ammo put into fire.
Fix crash/weird behavior when handling items while over-encumbered/
Fixes the autoattack range for HAS_REACH weapons when the gameworld is circular.
Fix drinking from 'aluminum can' segfault.
Fix crash with no audio device.
Fixes creatures not setting off traps or falling z-levels after being flung.
Fix crash when resizing window during character creation.
Fix overmap special exhaustion when placing mandatory specials.
Prevents players from inheriting each other's deafness.
Fix for melee sound related crashes.
Disable recharging vehicle batteries from handheld batteries.
fix for crash to desktop when player tries to remove charcoal or food from smoking rack
Fix throwing stacks of items.
Fix wrong tripoint usage for temperature calculations.
Make trying to sleep into an activity.
Fix items going spoiled while crafting.
Sort out of spilled liquid infinite loop fix.
The internal furnace can only consume itens up to a maximum mass and volume.
Fix vehicle part install CTD.
Recalculate morale after washing filthy worn items.
Avoid invlet clashes on worn items.
Prefer dropping items into vehicle cargo spaces where available in more situations.
Fix traps ignoring monster armor.
Vehicles: make the vehicle split code more robust and stop game crashes.
Use maps on all zlevels so they actually reveal things.
Fix crash when talking to ranch foreman about prospectus; Fix agricultural investment option not functioning.
Consistent fireproof / firey monsters immunity to fire-related fields.
Type cast for prevention of integer overflow with large volume containers like cargo containers.
Bionics: connect cable charger systems to vehicles.
Unloading plutonium from vehicles now gives the correct amount.
NPC missions: clear the mission during the failure talk topic.
Fixed crash related to unbound direction action.
Reduce quarter-corpse butchering times to 1/4th of full corpse.
Set max for item stack charges, container volume and cargo volume.
Prevent heat induced vomiting until dead.
Folding vehicles: improve collision test when unfolding.
Fix item category names not updated when switching the language.
Fixed lightmap-related crashes in MinGW 64-bit executables.
Npc: NPCs on guard duty in a vehicle stay in the vehicle.
Fixes isometric tile rendering.
Npc: friendly NPCs only warn about hostile monsters.
Fix bomb fragment placement with z-levels on.
Fixes safemode custom rules when creating a new character.
Melee: make sure aoe techniques don't access an array out of bounds.
Fix aiming if target moves out of LOS.
Improve terrain bashing with experimental z-levels.
Allow turrets to shoot "over" the vehicle they are mounted on.
Vehicles: show active, fueled engines or battery in sidebar fuel indicator.
Hack around android joystick shifting bug.
Restore NPC ability to target player.
Deep bites now actually progress over time.
Fixes errors in graphical builds without sound enabled.
assure_dir_exist now creates parent directories recursively.
Skip dodge and block techniques when looking for a normal technique.
Fixed zombie necromancer was able to revive zombies pulped by a very hard hit.
Fix aiming anywhere after player has moved.
Applies radiation mitigation to all sources.
Adds minireactor to electrical power calculation.
Fixes gunmods that add non-auxiliary gun modes.
Fix NPC weapon wielding turn cost.
Fix monsters' special attack description not translated.
Fix aiming via mouse click.
Skinning animals smaller than Great Pyrenees now possible.
Vehicles: don't let drag stop vehicles in active cruise control.
No map extras in refugee center (for now).
Greater search range for refugee camp bandit missions.
Allows vehicles with a seed-drill to plant seeds
Fixed time cost for auto-mining.
Fix crash related to null pointer in creature tracker.
Make fire extinguishers work again.
Fix ASCII fallback for corpses.
vehicles: improve split logic.
Game: adjust vehicle driving offset based on the new speeds.
Unloading ammunition belt can be interrupted.
Fix HP not being recalculated during chargen.
Restore ability to use recipes from eink tablet.
Made Mycus Fireproofing and Mycogenesis consistent, and they will no longer prevent your clothes from burning.
Correct several uses of distance metrics.
basecamp: retrieve companions sent to do expansion crafting.
Fix wall connectedness on tiles builds with tiles disabled.
Vehicles: only sink vehicles in deep water.
Prevent NPC duplications when climbing stairs and colliding with a monster.
Prevent zone activities from working across z-levels.
Fix lighting of exterior walls by player-held light sources at night.
Move control laptop time investment to be before hacking attempt.
Respect `looks_like` for memorized tiles.
Disallow pseudo items in crafting component selection.
Fix calculation of chance to persuade NPCs to train.
Npc: fix NPC followers not closing doors.
Serialize recipe charges.
Fixed NPC dialog around lying and succeeding at missions.
More mall background tiles will match floor.
Stop people from randomly mutating new hair styles.
Silence error message when monster AI traverses an off-map vehicle.
Fix handling of NPC passenger removal.
Fix check for available wheels when changing tires.
Disallow washing in the dark.

## Performance:

Optimized mapgen when generating homogeneous tiles (empty air or all rock).
Shadowcasting optimizations for ~10% performance speedup.
Fix memory leaks in cata_tiles.
Switch from rand() to a simple mix/hash function for random tiles, also more speedup.
JSON optimization: removed many default values.
Remove effective no-op in player::fire_gun.
Cache morale level and speed up its computation.
Update reload times.
Cache some of the pathfinding data.
Draw border enhancement.
Hugely speed up crafting GUI.
Fix the inventory UI slowdown.
Allow SDL redraws during sleep or when FORCE_REDRAW triggers.
Spam fewer popups while saving submaps.
Improve performance of damage calculation.
Defer autopickup item lookups until first use.
Cache item types for inventory; huge crafting GUI speedup.
Speed up vehicle::is_broken, use it a bit less.
Speed up some slow sections of monster code.
Optimize saved monstergroups to decrease save size.
Faster drawing of empty spaces in tiles build.
Skip drawing spaces in winconsole builds.
Performance improvement for mega vehicles with many turrets.
Faster inventory menus.
Fix weather data performance impact.
Implement deferred color loading.
Losslessly compress all tiles.
Don't store translated material attributes.
Streamline effect processing on addition.
Speed up cache generation in z-level mode.
Fix decreased performance of software rendering.
Remove defensive redraw, add wrefresh where needed.
Cache values in season_of_year and reuse on same turn.
Remove unneeded SDL_RenderSetLogicalSize.
Use map::points_in_radius instead of manual iterating.
Reduce Submap constant memory requirements of Cosmetic strings.
Reduce memory consumption for soundpacks.
Fix lag due to copying player objects.
Encode mapbuffer terrain data using RLE scheme for smaller save files.
Faster item layer computation.
Improve performance of encumbrance calculations.
Lazily load sound effects as they are encountered instead of at application startup unless explicitly preloaded.
Faster color name lookup.
Remove recursive call from open_or_close().
Performance boost for SDL drawing using color modulated textures.
Improve sorting large numbers of items into zones.
Optimize inbounds check and reactor lookup.
Large optimizations to dynamic lighting via a fast exp approximation.

## Infrastructure:

Allow multifunctions containing both iuse_actor and cpp iuse_method.
Overhauled mapgen to allow more flexible specification of map features.
Better help menu for command line invocation.
Moved mutation definitions to json.
3D map infrastructure.
Move NPC dialog to json.
Use lightmap consistently in both curses and tiles.
More flexible menu filtering system.
Moved special tool items to json.
Moved vehicle spawns to json.
Methods to transform buildings after generation, i.e. to make them looted or barricaded.
Cleanup and extension of sound system.
Unified bullet disassembly handling.
Overmap saves moved to json.
Removed a lot of redundant default json entries.
Allowed arbitrary items to have artifact properties.
Migrated worldoptions, autopickup to json.
Add separate flag for electronic systems control.
Added zombie movement unit tests.
Put the crafting gui code into it's own module.
Add method to check if item can holster another.
Apartment Tower JSONification.
Add soundpack support.
Added example jq scripts for JSON parsing.
Wrap up _("translated weight units") to the dedicated function.
Re-seed RNG after choosing tiles.
8-way rotation of some ascii line drawing characters for vehicles.
Automatically rotate movement in isometric mode.
Fix weighted list RNG on platforms with a different RAND_MAX value.
Add function for temperature conversion (from F to C).
Use wchar_t for all potentially-wide-character handling.
New road mapgen to replace mapgen_road_*()
Jsonized monster attacks.
Factor out drawing primitive algorithms to a separate module.
Remove hardcoded moves cost when unloading from containers.
Weather Reader reworked.
Adds Prying quality, adds helper functions for quality checks.
Better NPC complaints.
Implements magazine wells.
Customizable bite attacks.
Add inheritance, strict and bounds-checking to MONSTER.
Allergy flags instead of allergy materials.
Move turret monattacks to a json actor.
Vehicle weight cached, more realistic.
Implement Lua wrapper to store and use either value or reference objects in Lua.
Create Blank Building Template.txt
Comestibles support inheritance.
Add lifting and jacking requirements to vehicle modification.
Extend 'generic_factory' + aliases + use the factory to manage terrain objects.
Add compiler LTO support.
Use center_print() function in appropriate places.
Use trim_and_print() instead of locally introduced function trim_to().
Display NPC needs in debug menu for AI development.
Implement string id for tool qualities.
Support inheritance for vehicle parts.
Augment and use map::water_from() to handle crafting requirements.
Move the scent map into a dedicated class.
Convert manual memory management to automatic using unique_ptr.
Make NPC class id a string_id.
Convert lab_notes and hints to use the snippet system.
Item burning code rewrite, exploding magazines.
Jsonize NPC class stat bonuses.
Spot checker for FoV scenarios.
JSONize NPC talk tags.
Wrap file reading into utility functions.
Units wrapper class for volume.
Specify vehicle part repair requirements in JSON.
Adding a call to add per-minute LUA callback.
Move mission dialogue to json.
Add inheritance support to generic factory.
Better handling of item templates.
Move crafting rig definitions to JSON.
Split engine load in to electrical and propulsion.
Fuel efficiency tests with targets.
Jsonize mutation hunger, thirst and fatigue rates.
Rewrite trap loading to use generic_factory.
Encapsulate the WINDOW pointer in class game in unique_ptr.
Add char_validity_check unit-test.
Use dedicated type for mass/weight values.
Use get_files_from_path instead of platform dependent code.
Implement and use a copy_file function.
Added ability for mutations to spawn items via JSON.
Added the ability to load mods from user_dir/mods.
Add wrapper function for finding suitable points for mapgen.
Display float options in the correct decimal format.
Ranged balance unit test.
Use a wider type for symbols.
Json formatter.
Jsonize mutation armor.
Mapgen palettes.
Changed recipes to use filament group.
Use variadic template functions instead of plain C-like variadic function arguments.
Move class map_item_stack into separate header and source files.
Load only base_colors file when it is available.
Switch OS X locale detection to CoreFoundation.
Normalize colors for alternate map keys.
Implement time_point and time_duration classes.
Extract events system to separate class.
Added morale editor to debug menu.
Add CodeTriage badge to cleverraven/cataclysm-dda.
Compress Basic menu sound effects to Ogg Vorbis.
Unhardcoded NPC destinations (using overmap locations)
Improving modding support via adding ability to load game options directly from JSON.
Add a class to encapsulate references to a specific vehicle part.
Max player stamina moved to JSON.
Added FRAGILE_MELEE flag to represent fragile melee weapons.
Unicode support for SCT.
Update vehicleDef.py to produce better vehicle templates.
Move fuel and engine parameters to JSON.
Added pull request template.
Adds the Debug Bionic Power trait.
Fix flaky explosion regression test.
Detect unexpected mutation failure in the mutation unit test.
Jsonize large swaths of NPC dialogue.
Enhance generation of forest tiles with terrain-dependent furniture and forest composition attributes.
Conversion of nutrition to calories (kcal).
Allow constructions to spawn byproduct items.
Implement proper vehicle part iterator and range.
Add script to generate Changelog from SUMMARY lines in Pull Requests.
Make input timeout context-specific.
Npctalk to JSON: Move most NPC dialog to JSON.
Properly implement time duration string alignment.
made_of_any(materials) for creature.
Add the option to create Changelogs grouped by Build to generate_changelog.py
Add support for deferral of player movement, use it to fix two bugs.
Load time duration from string (containing units).
Converts monster size to weight and volume.
Replace usage of sentinel tripoint_min with cata::optional.
Add more functions to vpart_position and vpart_reference
Better clarity in item description code.
Clean up handling of vehicle power to always use watts.
Add error reporting to many calls of SDL function.
Do not ask for retarget when opening projects in Visual Studio.
Print the Cataclysm version number in the debug log.
Fix foldstring ignoring multiple linebreaks
Make point and tripoint literal so they can be used in constexpr contexts.
POSIX backtraces now work for installed binaries and position-independent executables.
Improved CI infrastructure error handling.
Allow explicit specification of overmap special connection type.
Find or create overmap special after overmap generation.
Basecamp, faction camp: start merging faction camps into basecamps.
Better statistics in tests.
Upgrade tests to Catch2 2.5.0.
Show debug logs during tests.
Missions: autoset monster_kill_goal for KILL_TYPE and KILL_SPEC.
Missions: Move some start functions into JSON.
Add tracking of overmap special for placed terrain.
Faction camps: consolidate and clean up farm code.
Basecamp: try to regularize mission starts and mission returns.
Unhardcoded comfort, warmth and feet fire bonus values for furniture.
Reorganize NPC backstories into their own folder.
Enable JSONized placement of overmap specials at mission start.
Split sound functionality out of sdltiles.cpp into its own file.
Split comestibles.json into many files.
NPC expertise infrastructure.
Changed butchery to use JSON for drops, for all butchery actions.
Show test times in CI results.
Add tool qualities to the game for later use in scientific tools.
Replace tag_colored_string with colorize.
Run tests for CMake CI build.
Simpler test randomness seeding.
Enable functional boats phase.
Npctalk: add more conditions and dynamic line options.
Npc: remove hardcoded mutation modifiers to opinions and use JSON values
Adds not-quite implemented basic analytical tools for chemistry.
Fix city districts and increase default size.
Npctalk: add u_sell_item effect.
Npctalk: add a simple pseudo-switch for responses.
Fix NPC class loadout selection.
Npctalk: add mutation threshold flags, static and starting NPC traits, and a basecamp count.
Document units for power and energy_consumption.
Replaced hardcoded terrain list with checking of terrain flag.
Change within_visual_range function to reflect usage.
Allow more specific control over tests run in CI.
Improves structure of background stories to prepare for other types of inquiry.
Improvements to player_activity regarding distractions.
Npctalk: add true/false responses and CONDITION trials to JSON.
Allow flag-based blacklisting and whitelisting of overmap locations on a per-region basis.
Npctalk: add a bunch of new options to JSON.
Rationalize Visual Studio compatibility code.
Mutation loading now uses generic_factory.
Make route_adjacent available to all activity handlers.
Moved wind generation variables to regional_map_settings.json.
Npctalk: move NPC needs to JSON.
Npctalk: move NPC follower AI rules to JSON.
Npctalk: move almost all dialogue into JSON.
JSONnizing CBM slot feature.
Land Use Codes infrastructure.
Moves allergen handling vitamin absorption to JSON.
Refactor advanced inventory item movement to use activities.
USABLE_FIRE tag makes terrain or furniture usable as a nearby fire for crafting.

## Build:

Support for finding alternate versions of build tools.
Lots of forward declaration and #include cleanup to speed up compilation.
Addition of many unit tests.
string_id, a typesafe and efficient wrapper for string identifiers.
Makefile supports various standard environment values.
Add dmg distribution target to makefile.
Tiles support on OpenBSD.
Add an easy makefile option to compile every localization file.
Set -mmacosx-version-min to 10.7 using clang.
JSON regression check.
Throw exception on debugmsg in unit tests.
Bump minimum supported compiler versions.
Use ar from cross-compiler's toolchain.
OS X. Support building .dmg packages for curses version.
Makefile: add USE_LIBCXX flag
Fix bundling liblua on OS X
Fix OS X launcher script.
Fix for old clang versions that don't like empty initializers.
Disable C4146 error in MSVC
Add mod support to unit tests.
A workaround to avoid a suspected MSVC code compilation issue.
Fixed clang crash on OS X.
Attempt to recover from no git in CodeBlocks project.
Graceful migration of legacy savegames.
Handle obsolete items in mods.
Fix ARM compilation issue.
Update CATCH to v1.5.8
Support loading worlds from CLI.
Always require RFC 4627 compliant JSON.
Include numeric to fix OSX compile.
Add a switch to retain debug symbols for profiling.
Update MXE ICE workaround to blacklist anything targeting x86_64-w64-mingw32.static
Don't keep _GLIBCXX_DEBUG when DEBUG_SYMBOLS is set.
Allow installation in a path with whitespaces.
Add a compile mode that checks for printf format errors.
Fix Makefile not respecting 'FRAMEWORKSDIR' exported to environment.
Bionics regression test, currently "item consuming" ones only.
Add explicit instantiation of string_id::NULL_ID to make clang happy.
Enable unit tests in Travis builds.
Enable coveralls support.
Add man pages for cataclysm and cataclysm-tiles.
Add files recommended for UNIX desktops.
Streamline the color loading from JSON in SDL and Windows console builds.
Add MXE compilation and Wine testing to .travis.yml
Fixed compile problem in VS.
Add codecov.io to .travis.yml
Allow use of Clang through MinGW.
Fixed makefile to use pkg-config instead of ncurses5-config.
Fix the OSX cross-compile.
Put 'gold' really in use when linking.
Add equality operator to tripoint_range.
Add gcc 7 and 8 to build matrix.
Snapcraft Build recipe added.
Fix compiler errors on clang-7.0.0-svn
Sort object files to link them in reproducible order.
Update .desktop and appdata files in data/xdg.
Add Dockerfile for building and experimenting on Debian.
SDL windows: allow HDPI displays
Makefile updates for MSYS2.
Properly work-around broken SDL 2.0.5 key events on Linux.
Debug stack trace & crash handler for Windows.
Add PR validator to ensure use of a summary line.
Android build standup.
Add unit test for NPC movement fixes.
Fixed Android build regression.
Change MSVC configs to build test executable.
Faster builds with CMake.
Vehicle power test: make it more consistent.
Visual Studio solution with vcpkg support.
Use travis build stages.
Run tests under AddressSanitizer in Travis CI.
Sort generated lua bindings source file to allow reproducible builds.
Adding astyle to deb/ubuntu packages.
Automate changelog generation.
Add macOS to travis-ci builds.
Added VS solution to build statically linked executable using vcpkg.

## I18N and A11Y:

Localizable HP bars.
Implement printing aim accuracy as numbers.
Textual vehicle facing indicator.
Translatable moon phase.
Fix of untranslated (sub)category in crafting gui.
Don't dynamically initialize using gettext.
Make vitamin and fault and mod targets translatable.
Fixed terrain name translation.
UI improvements (for easier translation).
Allow Unicode strings as item symbols.
Add comment for translators about mutation UI.
Add Chinese main menu ASCII art.
Allow json_flags to be translated.
Display localized "Really quit?" string in main menu.
Fully handle language changes.
Install only specified translations for curses version.
Extract text field of morale_type for translation.
Fix refugee center NPCs' unlocalized names and occupations.
I18N-ize action menu entries.
Ensure consistent string order in translation template.
Fix interference effect of radio messages in localized version.
Add Polish language.
Better docs for translators.
Add 'translate_marker' macro for xgettext to extract strings for translation.
Windows language detection and selection.
Load names when the language settings change.
Display l10nized tab names when creating new world.
Link against ncursesw if L10N enabled.
Make user-facing error messages translatable.
Many, Many new strings and menus are translatable.
Provide context for translating strings of monster abilities.
Allowed recoil level to be translated.

## Statistics:
3271 files changed, 4621405 insertions(+), 1700313 deletions(-)
37,604 commits
~700 contributors

New game entities (core)
Items:
11 ammunition types, 84 armors, 13 bionics, 18 books, 258 foods, 18 constructibles, 21 containers,
547 crafting recipes, 208 misc items, 52 guns, 33 gunmods, 75 tools, 22 wearable tools, 6 tool mods,
303 uncraft recipes, 17 vehicle wheels
Mapgen:
52 epilogues, 46 furnitures, 496 item spawn groups, 1139 mapgen entries, 69 monster spawn lists,
64 overmap specials, 730 overmap terrains, 34 mapgen palettes, 137 terrain types,
52 vehicle blueprints, 30 vehicle spawn groups
Misc:
4 dreams, 66 effect types, 9 engine faults, 47 harvest entries, 3 martial arts, 14 materials,
104 monsters, 16 monster factions, 211 mutations, 20 professions, 13 scenarios, 262 snippets,
31 start locations, 455 talk topics, 8 martial art techniques, 153 vehicle parts, 17 vehicle wheels
New game entities (mods)
Items:
102 ammunition types, 28 armors, 3 bionics, 17 books, 60 foods, 11 constructables, 12 containers,
6 engines, 206 misc items, 118 guns, 6 gunmods, 43 magazines, 369 crafting recipes, 136 tools,
158 uncraft recipes
Mapgen
12 furnitures, 348 item spawn groups, 1911 mapgen entries, 41 monster spawn groups,
41 overmap specials, 2372 overmap terrains, 33 mapgen palettes, 11 start locations, 44 terrains,
24 vehicle blueprints, 24 vehicle spawn groups
Misc:
2 harvest entries, 2 martial arts, 119 monsters, 2 mutations, 34 professions, 24 starting scenarios,
93 snippets, 275 monster speech entries, 8 talk topics, 11 martial art techniques, 395 vehicle parts

======

# 0.C

## Features:

Infighting! Monsters now have factions assigned and will attack other monsters from opposing factions.
Meteorology! Featuring all-new thermometer, barometer, and hygrometer, as well as an all-inclusive weather station. Now we can finally talk about the weather, as we've always wanted. (disclaimer, you can't chat about the weather with NPCs)
You can warm yourself up from a nearby fire.
Change car batteries without any tools, truck batteries with just a wrench, or install swappable storage battery cases and add/remove storage batteries to your heart's content. Electric cars come with cases for their storage batteries by default now.
Many vehicle parts are now foldable, enabling you to have a more complete folding bicycle (or wheelchair).
Aiming! You can now spend time when aiming a ranged weapon to improve your accuracy with it.
The patented DeathCam™! You can now watch what happens after your epic death: is anything left of you after that massive fire burns itself out?
Rifle straps! Mount one on your gun and just wear it when you're not using it.
Some cars have alarms now, and you can try to bypass the alarm and unlock the controls.
Better interactions with worn items, such as auto-retrieving stowed items from them.
Toggle modes for each vehicle turret individually.
Manual fire turrets.
Cameras mountable on vehicles to extend view area.
New drive-by-wireless system for cars, remote-control full-sized cars!
Clothing modifications (pockets, padding, and reinforcing).

## Content:

An abandoned farmhouse may spawn in the forest from time to time, with a sad story behind it.
Tanning with trees! Blackjack oaks now spawn, and can provide tanbark.
Electric chainsaws and jackhammers now exist in the world.
Destructible bridges! They can be smashed, they have sidewalks, and are a source of rebar.
Straw! Get it from the hay in farm barns and make yourself a nice straw hat.
Battery mods (extended battery, rechargeable battery, etc.) can now be removed by applying a screwdriver.
Wool and felt are now usable materials.
Lots of clay and pottery recipes/items.
Diesel fuel/engines/pumps.
Lots of comestibles and recipes for them.
Buildable concrete and brick walls and roofs.
Flu shot that actually inoculates against flu.
Metal tank furniture similar to a keg, but easier to make.
Lots of new clothes and recipes for them.
Large amounts of chemical and metallurgy additions, lots of bombs and rockets.
Interior lights for vehicles.
Fire engine, with a water cannon!
Occasional mineral drops when tunneling (limestone so far).
Zombie technician gained a disarm attack.
Student professions.
Generic spiritualist content.
Craftable canned food and recipes.
More farming content and recipes to make use of them.
Even more houses!

## Interface:

Butchering can now be used to cut up items, too. Also, you can now salvage _all_ the things (in a tile) in one keypress.
Item descriptions now tell you what you know you can craft with them. No more wondering what those stupid copper tubes are good for.
You can now choose to ensure that items you pick up never get wielded, keeping your hands free -- useful when you want to be using a martial arts style that's primarily unarmed.
Foraging just... happens. Without prompting you (Y/N?) every (Y/N?) time.
You can now choose to re-roll a random scenario along with your other random character generation things.
New item action menu, trigger items without rooting around in your inventory!
Option to merge all cash card charges into one card at an ATM.
Laser-dot targeting now triggers safe mode.
Streamlined vehicle construction menu by adding a shape select menu to parts that have multiple symbols.
Added tabs to vehicle construction menu to help manage all the parts.
Sound symbols persist until the end of the player turn, and can be examined for a description.
Warning prompt about activated items when sleeping or waiting.
Item names now have HP bars displayed with them.
Add V-menu (nearby items/monsters) to peek command.
Add filters to advanced inventory.

## Balance:

Gun mods aren't just a free-for-all when reaching marksmanship level 1 anymore -- instead, they each have different skill requirements to install.
Canes, cudgels, and umbrellas now work as improvised fencing weapons.
Gunstores are all locked up.
Muscle-powered engines can run alternators now.
Muscle-powered engines cause thirst, hunger and fatigue.
Split out more layering locations and layers, but made layering penalties harsher.
Nerfed shrapnel from bombs in general, they are MUCH less effective against armored enemies.
Monsters with many weapons semi-intelligently choose which ones to use.
Tuned skilling progression for making archery items to allow bootstrapping.
Unfletched arrows no longer count as ammunition so they don't clutter your firing menu.
Some monsters have a small amount of nightvision, Now you will learn why you fear the night.
Enabled trading with starting NPC at game start.
Slowed tankbots down so you have a chance of running away from them.
Zombie master special now picks from every zombie, not just a small list.

## Bugfixes:

Doors and windows no longer hold up the roof! Hopefully preventing collapses from zombies breaking into your shop.
Solar panels now _just work_ (as long as they're above-ground and it's sunny).
Fixed dark temple finale by enhancing the dark wyrms that it spawns.
Fix slow vehicles getting stuck in reverse.
Fixed free blocks when player had no block techniques.
Make effects that damage all player bodyparts use the same armor code as other attacks.
Scale damage to armor based on its coverage so e.g. power armor isn't ridiculously vulnerable to acid.
Fatigue can no longer go so negative that you don't need to sleep for days.
Unify vehicle fuel handling.
Game remembers which mutations you had activated.
Fixed turrets shooting through doors.
Fixed bug that was making gun recoil be too low.
Fixed bashing corpses with blunt objects.

## Performance:

MASSIVE improvement in performance when there are large numbers (thousands) of items nearby.
Added a clustering algorithm for monster hearing that improves performance when there are many (thousands) of monsters on-map and making noises.
Iterate across map structures in cache-friendly way.
Avoid saving/loading sections of map that aren't interesting (like solid rock).

## Infrastructure:

Diseases are configurable from JSON and applied as relatively generic status effects.
Pedal/wheelchairs/paddles united as a "fuel type".
About half of the item types are now composable, for example you can easily make a "wearable gun", or "wearable tool" now.
Overhaul and simplification of map data handling.
Simplification of gun and gunmod handling.
Restored building under MSVC.
Build performance improvements via removing unnecessary includes.
Simplify handling of vehicle coordinates.
Visibility checking API cleanup.
Unified filesystem API.
Extracted activity handlers from game.cpp
Sound processing moved to a dedicated module. (in-game hearing, not the game making sound)
Moved some shared logic from player to character.
Streamlined obsolete mod handling.

======

# 0.B

## Features:

Random characters have professions applied.
Brewing.
Wearable tools.
Martial arts techniques can trigger when wielding appropriate weapons.
Wing mirrors for vehicles.
Prototype hordes.
Adjust zombie speed with mods.
Made butcher menu's first entry match the butcher hotkey, so you can just hold down the button to butcher all.
You can dig down stairs with proper equipment.
Scabbards, holsters and sheathable weapons.
At high skills you can quick draw/attack with weapons.
Fish spawn as distinct creatures, and they're used for fishing checks.
Quivers for arrows.
Furniture can act as a tool.
Corpses rot and eventually disappear.
Armor is assigned to a layer, and armor on different layers doesn't impose layering penalties.
Destroyed vehicle parts get ripped off the vehicle.
Player can start at various locations.
Special support for mapsharing installs:
  - lock down debug menu;
  - lock players to their username;
  - more configurable file placement;
  - locks around map files.
Language switch is dynamic now.
Guns such as revolvers no longer eject casings when fired, they're instead ejected on reload.
Internal furnace and Battery System CBMs are toggleable so you're less likely to eat random objects by accident.
Spending more time near traps has incremental chance of finding them, spotted traps are remembered.
Thrown items above a trap-defined threshold will trigger traps.
You can now peek through curtains and some doors.
Smashing a broken window again clears out the broken glass (relatively quietly).
Autopickup can get at anything you can reach, i.e. adjacent tiles.
Can set exclusion zones for autopickup, so you can avoid accidentally picking up all your stuff in your base.
Contents of books are unknown until first read (which is faster than usual).
Can craft recipes if you have a book in range that provides it.
Can learn recipes by practicing them.
Roof of the vehicle you're currently in is not drawn.
Faction hostility is back.
Kiln operates without player being nearby.
Radio operated items.
Switched to seed-based weather generation.
Options are only displayed when they are applicable to your build.
Can perform unspeakable acts upon zombies to turn them into your packmule slave thing.
Messages give feedback on melee misses.
Foraging is seasonal, fruits will grow each season, but once picked are gone until the next.
Pet menu to interact with friendly monsters.
Starting scenarios stitch together profession, traits, and starting location.
Picking up and dropping multiple items is now an interruptible activity.
Activatable mutations.
Heavily moddable gun platform.
Fire creates invisible hot air fields, which meander around in enclosed spaces and warm them up.
Factored windchill and humidity into body temperature calculations.
Vehicles smash items when they (wheels) run over them.
Refined vehicle/terrain collisions.
Hulks and Brutes now have a very damaging fling attack.
Jumper cables can be used to link together electrical systems of vehicles, including vehicles outside the reality bubble.
Crafting a large batch of items can apply a discount to the crafting time required.
Overhaul of "cut up" system:
  - Cannot cut up an item if it includes a material that can't be cut up (e.g. shotgun);
  - Cutting up returns items from each material that makes up the item;
  - Cutting up most items should respect the total volume of the item.
Most terrain can be smashed now, if you can hit it hard enough.
Can turn individual vehicle engines on and off.
Filling an item with water from e.g. a river is now an interruptible action.

## Infrastructure:

Switched to SDL 2.0.
Made paths configurable for packaging and installation support.
Finished pushing martial art definitions out to json.
JSONized multi-tile building generation, leading to huger buildings.
Tilesets can provide a per-category fallback tile to handle new monsters/items/whatever.
Silenced all the warnings, now it's easier to keep new ones from cropping up.
Lots of string handling infrastructure, making translated string handling easier.
Missing tiles in tilesets can fall back to ASCII.
Saner glyph cache handling.
Components used to craft an item are stored in the item.
Debug overlay for hordes.
Improved window handling.
Generic iuse functors unify many types of iuse functions.
JSONized bullet pulling recipes.
Generic support for foldable vehicles, still need support for *crafting* them.
Encapsulation applied to map accessors.
JSONized monster drops.
Damaged fuel tanks leak fuel on the ground.
Most menus use input context now, and therefore have configurable keybindings.
Switched build to c++11.
Items can have a list of iuse methods instead of just one.
Drug effects can mostly be defined in JSON.
Scripts for querying json in tools_json_tools.
Beefed up utf-8 input handling.
JSONized NPC definitions.
Unified recipe requirements across constructions and crafting.
Better error handling when initializing SDL.
Recipes can have byproducts.
Added a standalone map layout utility.
Monsters are saved to the overmap instead of per-submap, clearing the way for horde support.
Hgamelaunch start script.
Items can spawn with variable amounts of charge.
Monster blacklists are applied consistently to all spawn code.
Different ammunition-bearing monsters (turrets, robots) have customized loadouts of their various ammo types.
Obsolete mods can be marked as such, preventing debug spam if a save containing them is loaded.

## Balance:

Give most starting professions decent starting equipment.
Nether spawns near corpse spawns.
Capped skill gain from many activities, especially crafting.
Melee weapons can take wear and tear damage based on their primary material.
Categorized CBMs you can get from butchering things.
BEES!
Armor values nerfed.
Mutagen spawn rates slashed.
Overhauled mp3 player morale bonus to make micromanagement of it suboptimal.
Amount of damage blocked by a block technique based on strength and skill of blocker.
Removed acid rain until it can be made into a local event.
Nerfed speed of many zombie animals.
Starting professions supplied with cold-weather gear to match the expected climate.
Standing in a fire less likely to ignite clothes.
Lying in fire (when one or more legs is at 0HP) causes MUCH more damage.

## Content:

New monster, Wraith.
Hops, barley, and molasses as brewing ingredients.
Yeast for fermenting brews and baking some bread foods.
Sugar beet as a renewable source of sugar.
Fruit wine and Brandy.
Moonshine and home-brewed beer.
Grappling hook.
Many new house layouts.
Wells and well digging.
CQB CBM that provides martial art style.
Warehouse building.
Decorative terrain and furniture.
Parasites and diseases from unsafe foods.
Curtains for vehicle doors and windshields, privacy please!
Foraging (in bushes, shrubs, trees).
Towel usable for many handy things (still not at HHGttG level).
hehe, honey.
Wearable rx12 auto-injector.
E-cigs
Motel locations.
Slime mutants can slip through tight spaces, spawn friendly slimes.
Some insect-like mutants can sip nectar from flowers (but at a cost...)
Mutagen gives you wings! (butterfly wings)
Bird mutations.
Zoose
Killed bots drop (disassemblable) broken bot items instead of corpses.
Bear mutations.
Bio operator zombie.
Spider nest basements.
Nice looking road ends and roundabouts.
Exploding gasbag zombies.
Pizza parlor building.
Wheelchairs.
Notes left by other survivors scattered all over.
Brain blob directs nearby blobs to move intelligently.
Mall location.
Several toolbox items to streamline carrying around your crafting needfulls.
Cotton and many cotton-based recipes and items.
Plant mutations.
Audit of all item prices to try and get a sensical baseline for them.
Supercharged military turrets.
Make Fedora activatable, m'ilady.
Road barricades.
Necropolis.
Rollerblades and skates.
Evac center and piles of NPCs and missions.
Bandit camps.
RC car and remote-detonated bombs, and a remote controlled lamp.
Automated gas stations.
Boats.
E-ink tablet and laptops can display recipes and act like books.
Can take pictures of monsters and view them on laptops or tablets.
Fish traps.
A "Thrilling" monster easter egg.
Riot control bot.
Extensive mutation chain culminating with player effectively joining the Marloss faction.
Extensive expansion of Marloss monsters/structures.
Various power substations, with new monsters.
Diesel added as a vehicle fuel.
Added craftable pontoon bridges.
Rat mutants can burrow, Cephalopod mutants can grow a large shell, lizards can regrow limbs.
Many new starting locations.
Curing hides and tanning leather.
Full coverage of tiles in Retrodays and MShock's tilesets!

## Interface:

Expanded armor layering window.
Added way to swap panes in AIM.
Animation and duration for smoking activity.
Action menu that displays all actions in a tree menu.
Highlight things you can interact with when 'e'xamining.
Many strings are properly pluralized and have support for doing so when translated as well.
Standardized overmap building colors.
Vehicle examine menu shows used/capacity of fuel tanks and cargo space.
SDL builds can play music.
Log messages colorized.
Books colorized by category.
Different weather types get their own animations.
Save/load log messages.
Fuzzy river borders.
Scrolling text animations when things are damaged and on some effects triggering.
Lots of menus now have sorting, categories, and search.
Animation delay option.
Player can write and read sign items.
Added a menu displaying martial art style characteristics.
Perishable and rotting items colorized.
UPS no longer activatable, now act as passive batteries.
Prompt to continue studying a book until all recipes learned.

## Performance:

Greatly sped up construction menu.
Overmap scrolling speed greatly improved.
Turn number added to calendar since it's called a gajillion times.
Switched a lot of large collections to use std::unordered_map() or std::unordered_set().
SDL framebuffer cache.
Extracted rain animation code from main drawing code.
Tile lookup speedups.

## Bugfixes:

No bleeding effect if your armor absorbs all the damage.
Make game stop treating trees, walls, etc as hallucinatory with respect to vehicle collisions.
Prevent dragging furniture from hoovering up items.
Option to force software rendering to work around hardware support issues.
Players are ejected from vehicles when their seats are destroyed.
Contents of items destroyed by interacting with them are dumped instead of being deleted.
Restored function of area melee attacks.
Made various battery mods play nice together.
Prevent segfault in the unlikely case that you miss so badly that you shoot yourself.
Don't cause blood spatters when the attack does no damage.
Avoid crashing when loading a corrupted submap.
Avoid resetting creature speed to 100 when a creature is saved/loaded.
Option to disable joystick input in case you have a broken joystick.
Always practice at least one of the melee skill types when attacking.
Fixed off-by-one error that made 100% coverage armor 99% coverage.
Move critical multiplier calculation after armor absorbs damage.
Added move cost for interacting with computers.
Use maximum heard sound for effects (such as deafness), not the sum.
Player graveyard works as intended, most recent player save is moved to the graveyard folder.
Factored weight of items in furniture into cost of dragging the furniture.
Gunmods with firing modes finally make correct sounds when fired.
Guns spawn with ammo when mapgen calls for it.
Fixed longstanding bug where displayed warmth would fluctuate wildly if your body temperature was optimal.
Prevent player from taking damage when driving over an acid puddle.
Taught zombies how to pick the right stairs.
Fixed bug where zombies can attack at range after a knockback.
Lots of window refresh cleanup.
Turrets and vehicle turrets now respect friendly status when burst firing.
Fixed a bug where monsters could see further than they should in circular distance mode (they still used square dist).

======

# 0.A

## Highlights:

Module manager.
Fullscreen mode.
Many mutations, more refined mutation progression.
Improved view options for driving.
Improved item handling, including category views, partial stack handling.
Mouse move and mouselook.
Fishing.
Working Refrigerators.

## Features:

View item on mouse hover in SDL.
Mouse move.
Basic LUA support.
Vehicles disintegrate into their constituent parts on impact.
Fuel tanks preserve their contents when removed/installed.
Vehicle construction and repair using duct tape.
More distinct mutation trees, including branch thresholds and post-threshold mutations.
Interact with monsters on stairs.
Guilt from killing monsters tapers off as you kill more of them.
Can track vehicles with a GPS module.
Allow filtering constructions by the ones you can do right now (can toggle).
Idling for vehicles, can effectively run as generators.
Minifridge that keeps food fresh longer.
Clothing pockets and hoods only activate when needed. (for warmth)
Inventory and crafting menus support listing items by category.
Expanded underwater combat.
Item spoilage rate varies based on temperature.
More info in list monsters menu.
Rechargeable battery pack mod for tools.
Gunmods are installed on rails now.
Better gender handling at character creation.
Expanded vehicle electrical system.
Can pick up or drop partial stacks.
Shove items out of the way when closing a door.
Radioactive items.
Mutation friendly clothing.
Remove prompt to resume task, of course you want to.
Vehicle facing indicator (option).
Fullscreen mode.
Show contents of grabbed vehicle (e.g. your shopping cart) in advanced inventory pane.
Fishing, find a pole!
Automatic view shifting when driving (option).
Zoom mode that dynamically resizes tiles (pretty slow when zoomed unfortunately).
Search known recipes by output, tool or component.

## Infrastructure:

Overmap tiles moved to json.
Lots of warning cleanup.
More development of internal json library.
Mod manager.
Can define mapgen for tiles in json or LUA.
Traps moved to json.
Standalone json checker.
Refactored monsters and players to have a common parent class.
Retrieve items from inventory based on location instead of invlet.
Ammo types moved to json.
Blacklist and whitelist for including/excluding content.

## Balance:

Sleep increases rate of fatigue recovery and healing over time.
Remove automatic matches and pocketknife from player spawn.
Add skintight flag for underwear-type clothing to negate layering penalties.
First Aid and bandages take time to apply now.
Increased city size variability.
Turrets have finite ammo.
Reduce rate of damage for "real armor" as opposed to "clothes".
Zombies spawn at last stand locations.
Burning ammo only throws shrapnel, no explosion.
Increased crafting distance to 6 to enable large workshops.
Progressive difficulty searching for lab notes.
Large-scale vehicle rebalances.
Improved code that determines what body part is hit by an attack.
Water purification methods use one charge per unit of water.
Buffed water resistant clothing.
Removed acid puddles from acid rain. (no more melting items).
Buffed most zombie HP.
Large nerf to solar panels.
Effectively remove cap to starting points option (set to 1,000).
More interesting gun misfire/jam mechanics, guns can take damage now.
Varied rate of projectile breakage with a flag, more differentiation between arrow types.
Ammo with special effects (smoke, teargas, explosions) now go off when burned.

## Content:

Atomic coffee, energy drink and hypospray, lawn darts, MOLLE pack, fingertip razors.
Too many mutations to list, including mutagen types and recipes.
Map types, ammo reloads, vehicle curtains, creepy doll, whiskey barrels.
Hibernation mutation, lots of cop and fireman gear, IV mutagen, piles of new traits.
Mutation-themed dreams, cowbell, atomic batteries, dojo and contents,
vending machines and bank cards.
Dinocataclysm added as a mod at long last!
Lots more terrain and furniture is now bashable.
Several new houses and other buildings.
Variations of vehicle condition (damaged, blood-splattered, engine running, etc)
Creatures fling around appropriate fluids and chunks when gibbed.
Several content packs that allow enabling/disabling different categories of content.
Shoggoth.

## Bugfixes:

Prevent artifact swords from sticking all the time.
Royal jelly and blood filter heal dermatik infections.
Make active items (ticking bombs, rotting food) work in vehicle storage.
Prevent teleportation and stairclimbing from erasing monsters.
Lots of UI tweaks.
Fix bug where items couldn't be thrown over water.
Erase scentmap when we move between floors.
Handle adjacent overmaps better, including notes.
Lots of recipes moved fro auto-learn on skill thresholds to being learned from books.
Fixed vehicle rendering when dragging.
Can craft from items in vehicle storage.
Only count loudest vehicle engine for noise generation instead of adding them together.
Fix weird bug where being too strong made you bad at throwing things.
Fixed several related vehicle board/unboard bugs.
Player displayed in correct position when peeking.
Fixed lots of menu drawing glitches.
Height/width options make more sense, total instead of based on view width.
Limit indoor dimly lit areas to the same view distance as outside.
Fix bug where vehicles and windows projected light at dawn and dusk.
Targeting defaults to nearest enemy.
Toggling between enemies includes hostile NPCs.
Vehicle turrets no longer shoot player or their own vehicle.
Fixed issue where exploding items could destroy themselves and cause a segfault.
Check for errors when attempting to write files and take appropriate action.
Fixed some lab finale features.
Fixed vehicle workshops being usable as components in recipes.
Cruise control is now smooth, even the sportscar is drivable.
Sinkholes don't turn into pits after you step in them.
Can no longer block attacks in your sleep.
Translations build and ship with releases.

## Performance:

Many overmap generation performance improvements.
Stop updating scent if player hasn't moved for a while, makes waiting and sleeping go much faster.
Optimized bitflag methods for very frequently used flags.
Heavy refactor of crafting menu for more speed.
Heavy optimization of scent diffusion.
Declare strings as const to avoid reallocating them all the time.
Lots of caching of vehicle parts.
Vision calculation speedups.
Refactored map loading to chunk up map data into tiny (1KB or so) files, so save/load is nearly instantaneous.

======

# 0.9

## Highlights:

World Factory: Multiple worlds managed at once.
New mutation categories.
TsuTiles.
Basic mouse support in SDL builds.
Vehicle construction system rework.
Backward compatibility with 0.8 saves.
Unbelievable amount of new content.

## Features:

New mutation categories.
Blob drops are semi-useful.
World Factory: Multiple worlds managed at once.
Single keypress pulping.
Better Basements.
Dynamically swap between text and tiles, and among tilesets.
Funnels catch water when the player is far away.
TsuTiles.
Curvy roads.
Zombears.
V menu now lists monsters too.
Emergency vehicles.
Shia's back.
Doors tougher, but zombies can pile on when trying to bash through them.
Spawning monsters in packs.
Shopping carts are drivable.
Basic mouse support in SDL builds.
Food dehydrator.
Some clothes have hoods that are used automatically if there's no hat in the way.
Only prompt to confirm butchering if there are hostiles nearby.
Books have chapters.
Better furniture dragging interface with 'G'rab.
More cart types, hot dog, welding, luggage; swivel chairs.
Track more stuff for memorial file.
Basic tool quality support for more streamlined crafting recipes.
Fungaloid rework.
Vehicle workbench like components act like tools.
Huge pile o books.
Furniture and terrain definitions moved to json.
Survivor armor.
Large numbers of wild animals.
Power system for vehicles and battery components.
Reinforced vehicle components.
Vehicle construction system rework.
Multi-square vehicle doors.
Make vehicles more resilient to damage and better able to smash through obstacles.
Vehicle spawns have personality added in various ways.
Removed action interruption from drug cravings.
Ludicrous numbers of new foods.
Vehicle horns.
Backward compatibility with 0.8 saves.
Stylish trait.
Pickup partial stacks.
Flaming weapons.
Too many new professions to list.
Diseases can now be bodypart specific (bleeding, bites).
Reworked martial arts framework. Arts are no longer pseudo-items, and can be mostly defined in json.
RPG-7.
Reworked and streamlined bionics failure chance and install UI.
Streamlined continuous reading.

## Bugfixes:

Monsters that don't take damage no longer leave blood trails.
Broken gas tanks act broken.
Highlighting lines in tiles mode.
Show all sounds made by player.
Disassemble items with charges properly.
Suppress smoke warning when you have a gas mask.
Stims work again.
Menu cleanups all over.
Better in-city detection for roads.
Funnel filling.
Step on visible trap warning.
Vomiting lethality nerfed.
Better ignore monster for now feature.
Massive audit of item values by Rivet.
Prevent input overbuffering when it's raining.
Eating related bugs.
Hallucination fixes.
Vehicle mounted turrets.
Crafting consuming containers with contents.
Prevents many actions from passing through walls.
Weird handling of canceled item use.
Gunmods with firing modes.
Stabilized monster coordinates.
Many fixes in defense mode.
Charge rifle charging.

======

# 0.8

## Highlights:

Releasing with Russian, Chinese, and bla translations.
Draggable vehicles, e.g. shopping carts.
Memorial file listing player history.
Tiles!
Basic farming support.
Support for save backwards compatibility.
Option to adjust city size, make a whole map metropolis!
Option to adjust monster density, walls of zombies!

## Features:

Intelligence dependent skill rust option.
Uncanny Dodge CBM
Weight management rework, weight now in grams.
If the player is overloaded, the strain causes pain.
Display option for metric vs imperial vehicle speed.
Beanbag rounds for shotguns and grenade launchers.
Added headlights that can be aimed at installation time.
Active bionics.
Throw single items from stacks instead of whole stack.
Updated many menus to updated menu system that provides scrolling, filtering and more unified hotkeys.
Crafting overhaul, crafting no longer trains combat skills and vice versa.
Reworked rain protection, items now have waterproof flags.
Crafting recipes you can actually perform bubble to the top of the list.
New laser weapons.
Pneumatic weapons.
Narrow sidebar option.
Support unicode character names.
Aim-related gunmods.
Automatically adjust aim path if the default path is blocked by something.
Play Now game start for one-click game initiation.
Rework encumbrance to remove nonsensical negative encumbrance.
Loosen strictness of encumbrance in general.
Heated melee weapons.
Plastic item crafting.
Option overhaul with new tabbed menu.
Swimming now makes you wet.
Wetness can be a good thing when it's hot and you're properly attired.
Wetness effects adjusted by some mutations.
Portable Game system now usable, has playable games snake, sokoban, and robotfindskitten.
Vehicle components, vehicles, mutations and traits are moddable in json.
fruit bushes spawn in groups.
Significant rebalance of fire, emits less smoke, and small fires should burn longer.
Basic farming support.
Welding rig vehicle component.
When in a square with clothes and bedding, sleeping players will use them for warmth.
Corpse-filled pits cause less or no damage.
Adrenaline shot item.
Nerfed Adrenaline rush effect, no more bullettime.
Small vehicles are draggable and pushable. Added shopping carts.
Funnel now directs rain into container in the same square during rain.
Mutation dreams.
Siphon water out of vehicles with water tanks.
Ice labs.
Vehicle collisions based on SCIENCE!
Streamlined selecting same ammo over and over again.
Blacksmithing.
Pickling and other food preservation techniques.
Re-enabled mouth encumbrance.
Caseless ammunition and guns.
New heavy weapons.
More features spawning in houses.
Significantly reduced map save size.
Lots of professions.
Many many items and crafting recipes.
Energy weapon special effects.
Scrollbars in many list menus.
Vehicles can spawn smashed into each other.

## Bugfixes:

Mouse cursor hiding.
Terminal text display fixes.
Very significant performance improvements.
Removed input delay.
Allow exiting from long-term activities like wait.
All titlebars should use the correct version number.
Remove busywaitin WinGDI build. (caused 100% CPU usage)
No more "nothing" map tiles.
Hand out letters to bionics so more than a few are usable.
Monsters no longer attack themselves.
Fatal hunger/thirst/fatigue detected correctly.
Major monster handling performance improvements to make 50x zombies work.
Nerfed smoke inhalation.
Major performance increase in mapgen to make huge cities generate before the heat death of the universe.
Rain and acid rain doesn't bother you when underwater.
Batched raycasting optimization.
Fixed old inventory letter overlapping bug.
Use shadowcasting algorithm for fast and accurate fov calculation.
Vehicles no longer spawn floating above water.
Loaded ammo, such as nails in a nailgun can be used for crafting.
Light from items more consistent.

======

# 0.7.1 (bugfix point release)

Vehicle bed sleepiness fix.
Made coughing from smoke wake you up.
Update version for MSVC project builds.
Remove coverage property from wristwatch to prevent encumbrance.
Suppress pickup from vehicle when doing autopickup.
Fix typo in spawn list.
Don't draw item glyphs on top of furniture glyphs.
Strip out references to a removed ammunition in spawn lists.
Change in how Vehicle Examination window is displayed so it works in 12x12 View Screens
Fix for weapon mods with no ammo types.

======

# 0.7

## Highlights:

Use ncursesw and gettext for i18n support and expanded character palette.
Configurable Autopickup feature.
Configurable item spawning lists, now with more configurable spawn frequencies.
New advanced bionics.

## Features:

Use ncursesw and gettext for i18n support and expanded character palette.
Configurable Autopickup feature.
Configurable item spawning lists, now with more configurable spawn frequencies.
Probability Travel Bionic (walk through walls!)
Railgun Bionic (throw metal items at the speed of electricity!)
Flashbang bionic.
Shockwave Generator bionic.
Chain Lightning bionic.
Artificial Night bionic.
Streamlined lumberjacking tasks.
Splints are now craftable and (slowly!) heal broken limbs.
Recover CBMs from butchered player corpses
Small game arrow.
Spoiled (rotten) items will now be removed from the map after twice the time it takes to spoil.
Lit torches set enemies on fire.
Toggled Metabolic Interchange bionic, active power sources.
Changed Optimist to be more thematic and balanced.
Morale effects have more flexible durations.
Extensively reworked fire handling, e.g. campfires should last a more reasonable duration.
Preserve martial art style selection across wielding/unwielding weapons.
Simulate alt+number input for SDL version.
Quicksave command.
Added basic sludge crawler monster
More crafting recipes.
Stash knives in your boots.
Folding bicycle you can stash in a trunk.
New improvised guns.
More survival-ish foods.
Added some more heavy pistols and ammunition.
New Improvised lockpick!
Floatation Vest.
Added wine and a new shirt.
Towels.
Fuzzy time display, and precise time with wristwatch item.

## Bugfixes:

Multiple gates near one handle work correctly.
Made wild Jabberwocks much more rare.
Fix turrets shuffling around when off map.
Prevent gibbing from low-damage sources.
House generation fixes.
Allow deconstruction of refrigerators.
More consistent road placement.
Make mongroups die properly, even if the queen dies at a distance
Monsters killed by wide attacks drop corpses/loot
Fix solar panel power production on vehicles.
Cleanup tire changing activity.
Fix stunlock caused by counterattacks.
Keep Jabberwocks from spawning in classic mode.
Fix turret drops.
Extensive text handling fixes.
Menu beautification.
Allow saving while in a vehicle.
Fix div0 on bad option setting.

======

# 0.6

## Highlights:

* Zombies will revive after a time, if not butchered (or otherwise dealt with).
* The Android trait now behaves the way that the description indicates.
* Gasoline can be siphoned from vehicles. Requires a rubber hose for now - these are easier to acquire.
* Sewing requires materials other than thread - rags for cloth, leather patches for leather, Kevlar bricks, plastic chunks.
* Leather/Kevlar/plastic/fur repair/reinforcement actually possible!
* Inventory management UI improvements, and a new screen to organize worn items.
* NPCs continue to be less buggy, but are still prone to crashes.
* Weapon firing code reworked a bit. UI improvements, and you should now be able to fire at anything within range.
* Reworked the armor/protection code.
* Reworked the learning system: replaced XP with Focus. See the relevant help text.
* Added a *bunch* of new multi-stage missions, for those who play with the shelter NPC turned on.
* Many new buildings (See full changelog list)
* Vehicle collision physics are now based on *actual* physics! Reduces collision insanity.
* Option to use trigonometric distance instead of roguelike distance. In other words light, line of sight are circular instead of square.
* Zombie density in towns is based on nearby buildings instead of distance from town center.
* Higher-performance (on windows) SDL-based rendering as an optional build type.
* Movement on and around vehicles greatly streamlined.
* Sound indicator lets you know how much noise you're making.
* Turn cost indicator lets you know how long actions take.
* Overkilled monsters now spray gibs around instead of disappearing.
* Mostly remove limits on how many items fit in a tile of ground.
* As usual, many bugfixes.

## Full list:

Purifier no longer removes traits available at chargen.
Fix some calculations that wanted floating-point math, and were using integer math.
Fix some vehicle collision craziness related to skids.
Added zombie revival. Chance of unbutchered zombie corpses rezzing, once 6 hours have passed.
Advanced inventory UI improvements/fixes.
Dropping count-by-charge items (batteries, meds, etc.) into vehicles will cause restacking.
Android trait always gives a power system bionic.
Fix torso encumbrance display (it's smart about sign use now).
Bitmask-based item flags no longer exist! Instead, we have string-based tags, that have no upper limit.
Tweaked glowstick behavior - can no longer deactivate, and they have a dead state.
Android trait should no longer give the player faulty bionics.
Bolts moved to ammo category, like arrows.
Added bone broth, and recipe.
Adjust how Climate Control bionic works, make vehicles have functioning (magic!) AC.
Added fuel siphoning using rubber hose.
Appearance-improving mutations are now flagged as being good mutations.
Welder charges are actually used during vehicle construction.
Items will no longer become erroneously fitted, and item tags should not spread during map loading.
Weather accounts for starting time properly.
Containers can be unloaded again (they were bugged).
Optimized scentmap updates, hopefully this speeds up certain activities.
Pit-requiring constructions have pit digging as their first two stages, to make it more obvious what the prereqs are.
Some menus (notably, inventory) can be navigated with arrow keys and enter.
Allowing sewing of leather items, make sewing require rags/patches.
Cooking rotten food does not make it magically fresh any more.
Resolves an issue where destroying an item while tailoring would crash the game.
New UI to sort clothing and automatically assign special characters to clothing (accessed via +)
Footwear warmth values tweaked to be more flexible.
Wool warmth is not reduced by rain.
Sofas and armchairs help with sleeping.
Temperature is less of an issue while sleeping.
Warning messages for when the player is cold/hot while sleeping.
Oversized clothing can be worn over anything (blankets, cloaks, etc).
Sound interruptions can be categorically ignored while crafting, reading, etc.
More improvements to the advanced inventory UI.
Shrubs less difficult to smash.
Upgraded versions of Fast Healer still give you bonuses while sleeping.
Soldering iron recipe learnable via disassembly.
Integrated toolset power usage normalized on a few recipes.
Vehicle speed is now taken into account when throwing a character that exits a moving vehicle.
Gasoline lanterns added to the game.
Bifocal glasses added to the game.
Tweak Windows (catacurse) colors.
Correct window border color behavior under Windows.
Add glass jars, make sauces spawn in them instead of in tin cans.
Removed a couple NPC crash bugs.
You can safely exit a vehicle moving less than 1 MPH.
Fix a pair of drawing glitches related to the item pickup window.
Remove the artificial delay when animating vehicle movement.
Out-of-range enemies are still drawn when firing a weapon.
Make it so that anything within range can be targeted with a ranged weapon.
Disassembly recipe for vacuum sealer.
Backspace no longer causes junk to be input during string entry.
The overmap screen now lets you use "<" and ">" to view different z-levels.
Reworked the armor/protection code.
Fridges drop rubber hose instead of pipe when destroyed.
Reworked the learning system: replaced XP with Focus. See the relevant help text.
Autosave should save everything now, rather than a subset.
Fix artifact saving/loading... again.
Added new missions.
Added cathedral to mapgen.
Fixed flamethrowers.
Add 40mm acid bomb shells.
Moving furniture causes noise.
Clothing damage descriptions now depend on the item's material.
Gunmods now show "%" properly in the magazine size line.
Add bicycle seats: low-mass seats that can't take a seatbelt.
Vehicle collision physics are now based on *actual* physics! Reduces collision insanity.
Foraging gives survival experience, even on failure.
Disassembling ammo gives firearms experience.
Ball bearings should hopefully drop now.
Added headlights to a few more default vehicles.
Lab coats can be fitted.
Items in adjacent containers (fridges, lockers, etc.) visible with 'V' screen.
Players can no longer examine sealed crates to see their contents.
Funnels give acid water during acid rain :).
Acid water (after refinement) now an alternate ingredient for acid bombs.
Corrected a few item name typos.
Cleaned up generation of a particular (spiral-y) underground room.
More temperature tweaks.
Being hot makes you MORE thirsty, not less.
Reworked item unloading and reloading a bit to remove bugs.
Flatbed trucks now have rear windows.
Electric cars added as potential vehicle spawns.
Fix some bugs related to known overmap data and leaking the state to other characters.
Effects of current stats are shown on the '@' screen.
Materials obtained from clothing depend on the clothing's damage level.
Fixed some lab mapgen bugs.
Mansions got a little love.
Having too little intelligence for a book is more of a penalty.
Vehicle headlight state is persistent after save-load.
Being hot no longer increases thirst by an unreasonable amount
Minor : temp_conv and dis.intensity are saved, fixing strange on-load inconsistencies
Minor : Diseases that affect speed no longer overwrite each other in the @ menu
Clothing with pockets provides a bonus to hand warmth when not wielding a weapon.
New large building with basement: Prison
Basement level for hazardous waste sarcophagus.
New building with basement: mysterious cabin.
Display recent log messages on player death.
Radiation exposure is now more dangerous
Mutations from radiation can be disabled.
Mutation categories now more dominant.
Added themed mutagens with recipes.
New medical items.
Bundle of plastic bags item for stowing bags.
Rebalance chance of cutting weapons getting stuck, much less likely now.
Smashing corpses prevents them from reviving.
Burning corpses prevents them from reviving.
Stopped players from leaving slime trails or webs while in a vehicle.
Made vitamins have an effect again.
Made multiple gasoline tanks drain properly.
Added tiny pain effect to Acid Drizzle, raincoats now offer a bit of protection to acid rain/drizzle.
Advanced inv: "e" pulls up inventory item menu. Help window displays feedback messages for actions taken. "?" toggles between help and msg viewer.
Eliminate radiation dosage saturation, halving dosage rate to compensate. (radiation is slower, but more implacable)
Fitting screen now shows storage and encumbrance in item columns.
Added leather vest item and crafting recipe.
avoid use of pow() in distance calculation, speeding them up an order of magnitude.
Make blood filter remove all other drug based diseases.
Make blood analysis detect all drugs.
Behold, sharpie markers.
Display actual keymapping instead of default one in most help text.
Stopped bleeding, bites, and poison from applying when stopped by armor.
Safely hop from slow-moving vehicles, get hurt from quick ones.
Multidrop screen now shows a summary of what is about to be dropped.
Sort inventory by item charges, use low-charge items first.
Option to auto-save before sleep.
Lava burns things and can be used for crafting.
Multiple fixes to burst-fire targeting.
Prevent turrets from shooting themselves.
Prevent friendly turrets from trying to shoot through the player.
Brass catcher item to catch your brass for recrafting.
More power armor variants.
Make movement take half the cost of both the beginning and end tiles, instead of just taking the cost of the end tile.
Made shooting interactions more realistic.
Add radiation badge item and associated infrastructure.
Automagically add new keybindings, so long as they don't conflict.
Significantly reduces the number of giant worms.
Adds strawberry bushes.
Advanced inventory: Add [c]ategory sort.
Large number of added archery items: Wide range of bows crossbows, and arrows, and a multitude of crafting recipes.
Stop unnecessarily saving adjacent overmaps every time they are potentially dirtied. (prevents periodic pauses!)
Hard Leg Guards and Metal Leg guards.
Picking berry bushes trains survival (at low levels).
Added skill support into professions.

======

# 0.5

## Highlights:

* Many new details added to mapgen! New buildings, ruined vehicles on roads, and so on.
* Much more modding-friendly: MANY bits of data have been moved into data files, rather than being hardcoded in the source.
* A handful of recipes can be learned from sources other than just leveling your skills.
* Artifacts should save/load properly now!
* Assorted UI tweaks and improvements.
* Weather radio and directional antenna.
* Rain funnels - first step towards proper rain barrels.
* Robust Genetics and dodging have both been significantly rebalanced, and should actually be useful.
* Zombies wear damaged clothing.
* Tailoring is more important, and string is easier to acquire.
* New content all around!
* Numerous bugfixes.

## Full list:

Matches usable anywhere lighters could be used previously.
Draw lit areas outside of LOS and normal sight radius the same as unlit areas
Tell the player when their gear is damaged in combat
Display player feat morale boosts
Pickling/canning
Only rust skill if X turns have passed since practice, not every x turns.
Halve rate of skill rust across the board.
Push crafting recipes out to JSON - now moddable without recompiling!
Acid rain causes pain not injury
Changed default viewmorale key to v
Learn crafting recipes from item disassembly or books.
New Hardcore trait
Other new traits: Skilled Liar, Pretty, Beautiful, Very Beautiful, Glorius (cancels truth-teller, ugly mutations)
Set minimum move to 25
Death by starvation or thirst
New professions: tailor, scoundrel
Adjusted conditions for cutting and stabbing skill practice (should be able to practice piercing now)
Code compiles with no warnings.  No user-visible change, but important stability milestone.
Added a craftable power armor power interface CBM, solar panels.
Continuous reading.
New mixed drinks
A new book; "To Serve Man"
Glowsticks, found in sporting goods stores and bedrooms.
Broken and Empty windows can no longer be taped up, alarmed windows can.
Palisade walls changed to require 2 6foot ropes rather than one thirty foot one.
Domestic Windows drop strings now (Those are the kind that can be opened)
String can be made from sinew and plant fiber.
Added blankets, fur blankets (craft only), emergency blankets, sleeping bags, fur sleeping bags (craft only).
Added house coat, snuggie, cloak, fur cloak (craft only), leather cloak (craft only).
Added fur scarf, fur gloves, fur trenchcoat, fur pants, fur boots (all craft only).
All tailoring items that use fur require survival as secondary skill.
Added crafting recipes for bandana, blanket, house coat, cloak.
Weather radio
Radios are tuneable, so you can receive from more than one station without moving.
New item that doubles battery capacity of tools, recipe learn from certain electronics books.
Bugfix: reduced chance of "Tried to kill monster" debug spam.
Bugfix: reduced chance of "Stopping out-of-map vehicle" spam.
Bugfix: can unload liquids into items wielded in hands (e.g., steel jerrycans).
Bionics screen shows current and maximum power.
Escape key usable to exit out of more menus.
Multidrop screen continually updates to show new potential weight/volume.
Bugfix: longbow should not end up loaded while in inventory, and can be fired if it does.
Backpacks, messenger bags, etc. can be repaired via sewing kits.
Add fire drill as a survivalcraft firestarter (trickier and slower than lighter/matches).
Furry mutation provides warmth, Bark mutation protects from fire.
Removed/reduced a lot of spam messages related to being hot or cold.
Sleeping should be easier in the cold (decreased chances of waking up).
Being too hot can now wake you up.
Increased the amount fo heat generated by the player while awake.
Tweaked hunger and fatigue's contribution to body temperature.
More traits and mutations have body temperature effects.
Fix artifact saving and loading.
Multiple building additions in town and in the countryside.
Support for 2x2 and 3x3 buildings.
Temporary fix to decrease the number of large structures with roads running through them.
Items can only be set on fire if it would affect them (no more burning sheets infinitely).
Looking around at items (with "V") has a few improvements.
Soldering irons give heating elements when disassembled, tweak numbers for hotplates and water purifiers.
Advanced inventory management screen, default keymap "/". Lets you interact with adjacent tiles.
Roadmap is made of paper.
Removed RV kitchen units from some spawn locations.
Backend: made it much easier to define pre-built locations. Responsible for a lot of the new building types.
Increased the quench value of clean water.
Early-game survivalist stabbing weapon is now pointy stick. Wood spear is higher level.
You can now read using torches and other items.
Addictions can be configured explicitly in the professions file.
Tweak crossbow trap drops.
Made several UI screens smarter (resize to fit screen, esc can exit, etc.).
Show nearby map notes on the minimap.
Some item types can be defined from data files now! So far: misc/melee, armor, guns, ammo, tools, gun mods, books
Glasses can be worn with power armor.
Added several new constructions.
Power use of integrated toolset has been rebalanced.
Armor CBMs have had drawbacks removed.
Rain coats can be made from plastic bags.
Fursuits.
Work to make NPCs less buggy.
Nuclear missile fixes.
Tweaked steel recycler behavior.
Autosaves take into account the passage of real-world time.
Placeable funnel that collects some water while raining.
Characters with the Android trait no longer get unimplemented bionics.
Added several new options.
NPC spawning is toggled with the in-game options menu rather than a text file hack.
Added more wildlife (coyotes, cats, etc.).
Robust Genetics trait heavily buffed.
Change how overmap tile data is saved, to allow for more terrain types and buildings.
Add high-capacity power storage CBM.
Add some new magazines and entertainment books.
Blisters no longer lower max HP (at least until the system is more fleshed out).
Cannibal trait has been rebalanced, as well as morale effects of eating human flesh.
Added cookbook for Italian recipes.
Sewing now requires an adequate source of light.
New health display for non-Self Aware characters, accurate to 1/10th max HP rather than 1/4th.
Targeting window (when throwing/firing weapons) has been reorganized.
Directional antennas!
Gas pumps have been rebalanced (less fragile when filling vehicles, more fragile when filling containers).
Added sling, slingshot, and associated ammunition.
Gas stations can spawn next to highways.
Large creatures are more likely to leave a corpse when taking high damage.
Add flavor items with variable descriptions to the game (fliers and such).
Some guns have range modifiers independent of their ammo. Buffed coilgun range.
Add limb torsion ratchet bionic, generates power when moving.
Desks don't spawn outside any more.
The option to delete your world on character death actually works now!
Tweaked projectile/glass interaction, stopped leaping monsters from phasing through windows.
Debug menu changes.
Made it possible to build indoor furniture in more situations.
Updated readme, added contributing guidelines.
Stopped small animals from suiciding, in many cases (e.g., broken windows and landmines).
Add a few hats. No, not TF2-style.
Artifacts will successfully save and load now!
Adjusted monster spawning mechanics to reduce the chance of swarms of difficult zombies.
Stop roads from going through buildings so often.
Pits less awkward to board over (can use nearby items).
Tweak glass bottle weight/volume.
Allow for reading/sewing in the dark through mutations/CBM's with a speed penalty.
Rewrote dodge abilities to have a noticeable impact.
Mansion pools are considered indoors now.
Tires can be changed with a wrench and a jack.
Add game logic to handle recipes that take the same item as a component and a tool, and add UI to alert the player.
Improve rendering in the main Windows port - animations should display better.
Cave-ins cause damaging rubble to fall.
Improve fuel gauge display in the vehicle examination window.
Overmap notes blink again.
Space and tab should be available for keymaps.
Hitting the "pause"/"skip turn" button will let you cancel reading, crafting, and other long-term actions.
Special road spawns should not happen on bridges.
Ruined vehicles spawn on roads.
Zombies wear damaged clothing.
Nighttime lights are visible from reasonable distances now.

======

# 0.4

Make the battery system bionic only consume as many batteries as necessary to fully power yourself
Knives can also cauterize wounds now. Requires a lighter.
Soldering irons (and hotplates, why not) can be used to cauterize wounds, causing pain and removing any bleeding or uninfected bite effects.
Fixed crash bug in Windows when attacks hit something off-screen?
Fixed precipitation animation with shifted viewport.
Can now disassemble items from the examination screen.
Added colored hinting to the item examination sidebar listing possible actions. e.g., "W" (for "wear") is grayed out if the item isn't wearable.
Added ability to craft a recipe continuously (until out of materials, etc.).
Reduce (maybe fully fix) wolf self-attacks.
Power armor.
More fitted gear, and a few more pieces made craftable.
Vehicle-mountable water tanks and kitchen units, implied storage-battery-charging generators.
Map tiles can now contain up to 64 items.
Beer has been made weaker, and now appears in kegs in liquor stores and bars.
Steel jerrycans.
Any gun can now be used one-handed if you are strong enough.
Hardcoded frostbite not to occur above freezing temperatures.
Improved fire's ability to warm the player. Also, standing on fire and being on fire warm up the player.
Fixed body temperature equalization.
Sunny and clear weather no longer warm the player underground.
Standing in water or sewage will increase the rate of heat loss (but not make the player colder)
The head and torso now lose heat faster than other body parts.
Body temperature drops as you lose HP.
Encumbrance menu's listing of warmth has been made more colorful.
Mouth (face) now has appropriate cold and hot diseases.
The ability to cauterize wounds to heal bites and stop bleeding. (a)ctivate a knife, requires a lighter.
The ability to craft an item as many times as is possible. Defaults to the + key. (Linux and Mac users will need to assign a key)
Added M72-LAW. Makes a large explosion and penetrates armor well. One shot only.
Clothing can be made fitted by (a)pplying a sewing kit.
Some foods can be heated, hot food grants a larger morale bonus than cold food.
Ammunition explodes rather than burning.
Lightstrips, function as weak light providers. Craftable.
Bandages and First Aid kits no longer show uninjured bodyparts in the menu.
Some basic professions, more to be added later.

======

# 0.3

Many menus stretch with an enlarged viewport.
An action to repeat the last craft has been added, default keybinding of -
When crafting liquid items, the game asks you for a container first, then asks if you want to dump the item.
A large amount of survival craft has been added, allowing you to make most of the basic tools and necessities. Along with several new weapons, some storage items and a liquid container.
Smoker Zombies, belch clouds of smoke at players, slowing them and blocking LOS.
Robots now pull from separate drop lists when killed.
Alcohol cost for Torches and Bandages has been increased to 7, or one third of a bottle.
Alcohol cost for molotovs has been reduced to 14, gasoline cost increased to 400.
Chitinous boots and gauntlets added.
Picklock kits break when damaged 5 times.
Zombie spawn ratios have been rebalanced for static spawning.
Pocketknives are usable for all logical recipes.
Child zombies have had a small pool of item drops added.
HP Ignorant is now the player default, Self Aware can be purchased to display exact HP.
Lawnmower blades have been replaced with generic blades, most bladed items are made using blades instead of machetes/swords now.
Nail bat, nail board and makeshift halberd now all have weak block.
Wild veggies function as plant marrow for most recipes.
Meat soup added, more cooking to come.
The player now spawns with a pocket knife and lighter.
Sledge hammer is usable to board windows and doors up.
Heartless trait has been removed, replaced with the Cannibal trait, which allows you to eat human meat with no morale penalty.
Braziers are now craftable. They contain fire and can be set up indoors.
Bulletin Boards can be built to set an area as your home base. NPCs can
be told to wait there and will defend the area.
Bear traps have been increased in weight and volume.
Carboys have been renamed to Gallon jugs.
You can now create a character without allocating all skill points.
Winter Boots and Raincoats now correctly display the reinforced tag.
Kills can now be accessed from in-game. Default key is ).
'Phew it's hot warm' message has been fixed.
The game now accepts wielded items when checking for containers.
Sunny and Clear weather now provide warmth.
Internal Climate Control bionic consumes power to cool or warm you.
Crash bug caused by the screen being larger than the loaded overmap has
been fixed.
Crash bug when going down stairs near cities has been fixed.
Hunger now affects body temperature.
Added new crafting recipes: shorts, cargo shorts, balaclava, long underwear,
glove liners, socks.
Added a digging stick. Can be used to dig shallow pits, and level construction enough to enable crafting of stone shovels.

Got angry at other developers for not updating changelog.

======

# 0.2

Reworked spawning option which places zombies at world generation
rather than generating them dynamically in play.
Implementation of a context menu when examining inventory items.
Machine added to hospitals to regrow limbs.

======

# 0.1

Palisade Walls and Gates - Pretty tough to bash down, and can be fired through
Log Walls - Basically the same as wood walls, different construction methods.
The ability to disassemble tshirts and tank tops by hand. - Handy for bleeding.
Revolver Shotgun - NotTe much to say on this.
